(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    187907,       6837]*)
(*NotebookOutlinePosition[    189150,       6873]*)
(*  CellTagsIndexPosition[    189106,       6869]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["\<\
Component Design for LV2 Power Electronics (Except Main Battery?)\
\
\>", "Title"],

Cell["\<\
There are errors here! Fully discharge Li+ cells are 2.5V (not 2V). \
(2.5, 3.6, 4.2)\
\>", "Text"],

Cell["\<\
Don't forget IC's for div 6.5 circuit! (HC161 + 2xExOR+small cap) \
(PIC-300 series, don't know Andrew's numbers)\
\>", "Text"],

Cell[CellGroupData[{

Cell["\<\
CAN Node Switch Mode Power Supply (SPS)
(200)\
\>", "Chapter"],

Cell[CellGroupData[{

Cell["Connector(s)", "Section"],

Cell["CX200/201\tNo Earthly Idea ???", "Subsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Integrated Circuit(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
U200\tLT1767, 1.25+MHz, 1.5A, DC\[Dash]DC buck converter (DigiKey \
LT1767EMS8-ND 6.00$ea)\
\>", "Subsection"],

Cell["\<\
The selection criterion include size, efficiency, complexity and \
frequency. This MSOP-8 package can reach 87% efficiency supplying 5V @ around \
100mA output @ 1.5MHz (synchronized). With 10\[Mu]A shutdown current, about \
1mA quiescent current, and potentially 1A output current while tolerating a 8\
\[Dash]20V input range.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
U201\tLTC1442, ultra low power dual comparator w/ reference \
(DigiKey LTC1442IS8-ND 4.88$ea)\
\>", "Subsection"],

Cell["\<\
Functionally this chip identifies over\[Dash]voltage and under\
\[Dash]voltage conditions. Since it must operate constantly off the Li+ \
backup battery, micropower is essential. This unit is a single package SO-8 \
or MSOP-8 solution which draws only 3.5\[Mu]A (typ) or 5.7\[Mu]A (Max).\
\>", \
"Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
U202\tAny single 'HC NOR gate (DigiKey SN74AHC1G02DBVR 0.56$ea) \
SOT-23-5\
\>", "Subsection"],

Cell["\<\
This gate blocks the syncronization signal during power fail. This \
is required because the backup power can keep the syncronization signal \
active even when U200 is shut down. If the syncronization signal passed \
directly to U200, U200 would be powered through its input protection diodes \
during positive excursions of the sync signal. U202 is not required on SPS' \
which do not include backup power.\
\>", "Text"],

Cell["\<\
Since a full discharged Li+ battery is only  2.5V the logic should \
run in the range of about 2V to 5.2V. Most current CMOS products will do \
this.\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Transistor(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
Q200\tIRF7455 SO\[Dash]8 N\[Dash]FET (DigiKey IR7455-ND \
1.53$ea)\
\>", "Subsection"],

Cell["\<\
International Rectifier IRF7455
SO-8              package
30V                 V_DSS
29mV/C         Break down temp.co. 25C, I_D\[Equal]1mA
7.5m\[CapitalOmega]            R_DS(on)
(, 37, 56)nC   total gate charge @ V_GS\[Equal]5V
3480pF           typ. input capacitance
15                    I_DMax (dissipation limited)
120A              Max pulse current
\[PlusMinus]12V              V_GSMax
1.2V               Max body diode forward voltage @ 25C, 2.5A, V_GS\[Equal]0V
96ns               Max body diode reverse recovery time
150nC            Max body diode reverse recovery charge
200mJ            Max pulse avalanche Energy
0.25mJ           Repetitive avalanche Energy
150C              T_JMax
50C/W           Max \[Theta]_JA on standard 1\"sq. copper clad board, t < 1s.\
\
\>", "Text"],

Cell["\<\
Crowbar element for CAN node. Q200 shorts the incoming power bus \
when an over\[Dash]voltage condition exists at the output of the SPS. \
Dissipation is not high because of the short duration of activation. Must \
respond to 5V gate drive and sink minimum of 8A at 5V. Voltage rating 25V \
minimum.\
\>", "Text"],

Cell["\<\
A very cheap part in the SO-8 package is the IRF7463, \
R_DSON\[Equal]8m\[CapitalOmega], VDS_Max\[Equal]30V, 1.55$.
Almost as suitable in the MSOP-8 style, IRF7603, R_DSON\[Equal]35m\
\[CapitalOmega], VDS_Max\[Equal]30V, 1.92$.
Perhaps smallest, but pushing it, SOT-223, IRLL014, R_DSON\[Equal]140m\
\[CapitalOmega], VDS_Max\[Equal]55V,  0.68$\
\>", "Text"],

Cell["\<\
The SOT\[Dash]223 package is spec'd (See irll014n.pdf p.5) as \
having 10% response to a single 100ms pulse. The effective thermal resistance \
is therefore at most 12C/W. assuming a16A pulse, the max power is about 36W \
or 430C temperature rise. Obviously too much. What is the impedance of a 4AHr \
4 cell Li+ battery? Ans: about 0.1\[CapitalOmega].\
\>", "Text"],

Cell["\<\
Figuring 0.1\[CapitalOmega] per cell, and accounting for the \
transistor at 0.28\[CapitalOmega] and the choke at 0.14\[CapitalOmega] the \
short circuit current of a full battery pack is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(4.2*4/\((4*0.1 + 0.28 + 0.14)\)\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    \(20.48780487804878`\)], "Output",
  CellLabel->"Out[3]="]
}, Open  ]],

Cell["\<\
Safety suggests figuring 30A. In which case the SOT\[Dash]223 is \
too small.\
\>", "Text"],

Cell["\<\
Going to the MSOP\[Dash]8? Ooo the Farchild NDT455N is much better! \
(R_DS(on)\[Equal]20m\[CapitalOmega]), but still too small.\
\>", "Text"],

Cell["\<\
Even the MSOP-8 is too small \[Ellipsis] sigh. So it's the SO-8 for \
us.\
\>", "Text"],

Cell["\<\
Ok, just to disprove insanity, here's the justification. Surge \
current 30A for 50ms Max.\
\>", "Text"],

Cell["\<\
R_DS(on) @ 150C is < 12m\[CapitalOmega], so P_D(Max) is < 11W, \
transient thermal resistance (equivalent, see \
irf7455.pdf\[NonBreakingSpace]p.5) is < 7C/W so temperature rise is < 77C. \
Therefore maximum operating ambient is > 73C, which is pretty damn hot, so \
there.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Q201\tZXMN2A01F SOT\[Dash]23\[Dash]3 N\[Dash]FET (DigiKey \
ZXMN2A01FCT-ND 0.48$ea@10) (Changed to bipolar)\
\>", "Subsection"],

Cell["\<\
Zetex ZXMN2A01F
SOT\[Dash]23\[Dash]3      package
20V                 V_DSS
120m\[CapitalOmega]           R_DS(on) V_GS\[Equal]4.5V, 25C
3.1nC              typ. total gate charge @ V_GS\[Equal]4.5V
299pF             typ. input capacitance
1.8                    I_DMax (dissipation limited)
10A                 Max pulse current
\[PlusMinus]12V               V_GSMax
(,.84, .95)V    Max body diode forward voltage @ 25C, 0.6A, V_GS\[Equal]0V
11.2ns             typ. body diode reverse recovery time
3.64nC            typ. body diode reverse recovery charge
(-55,  150)C  T_J range
200C/W          Max \[Theta]_JA on FR\[Dash]4, t < 5s.\
\>", "Text"],

Cell["\<\
The problem with the micro\[Dash]6 & Fairchild part is the cases \
have mutually incompatible board layout between each other and between the \
std. SOT\[Dash]23. DigiKey has a decent SOT\[Dash]23\[Dash]3 (4.2A) but only \
in tape&reel :(.\
\>", "Text"],

Cell["Oooo, compare Fairchild NDC651 (maybe better)", "Text"],

Cell["\<\
International Rectifier IRLMS1503
Micro6            package (Similar to SOT\[Dash]23\[Dash]6)
30V                 V_DSS
37mV/C         Break down temp.co. 25C, I_D\[Equal]1mA
200m\[CapitalOmega]           R_DS(on) V_GS\[Equal]4.5V, 25C
(, 6.4, 9.6)nC total gate charge @ V_GS\[Equal]5V
210pF             typ. input capacitance
2.6                   I_DMax (dissipation limited)
18A                Max pulse current
\[PlusMinus]20V              V_GSMax
1.2V               Max body diode forward voltage @ 25C, 2.2A, V_GS\[Equal]0V
54ns               Max body diode reverse recovery time
58nC              Max body diode reverse recovery charge
(-55,  150)C T_J range
75C/W           Max \[Theta]_JA on FR\[Dash]4, t < 5s.\
\>", "Text"],

Cell["\<\
Q201 has been changed to bipolar PNP because it turns out there is \
an O.C. pin on the PIC, and the bipolar works better with the O.C. (The \
bipolar is generic 3906\[Dash]ish.\
\>", "Text"],

Cell["\<\
Q201 isolates the HAP\[Dash]powered PIC from the possibly shutdown \
U200. This can be a generic logic level mosfet. Prefer SOT\[Dash]23\[Dash]3 \
package.  Best if Voltage \[GreaterEqual]20V.\
\>", "Text"],

Cell["\<\
Couldn't find a DigiKey part with cool ratings and SOT23\[Dash]3. \
IRLMS1503 is in a Micro6. I think a PCB can be laid out for either package.\
\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Q202\tSee Q201", "Subsection"],

Cell["\<\
Q202 performs a switching function similar to Q201, see Q201 for \
details.\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diode(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
CR200\tPanasonic Schottky MA2Q705 (MA10705) (DigiKey MA10705CT-ND \
0.64$ea/10)\
\>", "Subsection"],

Cell["\<\
Panasonic MA2Q705 (MA10705)
NMiniP2        package, propritary, but similar to other 2 pin types
30V                 V_R
1.5                   I_DMax (dissipation limited)
30A                Max pulse current
0.37V             Max forward voltage @ 25C, 1A
50ns               Max reverse recovery time
(-40,  125)C T_J range\
\>", "Text"],

Cell["\<\
This is the main diode for the buck topology. The voltage rating \
requirement is \[GreaterEqual]25V.\
\>", "Text"],

Cell["Average current is given by", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Id \[Equal] Io \((Vi - Vo)\)\/Vi /. {Io \[Rule] 1, Vi \[Rule] 18, 
          Vo \[Rule] 5} // N\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    \(Id == 0.7222222222222222`\)], "Output",
  CellLabel->"Out[5]="]
}, Open  ]],

Cell["\<\
A reasonably conservative choice would be a 1A Schottky \
diode.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["CR201\t1N4448HWS (DigiKey 1N4448HWSDICT-ND 0.30$ea/10)", "Subsection"],

Cell["\<\
Diodes Inc.   1N4448HWS
SOD\[Dash]323       package, 2 pin type possible to shoot a trace
80V                 V_R
100nA           Max reverse current @ V_R @ 25C
50\[Mu]A             Max reverse current @ V_R @ 150C
200mW         Max power (assume 25C at leads)
1V                  Max forward voltage @ 25C, 100mA
4ns                 Max reverse recovery time
3.5pF             Max capacitance
625C/W        \[Theta]_JA @ 25C
(-65,  150)C  T_J range\
\>", "Text"],

Cell["Considered BAV16WS, but 1N4448HWS has slightly better specs.", "Text"],

Cell["\<\
Diodes Inc.    BAV16WS (1N4148WS)
SOD\[Dash]323       package, 2 pin type possible to shoot a trace
75V                 V_R
1\[Mu]A                Max reverse current @ V_R
200mW         Max power (assume 25C ???)
1V                   Max forward voltage @ 25C, 50mA
4ns                  Max reverse recovery time
2pF                 Max capacitance
(-40,  125)C T_J range\
\>", "Text"],

Cell["\<\
Also considered the SOD\[Dash]123 package, which is longer, similar \
to 1206. Smaller package is nice and according to preliminary analysis, will \
still give 1206 interchangability.\
\>", "Text"],

Cell["\<\
Diode provides boost current for U200's internal switch. Ordinary \
signal type diodes are adequate. Something we could shoot a lead through is \
probably good. Voltage rating \[GreaterEqual] 25V.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["CR202\tnot used", "Subsection"],

Cell["\<\
Formerly this diode prevented reverse current flow from the HAP \
into the main bus. This is no longer required because of the diode added to \
the battery backup section of the HAP. Recommend removal of this component. \
In fact this has been done as of SPS-0.3.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
D200\tBAT42WS, Schottky diode (DigiKey BAT42WSCT-ND \
0.52$ea/10)\
\>", "Subsection"],

Cell["\<\
Diodes Inc.   BAT42WS
SOD\[Dash]323      package, 2 pin type possible to shoot a trace
30V                V_R
200mA          Max continuous forward current
500mA          Peak repetitive forward current
4A                  Peak non\[Dash]repetitive forward current
500nA           Max reverse current @ V_R @ 25C
100\[Mu]A           Max reverse current @ V_R @ 100C
200mW         Max power (assume 25C at leads)
(, 0.26, 0.33)V Max forward voltage @ 25C, 2mA
1V                  Max forward voltage @ 25C, 200mA
5ns                 Max reverse recovery time
10pF             Max capacitance
625C/W        \[Theta]_JA @ 25C
(-55,  125)C  T_J range\
\>", "Text"],

Cell["\<\
D200 is intended for current limiting. When the SPS output voltage \
is low during start up, loss of bus power, or due to excessive current draw, \
the Pwr_Fail signal causes D200 to pull low via Q202. The idea here is to \
limit the maximum current avaliable by preventing Vc from rising above a \
certain value. The difficulty with this idea is that it's uncertain exactly \
what current limit value should be chosen or exactly what the Vc switching \
cutoff voltage is.\
\>", "Text"],

Cell["\<\
The datasheet gives typical values as Gm\[Equal]2.5A/V, Vc @ 0% \
duty\[Equal]0.35V, Vc@1.5A switch current\[Equal]0.9V.\
\>", "Text"],

Cell["\<\
The maximum current from the error amp over temperature is sink(70, \
110, 180)\[Mu]A, source(80, 120, 160)\[Mu]A\
\>", "Text"],

Cell["\<\
The original concept was to use a Schottky diode to clamp the \
switch current at about 0.4V or 1/8A. But this is probably too low, and too \
easily effected by threshold variations. An ordinary Si diode clamping at 0.5\
\[Dash]0.65 V probably gives adequate start up current, and better \
consistency, but the clamp current is so high forgetting the whole thing \
seems reasonable. Alternately a resistro might be used to give a more linear \
and consistent current limit.\
\>", "Text"],

Cell["\<\
The overarching question is whether a current limit is really \
required. That is can the SPS withstand a continuous short on it's output if \
the internal current limit (1.5, 2, 3)A is used? The answer at this time is \
maybe. The ratings seem close. What temperture will U200 reach?\
\>", "Text"],

Cell["\<\
For the time being, a Schottky will be selected here because having \
a signal\[Dash]level Schottky on hand seems prudent.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["D201\tGreen SMD LED in 0805 package", "Subsection"],

Cell["\<\
D201 is by request. Its purpose is to aid bench testing. It simply \
lights up when SPS power is present.\
\>", "Text"],

Cell["\<\
We anticipate disconnecting the LED for flight. A cuttable jumper \
has been provided to make this easy.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inductor(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
L200\tCoiltronics MP2A-1R5, 1.5\[Mu]H, See PM-4112.pdf\
\>", \
"Subsection"],

Cell["\<\
Coiltronics MP2A-1R5
1.5 \[Mu]H           nominal inductance
1.54 \[Mu]H         measured @ 100kHz, 0.25V RMS, 0.0A DC, \[PlusMinus]20%
73 m\[CapitalOmega]           DC Ohms @ 20C typ.
2.02 A           RMS current producing +40C temperature rise (excluding core \
loss)
3.22 A           Saturation current defined by 30% loss of inductance. \
Measured at 20C
2.09 V\[CenterDot]\[Mu]s      Volt\[CenterDot]time product of 300kHz waveform \
which when applied across inductor produces
                          core loss equal to 10% of power loss producing +40C \
temperature rise previously determined.
-40 to +125C storage temperature range
-40 to +85C   operating temperature range
molybdenum permalloy core
rated to 500kHz ??? \[LongDash]I don't see any reason for this.
Body Length exclusive of leads 5.88 mm, Length with leads 7.5 mm. Width 5.2 \
mm, Height 1.8 mm.\
\>", "Text"],

Cell["\<\
Maximum avaliable current \[Equal] max switch current - p\[Dash]p \
inductor current / 2\
\>", "Text"],

Cell["Derivation (buck converter)", "Text"],

Cell["Equal volt\[Dash]seconds implies", "Text"],

Cell[BoxData[
    \(Vo \[Equal] D\ Vi\)], "Input"],

Cell["\<\
The current increase through the inductor in one cycle (\
\[CapitalDelta]I) is\
\>", "Text"],

Cell[BoxData[
    \(\(Vi - Vo\)\/L*Ton, \ 
    Ton \[Equal] T*D \[Equal] 
        1\/f*D \[Implies] \[CapitalDelta]I \[Equal] \(1\/f\) \(Vo\/Vi\) \(Vi \
- Vo\)\/L\)], "Input"],

Cell["Average current is", "Text"],

Cell[BoxData[
    \(Io \[Equal] Ip - \[CapitalDelta]I/2 \[Equal] 
      Ip - \(\(Vo \((Vi - Vo)\)\)\/\(L\ f\ Vi\)\)/2 \[Equal] 
      Ip - \(Vo \((Vi - Vo)\)\)\/\(2  L\ f\ Vi\)\)], "Input"],

Cell["\<\
The peak current is limited by the IC to 3A Max. Inductor \
saturation will not destroy the IC due to this current limit.\
\>", "Text"],

Cell["Inductor parameters", "Text"],

Cell[BoxData[GridBox[{
        {"L", "inductance"},
        {"\[Mu]", \(core\ permeability\)},
        {"\[ScriptL]", \(magnetic\ path\ length\)},
        {"A", \(cross\ sectional\ area\)},
        {"g", \(air\ gap\ thickness\ \((maybe)\)\)},
        {"B", \(magnetic\ field\ strength\ \((Max\ BM\ \
\((saturation)\))\)\)},
        {"N", \(number\ of\ turns\)},
        {"I", \(winding\ current\ \((Peak\ Ip, \ Avg . \ Iavg)\)\)},
        {"Ip", \(peak\ winding\ current\)},
        {"\[CapitalDelta]I", \(ripple\ current\ \((p\[Dash]p\ current\ \
change, \ current\ increase\ during\ on\ time)\)\)},
        {"E", \(energy\ stored\)},
        {"Vc", \(volume\ of\ core\)}
        }]], "Input"],

Cell["\<\
Inductor formula [ A  and  \[ScriptL]  in cm]\
\>", "Text"],

Cell[BoxData[
    \(L \[Equal] 
      0.4  \[Pi]\[Times]\(10\^\(-8\)\) \(\(\[Mu]\ A\ N\^2\)\/\(\[ScriptL] + \
\[Mu]\ g\)\)[H]\)], "Input"],

Cell[BoxData[
    \(B \[Equal] 
      0.4  \[Pi] \(\( \[Mu]\ I\ N\)\/\(\[ScriptL] + \[Mu]\ g\)\)[
          Gauss]\)], "Input"],

Cell[BoxData[
    \(E \[Equal] \(\(\(I\^2\) L\)\/2\)[J]\)], "Input"],

Cell["\<\
The core should not saturate. That is B<BM when I\[Equal]Ip.\
\>", \
"Text"],

Cell["Use the inductor formla to elimnate N", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[L \[Equal] k\ ee \( \[Mu]\ A\ N2\)\/\(\[ScriptL] + \[Mu]\ g\), 
          N2]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    \(N2 \[Rule] \(L\ \((\[ScriptL] + g\ \[Mu])\)\)\/\(A\ ee\ k\ \[Mu]\)\)], \
"Output",
  CellLabel->"Out[7]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(B\^2 \[Equal] \((k \( \[Mu]\ \[CapitalIota]\ N\)\/\(\[ScriptL] + \
\[Mu]\ g\))\)\^2 /. 
          N \[Rule] \@\(\(L\ \((\[ScriptL] + g\ \[Mu])\)\)\/\(A\ ee\ k\ \[Mu]\
\)\) // PowerExpand\) // FullSimplify\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    \(B\^2 == \(k\ L\ \[CapitalIota]\^2\ \[Mu]\)\/\(A\ ee\ \[ScriptL] + A\ ee\
\ g\ \[Mu]\)\)], "Output",
  CellLabel->"Out[13]="]
}, Open  ]],

Cell["Note that", "Text"],

Cell[BoxData[
    \(Vc \[Equal] A\ \[ScriptL]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[
          B\^2 \[Equal] \(k\ L\ \[CapitalIota]\^2\ \[Mu]\)\/\(Vc\ ee + A\ ee\ \
g\ \[Mu]\), Vc]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] /. 
      L\ \[CapitalIota]\^2 \[Rule] 2\ \[CapitalEpsilon]\)], "Input",
  CellLabel->"In[16]:="],

Cell[BoxData[
    \(Vc \[Rule] \(\(-A\)\ B\^2\ ee\ g\ \[Mu] + 2\ k\ \[CapitalEpsilon]\ \
\[Mu]\)\/\(B\^2\ ee\)\)], "Output",
  CellLabel->"Out[16]="]
}, Open  ]],

Cell["\<\
The minimum core volume for a given maximum flux  B  and energy \
storage  E  is therefore\
\>", "Text"],

Cell[BoxData[
    \(Vc \[Equal] \[Mu] \((2\ E \( 0.4  \[Pi]\)\/\(B\^2\[Times]10\^\(-8\)\) - 
            A\ g)\) \[Equal] \[Mu] \((\(I\^2\) 
              L \( 0.4  \[Pi]\)\/\(B\^2\[Times]10\^\(-8\)\) - 
            A\ g)\)\)], "Input"],

Cell["Note that lengths above are in cm, otherwise normal.", "Text"],

Cell["\<\
Putting  A\[ScriptL]  back in for  Vc  and solving for  E \
gets\
\>", "Text"],

Cell[BoxData[
    \(\[ScriptL] + 
        g\ \[Mu] \[Equal] \((2  \[Mu]\ E \( 0.4  \[Pi]\)\/\(A\ B\^2\[Times]10\
\^\(-8\)\))\)\)], "Input"],

Cell[BoxData[
    \(E \[Equal] 
      A \((\[ScriptL] + 
            g\ \[Mu])\) \(B\^2\[Times]10\^\(-8\)\)\/\(2  \[Mu]\ 0.4  \
\[Pi]\)\)], "Input"],

Cell["\<\
So the energy handling capacity is proportional to the faky pathe \
length (\[ScriptL]+g\[Mu]). The inductance as stated before is inversely \
proportional to the same factor, hence trade\[Dash]off.\
\>", "Text"],

Cell["Found a cool formula for DC resistance in an19fa.pdf", "Text"],

Cell[BoxData[
    \(Rdc \[Equal] \(\(N\ \[ScriptL]\&_\)\/12\) 
        10^\((AWG\/10 - 4)\)[\[CapitalOmega]]\)], "Input"],

Cell["\<\
Here N is number of turns, \[ScriptL]-bar is the average turn \
length in inches, and AWG is the American Wire Gauge number. Example, 35 \
turns of 2.4 in average in #14 wire \[Implies] 0.0176 \[CapitalOmega]\
\>", \
"Text"],

Cell["\<\
For AC losses, see an19fa.pdf, they also do ferrite core \
losses.\
\>", "Text"],

Cell["", "Text",
  CellFrame->{{0, 0}, {0, 0.5}}],

Cell["\<\
Our particular case. It would be prudent to peak at about 1 A, 1/2 \
A is a good minimum goal. The typical peak switch current is 2A, assume a 15V \
input, limiting the peak current (peak being = 1/2 p\[Dash]p) to 1A implies a \
certain inductance\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(fnom\)\(=\)\(N[10*^6/6.5]\)\(\ \)\( (*\ 
        design\ operating\ frequency\ *) \)\)\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \(1.5384615384615385`*^6\)], "Output",
  CellLabel->"Out[2]="]
}, Open  ]],

Cell[BoxData[
    \(\(fmin = 1.1*^6\  (*\ 
        Assumes\ loss\ of\ syncronization\ *) ;\)\)], "Input",
  CellLabel->"In[30]:="],

Cell[BoxData[
    \(\(\(\(\(Vo \((Vi - Vo)\)\)\/\(2  L\ f\ Vi\) /. {Vo \[Rule] 5, 
          Vi \[Rule] 15, f \[Rule] fnom}\) \)\(;\)\(\ \)\( (*\ 
      Iavg\ *) \)\)\)], "Input",
  CellLabel->"In[22]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[1 \[Equal] %, L]\)\[LeftDoubleBracket]1, 
      1\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[21]:="],

Cell[BoxData[
    \(L \[Rule] 1.0833333333333335`*^-6\)], "Output",
  CellLabel->"Out[21]="]
}, Open  ]],

Cell["\<\
So even 1\[Mu]H will satisfy the current requirements.\
\>", "Text"],

Cell["The peak inductor current is", "Text"],

Cell[BoxData[
    \(\(\(\(ViMax = 4.2*4\) \)\(;\)\(\(ViMin = 2*4\) \)\(;\)\(\(Vshore = 
        18\) \)\(;\)\(\ \)\( (*\ 
      some\ input\ voltage\ limits\ *) \)\)\)], "Input",
  CellLabel->"In[51]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(Ip \[Equal] 
        Io + \(Vo \((Vi - Vo)\)\)\/\(2  L\ f\ Vi\) /. {Vo \[Rule] 5, 
        Vi \[Rule] Vshore, f \[Rule] fmin, L \[Rule] 1*^-6, 
        Io \[Rule] 1}\)], "Input",
  CellLabel->"In[31]:="],

Cell[BoxData[
    \(Ip == 2.641414141414141`\)], "Output",
  CellLabel->"Out[31]="]
}, Open  ]],

Cell["\<\
It's desirable for the inductor to saturate above this \
current.\
\>", "Text"],

Cell["\<\
Consider Coiltronics SD18-1R2, 5.2 mm square, 1.8 mm tall. Shielded \
bobbin style.
Coiltronics DR73 series is adequate, but oversized.
Coiltronics MP2 series torroid for SMT.  5.88mm x about 4mm, 1.8 mm tall.
Coiltronics MP2A is same but better.  Same size.  See PM-4112.pdf\
\>", "Text"],

Cell[BoxData[GridBox[{
        {"Part", \(L[\[Mu]H]\), \(I@\(+40\) C[A]\), \(Isat@70  %[A]\), \(RDC[
            m\[CapitalOmega]]\), \(V\[Mu]s\ \(\(typ\)\(.\)\)\)},
        {\(SD18 - 1  R2\), \(1.2 \[PlusMinus] 20  %\), "2.97", "2.95", "29.4",
           "2.55"},
        {\(MP2 - 1  R0\), \(1.0 \[PlusMinus] 20  %\), "1.67", "2.1", "103", 
          "\[Placeholder]"},
        {\(MP2A - 1  R0\), \(1.0 \[PlusMinus] 20  %\), "2.11", "3.63", "67", 
          "2.00"},
        {\(MP2A - 1  R5\), \(1.50 \[PlusMinus] 20  %\), "2.02", "3.22", "73", 
          "2.09"}
        }]], "Input"],

Cell["\<\
Volt\[CenterDot]\[Mu]s typ. is Vs product required to generate core \
loss equal 10% of total losses for 40\[NonBreakingSpace]C temperatrue rise (@ \
100\[NonBreakingSpace]kHz for SD18, 300kHz for MP2A)\
\>", "Text"],

Cell["For our case the Vs product equation is", "Text"],

Cell[BoxData[
    \(\((Vi - Vo)\) Ton \[Equal] Vo\ Toff\)], "Input"],

Cell[BoxData[
    \(Vi\ Ton \[Equal] Vo\ T\)], "Input"],

Cell[BoxData[
    \(\((Vi - Vo)\) Vo\/\(Vi\ f\) \[Equal] D\ Vi\ Toff\)], "Input"],

Cell[BoxData[
    \(\(\(\(Vo\/f\) \((1 - Vo\/Vi)\)\)\(\[Equal]\)\)\)], "Input"],

Cell["Evidentally the product is a maximum when Vi is maximum", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Vo\/f\) \((1 - Vo\/Vi)\) /. {Vi \[Rule] Vshore, Vo \[Rule] 5, 
          f \[Rule] fnom} // N\)], "Input",
  CellLabel->"In[34]:="],

Cell[BoxData[
    \(2.3472222222222226`*^-6\)], "Output",
  CellLabel->"Out[34]="]
}, Open  ]],

Cell["This seems acceptable.", "Text"],

Cell["\<\
In some ways i dislike this procedure, there is no technical data \
on core loss, frequency characteristics, etc. Even the core material is \
unspecified, though it's probably that MnxZNx stuff. On the other hand the \
manufacturer claims to have optimized the design, so yay if they're not full \
of it. Alas tempus fugit.\
\>", "Text"],

Cell["\<\
This inductor value will cause discontinuous operation when the \
output current is below (worst case)\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Vo \((1 - Vo/Vi)\)\)\/\(2  f\ L\) /. {Vi \[Rule] ViMin, 
        Vo \[Rule] 4.5, f \[Rule] fnom, L \[Rule] 1.5*^-6}\)], "Input",
  CellLabel->"In[54]:="],

Cell[BoxData[
    \(0.42656249999999996`\)], "Output",
  CellLabel->"Out[54]="]
}, Open  ]],

Cell["\<\
This is the usual situation. However this is not a big problem \
unless the regulator is cycle\[Dash]skipping. Even skipping isn't necessarily \
a big problem, but it could be a source of RFI. Since i can't find a minimum \
on\[Dash]time spec for this part, assume 70ns, which seems pretty reasonable. \
The minimum peak current is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(ViMin - 5\)\/L*70*^-9 /. L \[Rule] 1.5*^-6\)], "Input",
  CellLabel->"In[67]:="],

Cell[BoxData[
    \(0.14`\)], "Output",
  CellLabel->"Out[67]="]
}, Open  ]],

Cell["The decay time for this current is", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Ip\ L\)\/5 /. {Ip \[Rule] %, L \[Rule] 1.5*^-6} // 
      EngineeringForm\)], "Input",
  CellLabel->"In[68]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("42."\[Times]10\^"-9"\),
        4.2000000000000006*^-08,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[68]//EngineeringForm="]
}, Open  ]],

Cell["So the average output current is", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f\ Ip\ Toffmin/2 /. {f \[Rule] fnom, Toffmin \[Rule] %, 
        Ip \[Rule] %%}\)], "Input",
  CellLabel->"In[69]:="],

Cell[BoxData[
    \(0.004523076923076925`\)], "Output",
  CellLabel->"Out[69]="]
}, Open  ]],

Cell["\<\
The minimum load will be more than this so everything is \
fine.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
L201, L202\tCoiltronics CMS1-11, 120\[Mu]H, See PM-4313.pdf\
\>", \
"Subsection"],

Cell["\<\
Coiltronics CMS1-11
120 \[Mu]H           nominal inductance (100kHz, 0 DC A, 0.1 Vrms)
1.35 A           Irms Max (160 C max temp)
70 m\[CapitalOmega]           DC Ohms @ 20C typ. (per leg)
1.10 \[Mu]H         Leakage inductance
2.9 pF            Interwinding capacitance
-40 to +125C storage temperature range
-40 to +85C   operating temperature range
300 VDC      maximum voltage
internal \"hot spot\" temperature limit 130C
molybdenum permalloy core
rated to 500kHz ??? \[LongDash]I don't see any reason for this.
Maximum dimensions: Body Length 9.4 mm, Width 7.2 mm, Height 2.6 mm.\
\>", \
"Text"],

Cell["\<\
This part is is a common mode choke. It was chosen huristically on \
the basis of reasonable package size and low DC losses. Based on a quick \
search, to get greater antennuation requires either a larger package or 30+% \
more DC resistance. The current rating is adequate.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Capacitors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
C200\tPanasonic ECJ-3YB0J226M (DigiKey PCC2242CT-ND \
17.34$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-3YB0J226M
22 \[Mu]F              nominal capacitance
6.3V                WV DC
X5R                dielectric
1206               case size
\[PlusMinus]20%             tolerance
-35 to +85C   operating temperature range
Height 1.6 mm.\
\>", "Text"],

Cell["\<\
The output capacitor for a high frequency buck switching power \
supply. The dynamic properties of this capacitor affect the loop stability so \
a moderately stable X7R or X5R type is typical. A tantalum cap. will work \
fine here, but is probably bigger. The ceramics seem so much cooler. Voltage \
rating \[GreaterEqual] 6.3V.\
\>", "Text"],

Cell["\<\
RMS ripple formula (from 1767f.pdf, check this???(Correct up to \
factor 0.58)). \
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]Irms \[Rule] 
          0.29 \( Vo \((Vi - Vo)\)\)\/\(f\ L\ Vi\) /. {f \[Rule] fnom, 
          L \[Rule] 1.5*^-6, Vo \[Rule] 5, Vi \[Rule] ViMin} // N\)], "Input",\

  CellLabel->"In[114]:="],

Cell[BoxData[
    \(\[CapitalDelta]Irms \[Rule] 0.23562499999999997`\)], "Output",
  CellLabel->"Out[114]="]
}, Open  ]],

Cell["Output ripple current is maximized at high input voltage.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]Irms \[Rule] 
          0.29 \( Vo \((Vi - Vo)\)\)\/\(f\ L\ Vi\) /. {f \[Rule] fnom, 
          L \[Rule] 1.5*^-6, Vo \[Rule] 5, Vi \[Rule] Vshore} // N\)], "Input",\

  CellLabel->"In[108]:="],

Cell[BoxData[
    \(\[CapitalDelta]Irms \[Rule] 0.4537962962962963`\)], "Output",
  CellLabel->"Out[108]="]
}, Open  ]],

Cell["5mV would be a good target for for the output ripple.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(5*^-3 \[Equal] \[CapitalDelta]Irms\/\(fnom\ C\) /. %\)], "Input",
  CellLabel->"In[109]:="],

Cell[BoxData[
    \(1\/200 == 2.949675925925926`*^-7\/C\)], "Output",
  CellLabel->"Out[109]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[%, C]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      EngineeringForm\)], "Input",
  CellLabel->"In[110]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"C", "\[Rule]", 
        InterpretationBox[\("58.9935"\[Times]10\^"-6"\),
          5.8993518518518523*^-05,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[110]//EngineeringForm="]
}, Open  ]],

Cell["an-19 p.23 contradicts this", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(C \[GreaterEqual] \(1/\((8  L\ f\^2)\)\)\/\(Vpp/\((Vo \((1 - \
Vo/Vi)\))\)\) /. {Vpp \[Rule] 5*^-3, f \[Rule] fnom, L \[Rule] 1.5*^-6, 
            Vo \[Rule] 5, Vi \[Rule] Vshore} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[113]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"C", "\[GreaterEqual]", 
        InterpretationBox[\("25.4282"\[Times]10\^"-6"\),
          2.5428240740740739*^-05,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[113]//EngineeringForm="]
}, Open  ]],

Cell["\<\
The biggest in the DigiKey catalog is only 22\[Mu]F, sad.\
\>", \
"Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C201\tPanasonic ECJ-4YB1E106M (DigiKey PCC2243CT-ND \
12.39$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-4YB1E106M  (used to be ECJ-4YF1E106Z)
10 \[Mu]F               nominal capacitance
25V                 WV DC
X5R                dielectric
1210                case size
+/-20%            tolerance
-35 to +85C  operating temperature range
Height 2.5 mm.\
\>", "Text"],

Cell["\<\
This is an input capacitor for a high frequency buck switching \
power supply. The standard choice is a 1-5\[Mu]F ceramic capacitor. The Y5V \
or similar dielectrics are suitable. Voltage rating should be at least 20V.\
\
\>", "Text"],

Cell["\<\
Input ripple current (buck) is (This formula is from 1767f.pdf, is \
this really correct???)\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]Irms \[Rule] 
          Io \@\( Vo \((Vi - Vo)\)/Vi\^2\) /. {Io \[Rule] 1, Vo \[Rule] 5, 
          Vi \[Rule] ViMin} // N\)], "Input",
  CellLabel->"In[95]:="],

Cell[BoxData[
    \(\[CapitalDelta]Irms \[Rule] 0.4841229182759271`\)], "Output",
  CellLabel->"Out[95]="]
}, Open  ]],

Cell["The ripple in the capacitor is", "Text"],

Cell[BoxData[
    \(V \[Equal] Q/C\)], "Input"],

Cell["Try 2.2\[Mu]F", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]Irms\/\(fnom\ C\) /. {%, C \[Rule] 2.2*^-6}\)], "Input",
  CellLabel->"In[96]:="],

Cell[BoxData[
    \(0.1430363167633421`\)], "Output",
  CellLabel->"Out[96]="]
}, Open  ]],

Cell["This seems ok, but check the web for a better value in 1206.", "Text"],

Cell["\<\
I can get 10\[Mu]F in 1210 size, X5R, this should be \
excellent.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C202\tAny 25+V 0.1\[Mu]F ceramic cap in 1206 package  (DigiKey \
PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-4VB1H104K
0.1 \[Mu]F              nominal capacitance
50V                 WV DC
X7R                 dielectric
1206                case size
\[PlusMinus]10%              tolerance
-55 to +125C  operating temperature range
Height 1.0 mm.\
\>", "Text"],

Cell["\<\
Boost cap for U200.  Voltage at least 20V. Linear recommends 0.1\
\[Mu]F, who are we to argue?\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C203\tPanasonic TEL series EEJ-L1ED336R  (DigiKey P11298CT-ND \
3.30$ea)\
\>", "Subsection"],

Cell["\<\
Panasonic TEL series EEJ-L1ED336R
33 \[Mu]F              nominal capacitance
25V                 WV DC
tantalum        dielectric
7343                case size
\[PlusMinus]20%              tolerance
0.08                 Max dissipation factor
8.3\[Mu]A             Max leakage spec. (also stated leakage<CV/100 but not \
less than 1/2\[Mu]A)
0.2\[CapitalOmega]                ESR @ 100kHz
866mA          Max ripple current
-55 to +125C  operating temperature range
Height 2.8 mm.\
\>", "Text"],

Cell["\<\
This is not a critical component. Its primary function is as a \
noise filter. The secondary function is local energy storage. Voltage rating \
should be 20+V. High value and low ESR are desirable. Tantulum was chosen for \
compactness and low ESR. It's desirable to limit package size, which becomes \
the primary constraint.\
\>", "Text"],

Cell["\<\
The selected component is quite expensive, perhaps a re\[Dash]thunk \
is in order???\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C204\tPanasonic ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)", \
"Subsection"],

Cell["\<\
Panasonic ECJ-3VB1E334K
0.33 \[Mu]F           nominal capacitance
25V                 WV DC
X7R                 dielectric
1206                case size
\[PlusMinus]10%              tolerance
-55 to +125C  operating temperature range
Height 0.85 mm.\
\>", "Text"],

Cell["\<\
This is a non\[Dash]critical component. It's function is as a very \
high frequency noise filter. To be effective in this application requires low \
ESR which suggests a ceramic type capacitor. It's also desirable to select a \
fairly low cost component. Voltage rating \[GreaterEqual]20V.\
\>", "Text"],

Cell["\<\
DigiKey has 0.33\[Mu]F caps for 25\[Cent] while the 1\[Mu]F version \
is 45\[Cent], given the current mood the 0.33\[Mu]F version should suffice.\
\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C205/C206", "Subsection"],

Cell["Frequency compensation component. See R206 for explaination.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
C207\tPanasonic ECJ-3VB1C684K  (DigiKey PCC1880CT-ND \
0.44$ea/10)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-3VB1C684K
0.68 \[Mu]F           nominal capacitance
16V                 WV DC
X7R                 dielectric
1206                case size
\[PlusMinus]10%              tolerance
-55 to +125C  operating temperature range
Height 0.85 mm.\
\>", "Text"],

Cell["\<\
Partly determines comparator response. See R211 for explaination.\
\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C208/C209", "Subsection"],

Cell["Frequency compensation component. See R206 for explaination.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
C210\tAny 25+V 0.1\[Mu]F ceramic cap in 1206 package  (DigiKey \
PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["Check out C202", "Text"],

Cell["\<\
Effects dynamic characteristics of power\[Dash]down shutdown. See \
R209 for explaination.\
\>", "Text"],

Cell["\<\
This is a de\[Dash]glitch capacitor. It also adds some \
time\[Dash]constant delay. The value may as well be 0.1\[Mu]F.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\[Tau] \[Rule] 
              R\ C /. {R \[Rule] r1\ r2/\((r1 + r2)\)}\) /. {r1 \[Rule] 
              60*^3, r2 \[Rule] 10*^3, C \[Rule] 0.1*^-6} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[59]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"\[Tau]", "\[Rule]", 
        InterpretationBox[\("857.143"\[Times]10\^"-6"\),
          0.00085714285714285721,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[59]//EngineeringForm="]
}, Open  ]],

Cell["Basically 1ms, that's fine.", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Resistors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
R200\t8.25k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-8.25KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
N.B. This needs to be re\[Dash]calculated for the HAP, which uses a \
slightly different output voltage.???\
\>", "Text"],

Cell["\<\
Panasonic P-60.4KFCT-ND
8.25k\[CapitalOmega]            nominal resistance
200V               WV DC
1206                case size
\[PlusMinus]1%                tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
R200-203 form a voltage divider which serves 3 purposes. As the \
voltage measuring element of the regulator feedback loop, as the measuring \
element for the over voltage protection, and as the measuring element for the \
undervoltage detection/current limiting mechanism.\
\>", "Text"],

Cell["\<\
The LT1767 data sheet provides a formula for the divider values \
based on the nominal reference voltage and the expected FB\[Dash]pin output \
current of 25\[Mu]A (50\[Mu]A Max)\
\>", "Text"],

Cell["The reference voltage is fairly tight. \[PlusMinus]2% over \
temperature.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(RA \[Rule] \(V - Vfb\)\/\(Vfb/RB - Ib\) /. {V \[Rule] 5, 
              Vfb \[Rule] 1.2, Ib \[Rule] 25*^-6}\) /. RB \[Rule] 10*^3 // 
        N\) // EngineeringForm\)], "Input",
  CellLabel->"In[89]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"RA", "\[Rule]", 
        InterpretationBox[\("40."\[Times]10\^"3"\),
          40000.0,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[89]//EngineeringForm="]
}, Open  ]],

Cell["\<\
To keep bias current errors in the 1/4\[Dash]1/2 % range, keep RB \
below 10\[Dash]20k\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(RA \[Rule] \(V - Vfb\)\/\(Vfb/RB - Ib\) /. {V \[Rule] 5, 
              Vfb \[Rule] 1.2, Ib \[Rule] 25*^-6}\) /. RB \[Rule] 20*^3 // 
        N\) // EngineeringForm\)], "Input",
  CellLabel->"In[90]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"RA", "\[Rule]", 
        InterpretationBox[\("108.571"\[Times]10\^"3"\),
          108571.42857142857,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[90]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Current could be saved by going to 20k\[CapitalOmega], but the \
increased sensitivity isn't a good idea since we're hooking other opamps to \
this divider, the total divder current with a 10k base is only ~100\[Mu]A, \
which is ok here.\
\>", "Text"],

Cell["\<\
Overvoltage definition: (6.0, 6.1, 6,2)V. Undervoltage definition: \
(4.6, 4.7, 4.8)V.\
\>", "Text"],

Cell["\<\
With a 50k total resistance, the correct tap points are easily \
found. The nominal reference voltage of U201 is 1.182V.\
\>", "Text"],

Cell["\<\
First solve for the over voltage tap (Vref is the reference voltage \
of U201)\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vref \[Equal] Vfb\ r0\/\(r0 + r1\) /. 
        Vfb \[Rule] \((Ib\ RA + V)\) RB\/\(RA + RB\) // 
      FullSimplify\)], "Input",
  CellLabel->"In[93]:="],

Cell[BoxData[
    \(Vref == \(r0\ RB\ \((Ib\ RA + V)\)\)\/\(\((r0 + r1)\)\ \((RA + \
RB)\)\)\)], "Output",
  CellLabel->"Out[93]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{%, RB \[Equal] r0 + r1}, {r0, 
            r1}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[94]:="],

Cell[BoxData[
    \({r0 \[Rule] \(\((RA + RB)\)\ Vref\)\/\(Ib\ RA + V\), 
      r1 \[Rule] RB - \(\((RA + RB)\)\ Vref\)\/\(Ib\ RA + V\)}\)], "Output",
  CellLabel->"Out[94]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% /. {RA \[Rule] 40.0*^3, RB \[Rule] 10.0*^3, Ib \[Rule] 25*^-6, 
        Vref \[Rule] 1.182, V \[Rule] 6.1}\)], "Input",
  CellLabel->"In[95]:="],

Cell[BoxData[
    \({r0 \[Rule] 8323.94366197183`, 
      r1 \[Rule] 1676.0563380281692`}\)], "Output",
  CellLabel->"Out[95]="]
}, Open  ]],

Cell["Now solve for the under voltage tap", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vref \[Equal] Vfb + \(\(V - Vfb\)\/RA\) r2 /. 
        Vfb \[Rule] \((Ib\ RA + V)\) RB\/\(RA + RB\) // 
      FullSimplify\)], "Input",
  CellLabel->"In[96]:="],

Cell[BoxData[
    \(Vref == \(Ib\ \((\(-r2\) + RA)\)\ RB + \((r2 + RB)\)\ V\)\/\(RA + \
RB\)\)], "Output",
  CellLabel->"Out[96]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{%, RA \[Equal] r2 + r3}, {r2, 
            r3}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[97]:="],

Cell[BoxData[
    \({r3 \[Rule] \(-\(\(\((RA + RB)\)\ \((V - Vref)\)\)\/\(Ib\ RB - V\)\)\), 
      r2 \[Rule] \(Ib\ RA\ RB + RB\ V - \((RA + RB)\)\ Vref\)\/\(Ib\ RB - \
V\)}\)], "Output",
  CellLabel->"Out[97]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% /. {RA \[Rule] 40.0*^3, RB \[Rule] 10.0*^3, Ib \[Rule] 25*^-6, 
        Vref \[Rule] 1.182, V \[Rule] 4.7}\)], "Input",
  CellLabel->"In[98]:="],

Cell[BoxData[
    \({r3 \[Rule] 39528.089887640446`, 
      r2 \[Rule] 471.91011235955057`}\)], "Output",
  CellLabel->"Out[98]="]
}, Open  ]],

Cell["\<\
These have to hit standard values, try 8.25k ,  1.69k ,  475\
\[CapitalOmega] ,  39.2k\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[RA \[Equal] \(V - Vfb\)\/\(Vfb/RB - Ib\), 
          V]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[100]:="],

Cell[BoxData[
    \(V \[Rule] \(-Ib\)\ RA + Vfb + \(RA\ Vfb\)\/RB\)], "Output",
  CellLabel->"Out[100]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(Solve[
          Vref \[Equal] \(r0\ RB\ \((Ib\ RA + V)\)\)\/\(\((r0 + r1)\)\ \((RA \
+ RB)\)\), V]\)\[LeftDoubleBracket]1, 
        1\[RightDoubleBracket]\)\(//\)\(FullSimplify\)\(\ \)\( (*overvolt*) \
\)\)\)], "Input",
  CellLabel->"In[108]:="],

Cell[BoxData[
    \(V \[Rule] \(-Ib\)\ RA + \(\((r0 + r1)\)\ \((RA + RB)\)\ Vref\)\/\(r0\ \
RB\)\)], "Output",
  CellLabel->"Out[108]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(Solve[
          Vref \[Equal] \(Ib\ \((\(-r2\) + RA)\)\ RB + \((r2 + RB)\)\ \
V\)\/\(RA + RB\), V]\)\[LeftDoubleBracket]1, 
        1\[RightDoubleBracket]\)\(//\)\(FullSimplify\)\(\ \)\( (*undervolt*) \
\)\)\)], "Input",
  CellLabel->"In[109]:="],

Cell[BoxData[
    \(V \[Rule] \(Ib\ \((r2 - RA)\)\ RB + \((RA + RB)\)\ Vref\)\/\(r2 + \
RB\)\)], "Output",
  CellLabel->"Out[109]="]
}, Open  ]],

Cell[BoxData[
    \(\(sub = {RB \[Rule] r0 + r1, RA \[Rule] r2 + r3, Ib \[Rule] 25.0*^-6, 
          Vfb \[Rule] 1.2, Vref \[Rule] 1.182};\)\)], "Input",
  CellLabel->"In[104]:="],

Cell[BoxData[
    \(\(val = {r0 \[Rule] 8.25*^3, r1 \[Rule] 1.69*^3, r2 \[Rule] 475. , 
          r3 \[Rule] 39.2*^3};\)\)], "Input",
  CellLabel->"In[106]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Vo \[Rule] Vfb \((1 + RA\/RB)\) - RA\ Ib /. 
        sub\)\(/.\)\(val\)\(\ \ \)\( (*\ output\ voltage\ *) \)\)\)], "Input",\

  CellLabel->"In[110]:="],

Cell[BoxData[
    \(Vo \[Rule] 4.9978634305835`\)], "Output",
  CellLabel->"Out[110]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Vov \[Rule] 
          Vref \(\((r0 + r1)\)\ \((RA + RB)\)\)\/\(r0\ RB\) - Ib\ RA /. 
        sub\)\(/.\)\(val\)\(\ \)\( (*\ over\ voltage\ *) \)\)\)], "Input",
  CellLabel->"In[111]:="],

Cell[BoxData[
    \(Vov \[Rule] 6.116601363636363`\)], "Output",
  CellLabel->"Out[111]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Vuv \[Rule] \(Ib\ \((r2 - RA)\)\ RB + \((RA + RB)\)\ Vref\)\/\(r2 + \
RB\) /. sub\)\(/.\)\(val\)\(\ \)\( (*\ under\ voltage\ *) \)\)\)], "Input",
  CellLabel->"In[112]:="],

Cell[BoxData[
    \(Vuv \[Rule] 4.695509361497839`\)], "Output",
  CellLabel->"Out[112]="]
}, Open  ]],

Cell["Definitely close enough.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R201\t1.69k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-1.69KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for details", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R202\t475\[CapitalOmega] ,  Any 1% or better film resistor in 1206 \
package  (DigiKey P-475FCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for details", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R203\t39.2k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-39.2KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for details", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R204\t4.70M\[CapitalOmega] ,  Any 2% or better film resistor in \
1206 package  (DigiKey 311-4.70MFCT-ND 1.35$/10)\
\>", "Subsection"],

Cell["\<\
Phicomp 311-4.70MFCT-ND
4.70M\[CapitalOmega]          nominal resistance
200V               WV DC or RMS
1206                case size
\[PlusMinus]1%                tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["R204, 205 form a hysteresis network for U201 (LTC1442).", "Text"],

Cell["\<\
Here are the specs
Vref 1.182\[PlusMinus]1.5% over temperature
Current source for \[CapitalDelta]Vref\[Equal]1mV, (100, 200, )\[Mu]A
Current sink for \[CapitalDelta]Vref\[Equal]2.5mV, (10, 20, )\[Mu]A
Voltage noise [100, 100k]Hz \[Equal] 100\[Mu]Vrms typ.
Vhyst range [Vref-50mV, Vref]\
\>", "Text"],

Cell["\<\
If a 100mV hysteresis is assumed on over voltage and under voltage \
trip, then 1st the divider ratio is needed.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({1.182/6.1, 1.182/4.7}\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    \({0.1937704918032787`, 0.25148936170212766`}\)], "Output",
  CellLabel->"Out[9]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\@Times @@ %\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    \(0.22075148312143664`\)], "Output",
  CellLabel->"Out[10]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(50  mv\ *\ %\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \(11.037574156071832`\ mv\)], "Output",
  CellLabel->"Out[11]="]
}, Open  ]],

Cell["So Vref-11mV should be applied to the Vhyst pin.", "Text"],

Cell["\<\
As a 1st try, set the hysteresis divider current to \
0.25\[Mu]A\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RA \[Rule] Vh/Ih /. {Vh \[Rule] 11*^-3, Ih \[Rule] 250*^-9} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"RA", "\[Rule]", 
        InterpretationBox[\("44."\[Times]10\^"3"\),
          44000.0,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[12]//EngineeringForm="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RB \[Rule] \(Vref - Vh\)\/Ih /. {Vref \[Rule] 1.182, 
            Vh \[Rule] 11*^-3, Ih \[Rule] 250*^-9} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"RB", "\[Rule]", 
        InterpretationBox[\("4.684"\[Times]10\^"6"\),
          4684000.0,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[13]//EngineeringForm="]
}, Open  ]],

Cell["Possible standard values are 4.70M & 44.2k", "Text"],

Cell["Check", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Vh \[Rule] Vref  RA\/\(RA + RB\) /. {Vref \[Rule] 1.182, 
            RA \[Rule] 44.2*^3, RB \[Rule] 4.70*^6} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[16]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"Vh", "\[Rule]", 
        InterpretationBox[\("11.0123"\[Times]10\^"-3"\),
          0.011012267610977613,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[16]//EngineeringForm="]
}, Open  ]],

Cell["Seems fine.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R205\t44.2k\[CapitalOmega] ,  Any 2% or better film resistor in \
1206 package  (DigiKey P-44.2KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for typical specs.", "Text"],

Cell["See R204 for calculations.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R206\t???k\[CapitalOmega] ,  Any ???% or better film resistor in \
1206 package\
\>", "Subsection"],

Cell["\<\
R206, along with C205,206, and possibly C208,209, forms the \
frequency compesation component of the SPS switching supply.\
\>", "Text"],

Cell["\<\
As a basic reference take an\[Dash]19 p.48\[Dash]50. A more \
detailed reference is an76.\
\>", "Text"],

Cell["\<\
Adequate testing includes using the actual power source (to account \
for source impedance) and testing load transients over input/output range and \
temperature. Check transients on start up and short circuit.\
\>", "Text"],

Cell["\<\
The goal is to have the highest possible cross over frequency while \
maintaining a phase margin of 45+\[Degree] and a gain margin better than \
-10dB.\
\>", "Text"],

Cell["\<\
1st estimate DC loop gain (gm is error\[Dash]amp gain, R_ea is \
error\[Dash]amp load resistance to ground, Gm is output stage gain, and R_L \
is the output load resistance \[Equal] Vo/Io.) Load resistance ranges from \
about 10\[CapitalOmega] to 200+\[CapitalOmega] (from 500mA to \
\[TildeTilde]20mA). Not sure which is worse for stability.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Vfb\/Vo\) \((gm\ *\ Rea)\) \((Gm*RL)\) /. {gm \[Rule] 850*^-6, 
        Gm \[Rule] 2.5, Vo \[Rule] 5.0, Vfb \[Rule] 1.2, Rea \[Rule] 412*^3, 
        RL \[Rule] 10}\)], "Input",
  CellLabel->"In[19]:="],

Cell[BoxData[
    \(2101.2000000000003`\)], "Output",
  CellLabel->"Out[19]="]
}, Open  ]],

Cell["\<\
Gain (66dB) increases at lower output currents, up to factor >20.\
\
\>", "Text"],

Cell["\<\
The highest corner frequency is at highest current. Target here is \
500mA\[Implies] R_L \[Equal] 10\[CapitalOmega]\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f0 \[Rule] 1/\((2  \[Pi]\ RL\ Co)\) /. {RL \[Rule] 10, 
          Co \[Rule] 22*^-6} // N\)], "Input",
  CellLabel->"In[21]:="],

Cell[BoxData[
    \(f0 \[Rule] 723.4315595086151`\)], "Output",
  CellLabel->"Out[21]="]
}, Open  ]],

Cell["\<\
Conventional buck design proceeds from the assumption that voltage\
\[Dash]mode control is bad because the inductor and output capacitor form a \
tank circuit (double pole) at a resonant frequency within the \
gain\[Dash]range of the supply. Hence current\[Dash]mode control whose gain \
roll\[Dash]off is dominated by the R_L*Co output pole. Conventionally the \
phase lag is limited by the zero created from Co and Co's ESR. For ceramic \
output caps this doesn't work (ESR too low). The classic solution is to add a \
zero to the error amplifier's response by inserting a series resistor (Rc) \
into the compensation capacitance (Cc) (See data sheet for LT1375/1376 \
13756fc.pdf, p 21). Increasing Rc raises loop BW and therfore improves \
transient response. However, as Rc increases, gain at higher frequencies \
makes Vc susceptible to noise injected from the switching node. This can be \
filtered with a parallel capacitor (Cf) from Vc to ground. The pole of this \
capacitor is typically at 1/5th the switching frequency to provide \
significant switching noise antennuation, but still be high enought not to \
disturb loop dynamics. (13756fc.pdf p.22 is excellent on loop testing). It's \
desirable that the gain of the loop be <1 at the switching frequency.\
\>", \
"Text"],

Cell["\<\
Additionally two capacitors CA and CB (C208, 209 in this case) have \
been added. These are not usually required but can be benificial. CA is a \
speed\[Dash]up capacitor. Its zero produces a bump in the the phase plot \
\"Ideally, the peak of this bump is centered over the loop's crossover \
frequency.\" (See an76 p.5). CB usually functions as a noise filter. Typical \
pole frequencies are 1/2 to 1/3 of the switching frequency. It may interact \
with CA, and can be used to swamp fb\[Dash]pin input capacitance if that is \
important (it isn't).\
\>", "Text"],

Cell["\<\
An76 p.9 fig.8 has an alternate load pulser for SPS testing which \
looks good.\
\>", "Text"],

Cell["Here are the most basic equations for buck SPS", "Text"],

Cell[BoxData[
    StyleBox[GridBox[{
          {\(Av\_\((fb)\) \[Equal] 
              Vref/Vo\), \(Voltage\ gain\ due\ to\ feedback\ divider\)},
          {\(Av\_\((ea)\) \[Equal] 
              gm*R\_ea\), \(Voltage\ gain\ of\ error\ amp\)},
          {\(Av\_\((mod)\)\), \(Voltage\ gain\ of\ modulator\ section\)},
          {\(DC\ gain \[Equal] 
              Av\_\((fb)\)*Av\_\((ea)\)*
                Av\_\((mod)\)\), \(Total\ DC\ voltage\ gain\)},
          {\(fp\_o \[Equal] \((2  \[Pi]\ \(R\_L\) Co)\)\^\(-1\)\), \(Output\ \
pole\ frequency\)},
          {\(fz\_o \[Equal] \((2  \[Pi]\ ESRo\ *\ Co)\)\^\(-1\)\), \(Output\ \
zero\ frequency\[IndentingNewLine]
            \((unusably\ high\ for\ ceramic\ caps)\)\)},
          {\(fp\_ea \[Equal] \((2  \[Pi]\ R\_ea\ Cc)\)\^\(-1\)\), \(error\ \
amp\ pole\ frequency\)},
          {\(fz\_ea \[Equal] \((2  \[Pi]\ Rc\ Cc)\)\^\(-1\)\), \(error\ amp\ \
zero\ frequency\)},
          {\(fp\_fb \[Equal] \((2  \[Pi]\ Rc\ Cf)\)\^\(-1\)\), \(compensation\
\ "feedback"\ pole\ frequency\)},
          {\(fz\_A \[Equal] \((2  \[Pi]\ RA\ CA)\)\^\(-1\)\), \
\(speed\[Dash]up\ zero\ frequency\)},
          {\(fp\_B \[Equal] \((2  \[Pi]\ RB\ CB)\)\^\(-1\)\), \
\(slow\[Dash]down\ pole\ frequency\)}
          },
        ColumnAlignments->{Left}],
      FontFamily->"Times new roman"]], "Text"],

Cell["\<\
The basic idea is to begin with \"reasonable values\" and apply \
trainsient loads similar to expected loads at several values of DC output \
current. This is done for all interesting voltage input, input resistance, \
and temperature conditions.\
\>", "Text"],

Cell["\<\
Initially Cc is chosen large and Rc small. Loop response is checked \
(overdamped expected otherwise raise Rc, if required raise Cc). Then Cc is \
reduced in 2:1 steps until ringing begins, then Rc is increased by 2:1 steps \
until ringing ceases. Then Cc is again reduced, etc. until no further \
improvement is possible.\
\>", "Text"],

Cell["\<\
The other components can be guessed at and tried. 10:1 experiments \
will verify the ballpark ranges.\
\>", "Text"],

Cell["\<\
Variational testing is done by replacing compensation components \
over the 2:1 range at room temperature and average conditions. No significant \
transient response deviations should be noted.\
\>", "Text"],

Cell["\<\
Final check out is done with the selected compensation component \
values over the full voltage/load/temperature matrix. Using the final input \
supply and output load is helpful at this stage.\
\>", "Text"],

Cell["\<\
A good starting point for U200 should be Cc \[Equal] 2.2nF and Rc \
\[Equal] 0\[CapitalOmega] .\
\>", "Text"],

Cell["\<\
Note that \"small signal\" \[Congruent] \"closed loop\" response is \
indicated by 1) symetric response on both edges of transient, 2) linear range \
at Vc pin 3) dV/dt @ Vc pin less than slew rate limit (calculate from Vc pin \
impedance, ea drive).\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R207\t100k\[CapitalOmega] ,  Any 5% or better film resistor in 1206 \
package  (DigiKey P-100KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for typical specs.", "Text"],

Cell["\<\
Changed this to the pull\[Dash]up for a bipolar because Buck_Off \
was changed to an O.C. output, same value should work.\
\>", "Text"],

Cell["\<\
R207 discharges the gate on Q201. While not strictly required, this \
provides some noise immunity, and assures that Q201 stays off if Buck_Off is \
tri\[Dash]stated.\
\>", "Text"],

Cell["\<\
100k\[CapitalOmega] is reasonable. A harsh RF environmment would be \
required to overcome a 100k shunt, yet the increase in current when on is \
still smallish.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R208\t10.0k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-10.0KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for typical specs.", "Text"],

Cell["Changed Q201 to bipolar, still same deal here.", "Text"],

Cell["\<\
R208 separates the gate of Q201 from direct connection to the PIC. \
A direct connection would certainlly work, but the resistance isolates the \
gate from any funny business in the PIC powersupplies. What is more reliable \
depends on the spectrum of failure modes. Intuition and some experience sez \
that direct connection to a FET gate could be problematic.\
\>", "Text"],

Cell["Even at 4.5V, the gate voltage will reach 4V", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(4.5*100/110 // N\)], "Input",
  CellLabel->"In[57]:="],

Cell[BoxData[
    \(4.090909090909091`\)], "Output",
  CellLabel->"Out[57]="]
}, Open  ]],

Cell["\<\
Since the threshold voltage is under 3V, the scheme should \
work.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R209\t60.4k\[CapitalOmega] ,  Any 2% or better film resistor in \
1206 package  (DigiKey P-60.4KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for typical specs.", "Text"],

Cell["\<\
R209,210 form a resistive voltage divider which shuts down U200 \
when the input bus voltage falls below a certain value. It also serves to \
activate U200 when bus voltage is present or restored.\
\>", "Text"],

Cell["\<\
Shutting down U200 when the bus voltage is low does two things. It \
decreases the chance of over\[Dash]discharge of the main battery, and it \
makes the transition to backup power crisper. A crisp transition is less \
noisy, and seems less risky.\
\>", "Text"],

Cell["The Anticipated range of the bus voltage is:", "Text"],

Cell[TextData[Cell[BoxData[
    StyleBox[GridBox[{
          {\(20  V\), \(Should\ never\ get\ this\ high\)},
          {\(18  V\), \(Shore\ Power\)},
          {\(16.8  V\), \(Maximum\ Battery\ Voltage\ \ \((4.2  V/cell)\)\)},
          {\(14.4  
              V\), \(Nominal\ Battery\ Voltage\ \ \ \ \ \ \((3.6 
                   V/cell)\)\)},
          {\(10  
              V\), \(Minimum\ Battery\ Voltage\ \ \ \ \((2.5  V/cell)\)\)},
          {\(9  V\), \(Should\ never\ get\ this\ low\)}
          },
        ColumnAlignments->{Left}],
      FontFamily->"Times new roman"]]]], "Text"],

Cell["The LT1767 datasheet helpfully specifies:", "Text"],

Cell["\<\
Shutdown voltage range (over temperature) (1.27, 1.33, 1.40)V \
(generally higher when hotter)
Shutdown current (threshold + 60mV) (over temperature) (7, 10, 13)\[Mu]A
Shutdown current (threshold -100mV) (over temperature) (4, 7, 10)\[Mu]A (This \
appears wrong???)\
\>", "Text"],

Cell["\<\
The two shutdown current entries represent a hysteresis mechanism. \
When running U200 sources about 10\[Mu]A into the shutdown pin. In the \
shutdown state U200 sources only about 3\[Mu]A. (The data sheet appears wrong \
about this spec.???)\
\>", "Text"],

Cell["\<\
The datasheet gives design formula. Using 9.75\[PlusMinus]0.2V as \
the target range gives:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RA \[Rule] \(VH - VL\)\/7*^-6 /. {VH \[Rule] 9.95, VL \[Rule] 9.55} // 
        N\) // EngineeringForm\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"RA", "\[Rule]", 
        InterpretationBox[\("57.1429"\[Times]10\^"3"\),
          57142.857142856941,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[3]//EngineeringForm="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(RB \[Rule] 
            Vcenter\/\(\((VH - Vcenter)\)/RA + 3*^-6\) /. {VH \[Rule] 9.95, 
            VL \[Rule] 9.55, Vcenter \[Rule] 1.33, %} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"RB", "\[Rule]", 
        InterpretationBox[\("8.64478"\[Times]10\^"3"\),
          8644.7838804029616,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[4]//EngineeringForm="]
}, Open  ]],

Cell["Using standard resistors, this would be 57.6K, 8.66K.", "Text"],

Cell[BoxData[
    \(ra = 60.4*^3; \ rb = 10.0*^3;\)], "Input",
  CellLabel->"In[41]:="],

Cell[BoxData[
    \(\(Vth = 1.33;\)\)], "Input",
  CellLabel->"In[46]:="],

Cell["Check:", "Text"],

Cell["Nominal", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[\((V - Vth)\)/ra - Vth/rb \[Equal] 10*^-6, V]\)], "Input",
  CellLabel->"In[42]:="],

Cell[BoxData[
    \({{V \[Rule] 9.9672`}}\)], "Output",
  CellLabel->"Out[42]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[\((V - Vth)\)/ra - Vth/rb \[Equal] 3*^-6, V]\)], "Input",
  CellLabel->"In[43]:="],

Cell[BoxData[
    \({{V \[Rule] 9.5444`}}\)], "Output",
  CellLabel->"Out[43]="]
}, Open  ]],

Cell["Worst case", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vth = 1.40; 
    Solve[\((V - Vth)\)/ra - Vth/rb \[Equal] 13*^-6, V]\)], "Input",
  CellLabel->"In[44]:="],

Cell[BoxData[
    \({{V \[Rule] 10.641199999999998`}}\)], "Output",
  CellLabel->"Out[44]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vth = 1.27; 
    Solve[\((V - Vth)\)/ra - Vth/rb \[Equal] 2*^-6, V]\)], "Input",
  CellLabel->"In[45]:="],

Cell[BoxData[
    \({{V \[Rule] 9.0616`}}\)], "Output",
  CellLabel->"Out[45]="]
}, Open  ]],

Cell["\<\
Worst case includes manufacturing spread, so probably this is ok. \
Shut down hysteresis current is fairly flat w/ temperature, so if we test and \
trim away from 10V, SPS should work over the whole battery range.  An trim \
could be added to fine\[Dash]tune this action if needed.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R210\t10.0k\[CapitalOmega] ,  Any 2% or better film resistor in \
1206 package  (DigiKey P-10.0KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for typical specs and calculations.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R211\t590\[CapitalOmega] ,  Any 5% or better film resistor in 1206 \
package  (DigiKey P-590FCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R200 for typical specs and calculations.", "Text"],

Cell["\<\
R211 forms part of a low pass filter on the reference output of \
U201. The low pass filter is intended to prevent false triggering due to \
noise on the reference output, particularly due to switching nois orother \
interference on the power input lines. The associated capacitor, C207, should \
be as large as convienient. The 16V Y5V style is avaliable as a 2.2\[Mu]F \
unit only 0.85mm high. The LTC1442 datasheet specifies 300\[CapitalOmega] \
minimum resistor for stability. 390\[CapitalOmega] gives a quite adequate \
safety margin.\
\>", "Text"],

Cell["\<\
While filling out the spec, the mind changed. The problem is Y5V \
looses a lot of capacitance at elevated temperature. Lower capacitance values \
require more resistance for stablility. So at the minimum the resistance \
should be figured based on minimum capacity over temperature. This whould be \
0.44\[Mu]F (-80%) implying a resistance of about 700\[CapitalOmega]. An X5R \
or similar dielectric holds <\[PlusMinus]10% of its initial value, so it is a \
better choice here.\
\>", "Text"],

Cell["\<\
A 0.68\[Mu]F X7R type can be had for 44\[Cent] and 0.85mm tall, \
this should be fine. The required resistance is about 550\[CapitalOmega]. \
Choose 590\[CapitalOmega] as a safe bet.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R212\t~1.8k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package\
\>", "Subsection"],

Cell["\<\
Current limiting resistor for SPS power indicator LED, see \
D201.\
\>", "Text"],

Cell["\<\
Assuming a high efficiency LED, we can probably use 2mA, a typical \
forward voltage is 1.5V.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(r \[Rule] \((5 - 1.5)\)/\((2*^-3)\)\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(r \[Rule] 1750.`\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Miscellaneous", "Section"],

Cell[CellGroupData[{

Cell["\<\
F200\tLittelfuse \"1206\" (3216) 429\[Dash]series Fast Acting fuse \
(DigiKey F1234CT-ND 0.70$ea)\
\>", "Subsection"],

Cell["\<\
Littlefuse 429-FH
1A                   nominal current
63V                 Max interrupting voltage
3216 (1206 )  case size
-55 to +125C   operating temperature range
Height 1.2 mm.
Blow times @ 25C
  100%     > 4hr
  200%     < 5s
  300%     < 0.2s
  800%     < 50ms, > 2ms\
\>", "Text"],

Cell["\<\
Fast acting fuse. Protects each CAN node in the event of \
catastropic fault and likewise protects the power bus.\
\>", "Text"],

Cell["\<\
The exact value is dependent on complex details, and really should \
be measured. However is we assume the maximum SPS output is 1A @ 5V the \
maximum input should be about\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Io\/\[Eta]\) Vo\/Vimin /. {Io \[Rule] 1, \[Eta] \[Rule] 0.75, 
          Vo \[Rule] 5.2, Vimin \[Rule] 2.5*4} // N\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(0.6933333333333334`\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell["\<\
We seek to interrupt fast,  which requires ~800% overload. The 1A \
model should not present a problem.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
TVS200 Diodes Inc. SMBJ18A Trasient Voltage Suppressor (DigiKey \
SMBJ18ADICT-ND 0.71$ea/10)\
\>", "Subsection"],

Cell["\<\
Diodes Inc. SMBJ18A
18V                nominal voltage
SMB              package
20V                minimum breakdown voltage (1mA)
23.3V             Maximum breakdown voltage (1mA)
20.5A            Max peak pulse current
29.2V             Max clamp voltage at 20.5A
100A             Max peak current using single 8.3ms 1/2 sine wave
5\[Mu]A               Max reverse leakage

-55 to +150C   operating temperature range
Height 2.6 mm.\
\>", "Text"],

Cell["\<\
Protects the node in the event of over\[Dash]voltage condition.  \
Must be capable of blowing the fuse before U200 is destroyed. U200's maximum \
input voltage is 25V.\
\>", "Text"],

Cell["\<\
The SMBJ18A is possibly just a little under\[Dash]rated, but it's \
quite close. I think for any plausible faults it's fine.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["W200 (probably eliminate)", "Subsection"],

Cell["\<\
This wire jumper exists to power U201 when the HAP is not present. \
Since the UPS ans SPS power lines both run to the application area, probably \
eliminate this line and substitute a wire jumper in the application area on \
non\[Dash]HAP  versions.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["W201 Power LED cuttable jumper", "Subsection"],

Cell["\<\
Cut this to disconnect the power\[Dash]indicator LED. The jumper \
can be easily re\[Dash]connected, either with a SMD zero\[Dash]ohm jumper in \
1206\[Dash]ish package, or just a hunk of fine gage wire.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["W202", "Subsection"],

Cell["\<\
This wire jumper bypasses U202, which is only present on HAP \
versions. W202 is cut prior to installation of U202.\
\>", "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
High\[Dash]Avaliability Sub\[Dash]Node Power Supply (HAP)
(400)\
\>", "Chapter"],

Cell[CellGroupData[{

Cell["Integrated Circuit(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
U400\tLTC3401, 3MHz, 1A, DC\[Dash]DC boost converter (DigiKey \
LTC3401EMS-ND 5.50$ea)\
\>", "Subsection"],

Cell["\<\
The selection criterion include size, efficiency, complexity and \
frequency. This MSOP-10 package can reach 90+% efficiency supplying 5V @ \
around 100mA output @ 1.5MHz (synchronized). With <1\[Mu]A shutdown current, \
<1mA quiescent current, and potentially 1A output current while tolerating up \
to 6V input or output.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
U401, 402\tNC7SZ14, Single Schmitt inverter (DigiKey NC7SZ14M5CT-ND \
0.96$ea)\
\>", "Subsection"],

Cell["\<\
What is really better is a dual inverter in a \
SOT\[Dash]6\[Dash]style package (e.g. NC7WZ14), but digikey doesn't have \
them.\
\>", "Text"],

Cell["\<\
These inverters snap\[Dash]up the lowpass filtered PwrGood signal \
from U400 making it crisp for the power switch\[Dash]over circuitry and \
providing some hysteresis. Two inverters are used to properly drive Q400 and \
provide a positive logic Power_Good signal. Other single gate sytles could be \
substituted but the 1.8V rating on the selected part is nice because of the \
potential low battery voltage operation.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
U403\tTC54VC4502ECB713, voltage monitor (DigiKey 158-2066-1-ND \
0.83$ea)\
\>", "Subsection"],

Cell["\<\
This threshold detector is chosen for low quiescent power, suitable \
output drive (active pull up) and compatible voltage range.\
\>", "Text"],

Cell["\<\
U403 does two essential things. It wakes the HAP up when SPS power \
is avaliable and is shuts the HAP down when SPS power is down and it is \
commanded by the PowerDown signal.\
\>", "Text"],

Cell["\<\
Additionally it exhibits the parasitic effect of shutting down the \
HAP in the event of a HAP brown\[Dash]out. This behavior could be construed \
as a feature.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
U404\tLTC1734, Lithium\[Dash]Ion Battery Charge controller (DigiKey \
LTC1734ES6-4.1-ND 2.75$ea)\
\>", "Subsection"],

Cell["\<\
Selection criterion include small package, small total parts count. \
The ability to properly charge the battery.\
\>", "Text"],

Cell["\<\
The '1734 uses an external pass transistor, but is otherwise a \
reasonably complete system. The 4.1V version might be selected because it is \
adaptable to any Li chemistry, however the 4.2V version may be more \
appropriate???.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
U405\tTC7W53FK, 2 Channel Analog Multiplexer (DigiKey TC7W53FKCT-ND \
0.56$ea)\
\>", "Subsection"],

Cell["\<\
Toshiba TC7W53FK
SSOP8-P-0.5A  package
(2,, 7)V             Vcc Range
(0,, -6)V            Vee Range
(, 55, 120)\[CapitalOmega] R_DS(on) 25C @ 4.5V
>1G\[CapitalOmega]                typ. off resistance (but consider \
feedthrough capacitance)
150\[CapitalOmega]                 Max @ -40C ,  4.5V
150\[CapitalOmega]                 Max @ 85C ,  4.5V
\[PlusMinus](, , 60)nA Leakage 25C
\[PlusMinus]600nA            Max leakage @ 85C
(, 11, 20)pF      input capacitance
(, 0.75, 2)pF     feedthrough capacitance
200mW         P_DMax (dissipation limited)
-40C \[Dash] 85C operating temperature range\
\>", "Text"],

Cell["\<\
U405 is a single analog multiplexer. Powered from the UPS (battery) \
supply.\
\>", "Text"],

Cell["\<\
The multiplexer isolates the PIC from the battery voltage when the \
PIC is powered off. In fact this function maybe uneccesary, but it is very \
cheap because the mux also selects between the Pwr_Fail and the Batt_Curr \
(Battery Current) signals. When the battery is under charge, the battery \
current is selected, otherwise the Pwr_Fail signal is selected. If the \
Power_Bad signal is asserted, both signals are dissconnected.\
\>", "Text"],

Cell["\<\
The Toshiba part is adequate in terms of resistance and operating \
voltage (it's spec'd to run down to 2V).\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
U406\tTC4S66F, single analog switch (DigiKey TC4S66FCT-ND \
0.68$ea)\
\>", "Subsection"],

Cell["\<\
Toshiba TC4S66F
SMV\[Dash]5           package
18V                 V_DSS Max
(, 290, 950)\[CapitalOmega] R_DS(on) 25C
>1G\[CapitalOmega]              typ. off resistance (but consider feedthrough \
capacitance)
800\[CapitalOmega]               Max @ -40C
1200\[CapitalOmega]             Max @ 85C
(, 0.1, 100)nA Leakage 25C
1\[Mu]A                Max leakage @ 85C
10pF               typ. input capacitance
0.5pF              typ. feedthrough capacitance
200mW         P_DMax (dissipation limited)
-40C \[Dash] 85C operating temperature range\
\>", "Text"],

Cell["\<\
U406 is a single analog switch. It is powered from the UPS \
(battery) supply. (In fact typical specs require 3V to operate. The minimum \
on UPS is aproximately 2.2V. This should still work. All that is required is \
that U404, 405 remain off at low supply voltages, this should be \
checked???.\
\>", "Text"],

Cell["\<\
This switch isolate the PIC from the battery voltage when the PIC \
is powered off.  Fairly high on resistance can be tolerated because the input \
impedence of the PIC's ADC is reasonably high. 1k\[CapitalOmega] is \
definitely good enough.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
U407\tNC7SZ14, Single Schmitt inverter (DigiKey NC7SZ14M5CT-ND \
0.96$ea)\
\>", "Subsection"],

Cell["\<\
This could be a plain inverter, but a Schmitt was specified to \
reduce the number of different parts. Either way is ok.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Transistors(s)", "Section"],

Cell[CellGroupData[{

Cell["Q400\tSee Q404", "Subsection"],

Cell["Turns HAP supply off.", "Text"]
}, Closed]],

Cell["Q401\tSee Q201", "Subsection"],

Cell["Q402\tEliminated in HAP version 0.3", "Subsection"],

Cell[CellGroupData[{

Cell["Q403\tZetex FCX717 SOT89 PNP (DigiKeyFCX717CT-ND 0.87$ea)", "Subsection"],

Cell["\<\
Zetex FCX717
SOT89               package
12V                    V_DSS
(, 0.11, 0.15)V  V_CE(Sat) Ic\[Equal]1A, Ib\[Equal]10mA
100nA               Max collector cut off current
10A                    Max pulse current
300                      round value for Hfe
500mA              Ib (Abs. Max)
(-55,  150)C    T_J range
1W                     Max Power on FR\[Dash]4 \
(15\[Times]15\[Times]0.6)mm\
\>", "Text"],

Cell["This is the PNP series pass transistor required by U404.", "Text"],

Cell["\<\
The input voltage hovers near 4.75V. The cell voltage varies down \
to 2.5V. Assuming 420mA maximum charge current the dissipation is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\((4.75 - 2.5)\) \(0.420\)\(\ \)\( (*\ Watts\ *) \)\)\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(0.945`\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell["\<\
To handle this power level a thermal resistance of 50\[Degree]C/W \
would be desirable. 70C/W is about the max.\
\>", "Text"],

Cell["\<\
The SOT89 package probably can dump about 1W. This should be ok \
because the very low voltages during recharge are of short duration, and the \
ratings to handle the power are there.\
\>", "Text"],

Cell["\<\
The beta is fairly high on this unit, so be careful of overall loop \
stability.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Q404\tIRF(2nd source) P\[Dash]Channel MOSFET Si4435DY (DigiKey \
SI4435DY-ND 1.50$ea)\
\>", "Subsection"],

Cell["\<\
International Rectifier (2nd source) Si4435DY
SO-8              package
30V                 V_DSS
19mV/C         Break down temp.co. 25C, I_D\[Equal]1mA
35m\[CapitalOmega]             R_DS(on) @ V_GS=4.5V
(, 40, 60)nC   total gate charge @ V_GS\[Equal]10V
2320pF           typ. input capacitance
6.4A                I_DMax (dissipation limited) V_GS\[Equal]10V
50A                 Max pulse current
\[PlusMinus]20V               V_GSMax
1.2V                Max body diode forward voltage @ 25C, 2.5A, \
V_GS\[Equal]0V
51ns                Max body diode reverse recovery time
50nC              Max body diode reverse recovery charge
150C              T_JMax
50C/W           Max \[Theta]_JA on standard FR\[Dash]4 board, t < 5s.\
\>", \
"Text"],

Cell["\<\
Q404 functions as a saturable rectifier. When the Pwr_Fail signal \
is false (i.e. SPS is good) the gate\[Dash]source voltage on Q404 is zero or \
negative and Q404 acts as a normal diode, in this case blocking current from \
V_BK into the battery. If the V_BK voltage falls below V_BB for any reason \
the body diode of Q404 will conduct providing power to the HAP.\
\>", "Text"],

Cell["\<\
Theoretically the only way V_BK can fall below V_BB is if SPS \
fails, in this case Pwr_Fail will be asserted and U407 will in turn provide \
gate voltage to Q404 decreasing the voltage drop to near zero. \
\>", "Text"],

Cell["\<\
If the SPS voltage suddenly rises the Pwr_Fail signal will rapidly \
(\[Mu]\[Dash]seconds) drop. During the switch over fairly large currents may \
flow into the battery (though limited by the SPS switch limit) but the \
duration is so short that no harm will be done.\
\>", "Text"],

Cell["\<\
For conservative design Q404 should be capable of dissipating the \
load current in the un\[Dash]saturated state (\[Tilde]1/2A\[Times]0.7V\
\[TildeEqual]400mW), though this could be pushed.\
\>", "Text"]
}, Closed]],

Cell["Q405,406\tSee Q201", "Subsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diode(s)", "Section"],

Cell["CR400\tSee CR200", "Subsection"],

Cell["CR401\tRenumbered to D401", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
CR402\tDiodes Inc. Fast Si\[Dash]Diode MURS120 (DigiKey \
MURS120DICT-ND 0.60$ea)\
\>", "Subsection"],

Cell["\<\
Diodes Inc. MURS120, 1A Super\[Dash]Fast rectifier
SMB              package
200V              V_R
1.5A               I_DMax (dissipation limited)
40A                Max pulse current
0.875V           Max forward voltage @ 25C, 1A
0.710V           Max forward voltage @ 150C, 1A
25ns               Max reverse recovery time
(-65,  175)C T_J range\
\>", "Text"],

Cell[TextData[{
  "Originally this diode was configured as a N\[Dash]Fet saturable rectifier \
similar to Q404. This was not sucessful because the LTC3401 is spec'd at \
120ns minimum on time. This implies a maximum input voltage of 4.07V to \
maintain constant frequency switching. In fact the slight discontinuous mode \
switching that results from excessive input voltage ",
  StyleBox["might",
    FontSlant->"Italic"],
  " not be a big problem. It's the uncertainty over the consequences of the \
added noise that drives us to eliminated it."
}], "Text"],

Cell["\<\
The 4.07V limit can be eased by raising the HAP output voltage to \
5.2V (should work). The maximum input voltage rises to 4.24V. This works fine \
for the Li+ cell, which is never over 4.2V anyway, but the battery charger \
wants more like a 4.55V input (4.68V to be really happy). Of course limiting \
the input voltage to the battery charger also decreases power dissipation in \
the pass transistor, which is good.\
\>", "Text"],

Cell["\<\
As a 1st cut, try to make every one happy. Let the input to the \
battery charger be 4.78V (to allow for some slop). CR402 should drop a \
minimum of 0.54V at around 10mA, but be capable of passing the maximum switch \
current of U400 (1.6A, but only around 1/2A average) with an as low as \
possible additional voltage drop.\
\>", "Text"],

Cell["\<\
If the actual minimum drop is 0.64V there would be a little slack \
in meeting the 4.24V constraint. This should make everything happy.\
\>", \
"Text"],

Cell["\<\
The selection search, which will be brief, consits of finding a Si\
\[Dash]diode (for the high initial voltage drop) that maintains a fairly low \
voltage drop into the 1A range.\
\>", "Text"],

Cell["\<\
The minimum operating voltage for the battery charger is 4.55V, \
assume 4.6V is more realistic. Let the nominal target for SPS voltage be \
4.69V\[PlusMinus]2% \[Equal] [4.60, 4.78]V\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["D400\t1N4448HWS (DigiKey 1N4448HWSDICT-ND 0.30$ea/10)", "Subsection"],

Cell["See CR201.", "Text"],

Cell["\<\
D400 allows the \[Mu]P to activate the reset function, but not to \
countermand it. This de\[Dash]glitches the PowerDown cycle.\
\>", "Text"]
}, Closed]],

Cell["D401\tSee D200", "Subsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inductor(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
L400\tCoiltronics MP2A-1R5 (Same as L200), 1.5\[Mu]H, See \
PM-4112.pdf\
\>", "Subsection"],

Cell["\<\
Coiltronics MP2A-1R5
1.5 \[Mu]H           nominal inductance
1.54 \[Mu]H         measured @ 100kHz, 0.25V RMS, 0.0A DC, \[PlusMinus]20%
73 m\[CapitalOmega]           DC Ohms @ 20C typ.
2.02 A           RMS current producing +40C temperature rise (excluding core \
loss)
3.22 A           Saturation current defined by 30% loss of inductance. \
Measured at 20C
2.09 V\[CenterDot]\[Mu]s      Volt\[CenterDot]time product of 300kHz waveform \
which when applied across inductor produces
                          core loss equal to 10% of power loss producing +40C \
temperature rise previously determined.
-40 to +125C storage temperature range
-40 to +85C   operating temperature range
molybdenum permalloy core
rated to 500kHz ??? \[LongDash]I don't see any reason for this.
Body Length exclusive of leads 5.88 mm, Length with leads 7.5 mm. Width 5.2 \
mm, Height 1.8 mm.\
\>", "Text"],

Cell["\<\
Manufacturer (Linear) recommends L>3/f [H]. Ripple constraints \
suggest:\
\>", "Text"],

Cell[BoxData[
    \(L > \(\(Vimin \((VoMAX - Vimim)\)\)\/\(f\[Times]\[CapitalDelta]I\[Times]
              VoMAX\)\)[H]\)], "Input"],

Cell["\<\
Maximum avaliable current \[Equal] (max switch current - inductor \
ripple current/2) \[Times] efficiency / boost\[Dash]ratio\
\>", "Text"],

Cell["Derivation (boost converter)", "Text"],

Cell["Equal volt\[Dash]seconds implies", "Text"],

Cell[BoxData[
    \(\((1 - D)\) \((Vo - Vi)\) \[Equal] D\ Vi\)], "Input"],

Cell[BoxData[
    \(Vo \[Equal] Vi\/\(1 - D\), D \[Equal] 1 - Vi\/Vo\)], "Input"],

Cell["The current increase through the inductor in one cycle is", "Text"],

Cell[BoxData[
    \(Vi\/L*Ton, \ 
    Ton \[Equal] T*D \[Equal] 
        1\/f*D \[Implies] \[CapitalDelta]I \[Equal] \(D\/f\) Vi\/L\)], "Input"],

Cell["Average current is", "Text"],

Cell[BoxData[
    \(Iavg \[Equal] Ip - \[CapitalDelta]I/2 \[Equal] 
      Ip - \(\(D\ Vi\)\/\(f\ L\)\)/2 \[Equal] 
      Ip - \(D\ Vi\)\/\(2  L\ f\)\)], "Input"],

Cell["\<\
This current is decreased by the same factor the voltage is \
increased, (1-D), less (by definition) the efficiency. We therefore get the \
maximum boost\[Dash]current avaliable as\
\>", "Text"],

Cell[BoxData[
    \(Io \[Equal] \[Eta] \((1 - 
            D)\) \((Ip - \(D\ Vi\)\/\(2  L\ f\))\)\)], "Input"],

Cell["\<\
As a rule of thumb, the ripple current is typically 20-40% of the \
peak current\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Io \[Equal] \[Eta] \((1 - D)\) \((Ip - 0.3\ Ip/2)\)\  (*\ 
        Rule\ of\ Thumb\ *)  // FullSimplify\)], "Input",
  CellLabel->"In[70]:="],

Cell[BoxData[
    \(Io == \(-0.85`\)\ \((\(-1\) + D)\)\ Ip\ \[Eta]\)], "Output",
  CellLabel->"Out[70]="]
}, Open  ]],

Cell["Using the 3401 numbers, assuming 5.2V out, 4.25V in gets", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(% /. {\[Eta] \[Rule] 0.92, Ip \[Rule] 1.6, 
        D \[Rule] 1 - 4.25\/5.2}\)], "Input",
  CellLabel->"In[71]:="],

Cell[BoxData[
    \(Io == 1.0226153846153847`\)], "Output",
  CellLabel->"Out[71]="]
}, Open  ]],

Cell["\<\
Of course we'll actually get something less than this, but this is \
ball\[Dash]park. Now find L by using the rule of thumb.\
\>", "Text"],

Cell[BoxData[
    \(\(Ip3401 = 1.6\  (*\ 
        peak\ switch\ current\ limit\ for\ LTC3401\ *) ;\)\)], "Input",
  CellLabel->"In[82]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[\[CapitalDelta]I \[Equal] \(D\ Vi\)\/\(L\ f\), 
          L]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[83]:="],

Cell[BoxData[
    \(L \[Rule] \(D\ Vi\)\/\(f\ \[CapitalDelta]I\)\)], "Output",
  CellLabel->"Out[83]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {D \[Rule] 1 - Vi\/Vo}\) /. {f \[Rule] 
            fnom, \[CapitalDelta]I \[Rule] 0.3*Ip3401, Vi \[Rule] 4.25, 
          Vo \[Rule] 5.2} // EngineeringForm\)], "Input",
  CellLabel->"In[84]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"L", "\[Rule]", 
        InterpretationBox[\("1.05143"\[Times]10\^"-6"\),
          1.051432291666667*^-06,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[84]//EngineeringForm="]
}, Open  ]],

Cell["\<\
So basically one micro\[Dash]Henery. I_sat should be >1.6A, ferrite \
core, and for ~1/8W DC loss, we want \[LessTilde]50m\[CapitalOmega] .\
\>", \
"Text"],

Cell["\<\
Refering to the calculations for L200, it seems either \
MP2A\[Dash]1R0 or MP2A\[Dash]1R5 would be ok. To minimize inventory, the 1R5 \
should be selected but for fun run both.\
\>", "Text"],

Cell["\<\
The maximum inductor ripple current for 1\[Mu]H is\
\>", "Text"],

Cell[BoxData[
    \(\(\(\(VbkH = 4.25\) \)\(;\)\(\(VbkL = 3\) \)\(;\)\(\(VHAP = 
        5.2\) \)\(;\)\(\ \)\( (*\ HAP\ voltage\ limits\ *) \)\)\)], "Input",
  CellLabel->"In[11]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\[CapitalDelta]I \[Rule] \(D\ Vi\)\/\(L\ f\) /. {D \[Rule] 
              1 - Vi\/Vo}\) /. {Vi \[Rule] VbkL, Vo \[Rule] VHAP, 
          f \[Rule] fnom, L \[Rule] 1*^-6} // N\)], "Input",
  CellLabel->"In[79]:="],

Cell[BoxData[
    \(\[CapitalDelta]I \[Rule] 0.8250000000000001`\)], "Output",
  CellLabel->"Out[79]="]
}, Open  ]],

Cell["For 1.5\[Mu]H", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]I/1.5 /. %\)], "Input",
  CellLabel->"In[76]:="],

Cell[BoxData[
    \(0.55`\)], "Output",
  CellLabel->"Out[76]="]
}, Open  ]],

Cell["\<\
This is closer to the rule of thumb's 30%. The slightly increased \
DC resistance of the 1.5\[Mu]H unit probably lowers the efficiency v. the 1\
\[Mu]H inductor (probably the reduced AC core loss doesn't make up for the \
upped DC loss). Considering the advantage of reduced inventory, the 1.5\[Mu]H \
unit seems the way to go.\
\>", "Text"],

Cell["Going back to the originally stated constraints", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(L > \(VbkL \((VHAP - VbkL)\)\)\/\(fnom\[Times]0.3  Ip3401\[Times]VHAP\)\
\)], "Input",
  CellLabel->"In[85]:="],

Cell[BoxData[
    \(L > 1.7187500000000003`*^-6\)], "Output",
  CellLabel->"Out[85]="]
}, Open  ]],

Cell["Close enough.", "Text"],

Cell["\<\
Note this inductor does not meet the IC manufacture's recommended \
value of \[GreaterEqual] 3/f[H] which would be 2\[Mu]H in this case. \
Obviouslly it is close. I don't see why this should be a problem.\
\>", "Text"],

Cell["The volt \[Times] second product for this case is", "Text"],

Cell[BoxData[
    \(\(D\ Vi\)\/f \[Equal] \((1 - Vi\/Vo)\) Vi\/f\)], "Input"],

Cell["Maximize this", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[D[\((1 - Vi\/Vo)\) Vi, Vi] \[Equal] 0, 
        Vi]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[20]:="],

Cell[BoxData[
    \(Vi \[Rule] Vo\/2\)], "Output",
  CellLabel->"Out[20]="]
}, Open  ]],

Cell["In our case this means Vi is mimimum", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\((1 - Vi\/Vo)\) Vi\/f /. {Vi \[Rule] VbkL, Vo \[Rule] VHAP, 
            f \[Rule] fnom} // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[22]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("825."\[Times]10\^"-9"\),
        8.2500000000000015*^-07,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[22]//EngineeringForm="]
}, Open  ]],

Cell["This is quite small, which should mean AC losses are small.", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Capacitors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
C400\tPanasonic ECJ-3YB0J226M (DigiKey PCC2242CT-ND \
17.34$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-3YB0J226M
22 \[Mu]F              nominal capacitance
6.3V                WV DC
X5R                dielectric
1206               case size
\[PlusMinus]20%             tolerance
-35 to +85C   operating temperature range
Height 1.6 mm.\
\>", "Text"],

Cell["\<\
Output capacitor for a high frequency boost switching power supply. \
The dynamic properties of this capacitor affect the loop stability so a \
moderately stable X7R or X5R type is typical. A tantalum cap. will work fine \
here, but is probably bigger. The ceramics seem so much cooler. Voltage \
rating \[GreaterEqual] 6.3V.\
\>", "Text"],

Cell["Basic ripple formula", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vpp \[Equal] \(\[CapitalDelta]I\ Vi\)\/\(C\ Vo\ f\) /. \
{\[CapitalDelta]I \[Rule] 0.55, Vpp \[Rule] 5*^-3, Vi \[Rule] 4.25, 
          Vo \[Rule] 5.2, f \[Rule] fnom} // N\)], "Input",
  CellLabel->"In[119]:="],

Cell[BoxData[
    \(0.005` == 2.921875`*^-7\/C\)], "Output",
  CellLabel->"Out[119]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[%, C]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      EngineeringForm\)], "Input",
  CellLabel->"In[120]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"C", "\[Rule]", 
        InterpretationBox[\("58.4375"\[Times]10\^"-6"\),
          5.8437499999999997*^-05,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[120]//EngineeringForm="]
}, Open  ]],

Cell["\<\
I think this is p\[Dash]p, so i get a free factor of two, and \
anyway what i got is a 22\[Mu]F cap, so that's what to use.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C401\tPanasonic ECJ-3YF1A106Z (DigiKey PCC1894CT-ND 4.91$/10) \
(might use the SPS units instead, see C201)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-3YF1A106Z
10 \[Mu]F               nominal capacitance
10V                 WV DC
Y5V                 dielectric
1206                case size
+80/-20%         tolerance
-25 to +85C  operating temperature range
Height 1.6 mm.\
\>", "Text"],

Cell["\<\
This is an input capacitor for a high frequency boost switching \
power supply. The standard choice is a 1-5\[Mu]F ceramic capacitor. The Y5V \
or similar dielectrics are suitable. Voltage rating should be at least \
6.3V.\
\>", "Text"],

Cell["The ripple in the capacitor is", "Text"],

Cell[BoxData[
    \(V \[Equal] Q/C\)], "Input"],

Cell["Try 2.2\[Mu]F", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]Irms\/\(fnom\ C\) /. {\[CapitalDelta]Irms \[Rule] 0.55, 
        C \[Rule] 2.2*^-6}\)], "Input",
  CellLabel->"In[122]:="],

Cell[BoxData[
    \(0.1625`\)], "Output",
  CellLabel->"Out[122]="]
}, Open  ]],

Cell["\<\
I like to stick w/the 10\[Mu]F, there is an inexpensive style \
availiable. It might however, be better to use the expensive units used in \
the SPS, since there are only one or two HAP's and we could save stocking \
multiple types.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C402\tAny 25+V 0.1\[Mu]F ceramic cap in 1206 package  (DigiKey \
PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["See C202.", "Text"],

Cell["\<\
C402 introduces delay into the \\shutdown circuit of U400. The \
largest convienient value is 0.1\[Mu]F. With on order 1k\[CapitalOmega] \
source resistance, the time constant is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(0.1*^-6*1*^3\  (*\ seconds\ *)  // EngineeringForm\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("100."\[Times]10\^"-6"\),
        9.9999999999999991*^-05,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[6]//EngineeringForm="]
}, Open  ]],

Cell["\<\
The time required to drop the voltage on C402 1V assuming the \
maximum input current of U403 (4.2\[Mu]A) is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(1*0.1*^-6\)\/4.2*^-6\  (*\ seconds\ *)  // EngineeringForm\)], "Input",\

  CellLabel->"In[7]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("23.8095"\[Times]10\^"-3"\),
        0.023809523809523808,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[7]//EngineeringForm="]
}, Open  ]],

Cell["This seems about right.", "Text"],

Cell["", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C403\tPanasonic ECJ-3VF1C225Z (DigiKey PCC1898CT-ND 4.17$/10)\
\>", \
"Subsection"],

Cell["\<\
Panasonic ECJ-3VF1C225Z
2.2 \[Mu]F              nominal capacitance
16V                 WV DC
Y5V                dielectric
1206                case size
+80/-20%      tolerance
-25 to +85C  operating temperature range
Height 0.85 mm.\
\>", "Text"],

Cell["\<\
Output filter for HAP supply. C400 is the main filter. C403 is \
positioned after switch Q400. Assuming on order 1nH of stray inductance, the \
resonant value of C403 is about.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[Fdrive \[Equal] 1\/\@\(L\ C\), C]\)\[LeftDoubleBracket]1, 
        1\[RightDoubleBracket] // FullSimplify\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    \(C \[Rule] 1\/\(Fdrive\^2\ L\)\)], "Output",
  CellLabel->"Out[10]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {Fdrive \[Rule] 1.53846*^6, L \[Rule] 1*^-9} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"C", "\[Rule]", 
        InterpretationBox[\("422.501"\[Times]10\^"-6"\),
          0.0004225008450012675,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[11]//EngineeringForm="]
}, Open  ]],

Cell["\<\
So resonance won't be a problem.\
\>", "Text"],

Cell["\<\
The largest practical value in 1206 size is 2.2\[Mu]F, which is the \
value chosen.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C404\tAny 25+V 0.01\[Mu]F ceramic cap in 1206 package (DigiKey \
PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-4VB1H104K
0.01 \[Mu]F            nominal capacitance
50V                 WV DC
X7R                dielectric
1206                case size
\[PlusMinus]10%              tolerance
-55 to +125C  operating temperature range
Height 0.6 mm.\
\>", "Text"],

Cell["\<\
C404 deglitches the PwrGood signal from U400. The value is non\
\[Dash]critical, and really to be determined.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C405\tSee C412", "Subsection"],

Cell["Forget this, use the same as C412.", "Text"],

Cell["\<\
Panasonic ECS-T1AY106R
10 \[Mu]F               nominal capacitance
10V                 WV DC
Tantalum        dielectric
EIA-A             case size
\[PlusMinus]20% @20C    tolerance
CV/100 A       DC leakage @ 20C, (or 0.5\[Mu]A, whichever is greater)
<0.06               Tan\[Dash]\[Delta]
-55 to +125C  operating temperature range
Height 1.6 mm.\
\>", "Text"],

Cell["\<\
This capacitor provides high frequency bypassing for U404's \
feedback loop. The manufacturer's recommended value is 10\[Mu]F, so that's \
what we've used.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C406\tAny 25+V 0.01\[Mu]F ceramic cap in 1206 package (DigiKey \
PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["See C404", "Text"],

Cell["\<\
C406 is solely to deglitch and delay the shutdown signal to Q401. \
It is redundant in the graph\[Dash]sense with C410. C406 may be unnecessary, \
whether this is true is best determined by observation of the hardware. A \
preliminary specification has been given anyway.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C407\[Dash]C409", "Subsection"],

Cell["Frequency compensation component. See R403 for explaination.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C410\tAny 25+V 0.01\[Mu]F ceramic cap in 1206 package (DigiKey \
PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["See C404", "Text"],

Cell["See C406", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C411", "Subsection"],

Cell["\<\
Beware, C411 was reassigned in HAP version 0.3. Frequency \
compensation component. See R403 for explaination.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C412\tPanasonic ECJ-3YF1A106Z (DigiKey PCC1894CT-ND 4.91$/10) \
(might use the SPS units instead, see C201)\
\>", "Subsection"],

Cell["\<\
Panasonic ECJ-3YF1A106Z
10 \[Mu]F              nominal capacitance
10V                WV DC
Y5V               dielectric
1206               case size
+80/-20%       tolerance
-25 to +85C   operating temperature range
Height 1.6 mm.\
\>", "Text"],

Cell["\<\
This could be a ceramic (Y5V) unit or a Tantalum, which is best? \
See C401, 405, 201.\
\>", "Text"],

Cell["\<\
This is the input bypass cap for the battery charger. The \
manufacturer recommends 1\[Dash]10\[Mu]F, we have no compelling reason not to \
use a 10\[Mu]F unit as chosen here.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Resistors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
R400\t1.00k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-1.00KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-1.00KFCT-ND
1.00k\[CapitalOmega]            nominal resistance
200V               WV DC
1206                case size
\[PlusMinus]1%                tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
R400 serves as a wire\[Dash]OR'ing element for input voltage from \
the SPS and UPS node. If SPS voltage is zero, the input to U403 will be equal \
to UPS, less the voltage drop across R400. The supply current for U403 \
(TC54VC45) is 4.2\[Mu]A Max. The minimum anticipated value for the SPS \
voltage is 4.60V. The maximum voltage threshold for U403 is 4.59V. 10mV drop \
at 4.2\[Mu]A gives \
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(10*^-3/4.2*^-6\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(2380.952380952381`\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell["\<\
Choosing a value of 1k\[CapitalOmega] will assure a sufficiently \
low voltage drop while maintaining acceptably low current during override \
operations. R408 must be able to pull down U403 to the low voltage threshold. \
The minimum threshold voltage is 4.5*0.98 \[Equal] 4.4V. Assume an input \
voltage of 5.2V, the maximum resitance value for R408 is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[r408\/\(r400 + r408\) \[Equal] Vo\/Vi, 
          r408]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    \(r408 \[Rule] \(r400\ Vo\)\/\(Vi - Vo\)\)], "Output",
  CellLabel->"Out[3]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(% /. {r400 \[Rule] 1000, Vo \[Rule] 4.4, Vi \[Rule] 5.2} // 
      N\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \(r408 \[Rule] 5500.000000000002`\)], "Output",
  CellLabel->"Out[4]="]
}, Open  ]],

Cell["\<\
For simplicity, choose R408 \[Equal] 1k\[CapitalOmega].\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R401\t36.5k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-36.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-36.5KFCT-ND
36.5k\[CapitalOmega]            nominal resistance
200V              WV DC
1206               case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm        temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
R401, 402 form the feedback divider for the HAP boost converter. \
The reference voltage is 1.25\[PlusMinus]0.03V. The desired output voltage is \
5.2V. The error amp input current is under 50nA, so a very high divider \
impedance (~2M\[CapitalOmega], value limited by capacitive parasitics) could \
be used, but noise considerations suggest working closer to the  100k\
\[CapitalOmega] level. Somewhat arbitrarilly set the target divider impedance \
to 150k\[CapitalOmega] then the values are\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{Vfb \[Equal] Vo*R401/Rt, Rt \[Equal] R401 + R402}, {R401, 
            R402}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    \({R402 \[Rule] Rt - \(Rt\ Vfb\)\/Vo, 
      R401 \[Rule] \(Rt\ Vfb\)\/Vo}\)], "Output",
  CellLabel->"Out[13]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {Rt \[Rule] 150*^3, Vfb \[Rule] 1.25, Vo \[Rule] 5.2} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          RowBox[{"R402", "\[Rule]", 
            InterpretationBox[\("113.942"\[Times]10\^"3"\),
              113942.30769230769,
              AutoDelete->True]}], ",", 
          RowBox[{"R401", "\[Rule]", 
            InterpretationBox[\("36.0577"\[Times]10\^"3"\),
              36057.692307692305,
              AutoDelete->True]}]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[14]//EngineeringForm="]
}, Open  ]],

Cell["Try 115k and 36.5k", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vfb \[Rule] Vo*R401/\((R401 + R402)\) /. {Vo \[Rule] 5.2, 
          R401 \[Rule] 36.5*^3, R402 \[Rule] 115*^3} // N\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    \(Vfb \[Rule] 1.2528052805280527`\)], "Output",
  CellLabel->"Out[17]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vfb/1.25 /. % // N\)], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[
    \(1.0022442244224423`\)], "Output",
  CellLabel->"Out[18]="]
}, Open  ]],

Cell["Seems OK.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R402\t115k\[CapitalOmega] ,  Any 1% or better film resistor in 1206 \
package  (DigiKey P-115KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-115KFCT-ND
115k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["See R401", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R403\t???k\[CapitalOmega] ,  Any ???% or better film resistor in \
1206 package\
\>", "Subsection"],

Cell["\<\
R403, along with C408,409 form the frequency compesation component \
of the HAP switching supply. C407 also affects the mix by providing a feed\
\[Dash]forward component to the output sensing voltage divider.\
\>", "Text"],

Cell["\<\
The notes for R206 also cover frequency compensation. The basic \
references an\[Dash]19 p.48\[Dash]50 and reference an76 still apply.\
\>", \
"Text"],

Cell["\<\
The DC loop gain is the product of modulator gain and the error amp \
gain. The error amp gain is around 2000, while the modulator gain is \
\[TildeTilde]2 Vin/Iout.\
\>", "Text"],

Cell["\<\
The Output filter pole (current mode control) is basically \
1/(2\[Pi] Rout Cout)Hz. Rout is just 1/2*Vout/Iout (??? explain this). Thus \
the output pole break frequency is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f0pole \[Rule] 1\/\(2  \[Pi]\ Ro\ Co\) /. 
        Ro \[Rule] \(1\/2\) Vo\/Io\  (*\ Hz\ *)  // FullSimplify\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    \(f0pole \[Rule] Io\/\(Co\ \[Pi]\ Vo\)\)], "Output",
  CellLabel->"Out[3]="]
}, Open  ]],

Cell["The output zero is", "Text"],

Cell[BoxData[
    \(f0zero \[Rule] 1\/\(2  \[Pi]\ Resr\ Co\)\)], "Input"],

Cell["\<\
The boost regulator also has a \
right\[Dash]half\[Dash]plane\[Dash]zero (RHP0), which can lead to instability \
(no response through the feedback path). The frequency is given by\
\>", \
"Text"],

Cell[BoxData[
    \(\(\(fRHP0\)\(\[Rule]\)\(\(\(Vi\^2\) 
            Ro\)\/\(2  \[Pi]\ L\ Vo\^2\)\)\(\ \)\( (*\ Hz\ *) \)\)\)], "Input"],

Cell["\<\
This frequency can be low if Ro (the load resistance) has a low \
value. The typical strategey is to roll off the loop gain prior to the \
RHP0.\
\>", "Text"],

Cell["\<\
Following the nomenclature from the note under R206, the \
compenstation capacitor and series resistor (Cc, Rc) and the filter \
compensation capacitor (Cf), the compensation network introduces two poles \
and a zero as before.\
\>", "Text"],

Cell["\<\
The leading pole (assumming Cc >> Cf, which is the usual case) is \
formed by Cc and the modulator input resistance, which is around 20M\
\[CapitalOmega]\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fp1 \[Rule] 1\/\(2  \[Pi]\ Ri\ Cc\)\  (*\ Hz\ *)  /. {Ri \[Rule] 20*^6, 
          Cc \[Rule] 100*^-12} // N\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \(fp1 \[Rule] 79.57747154594767`\)], "Output",
  CellLabel->"Out[4]="]
}, Open  ]],

Cell["\<\
The 1st pole is quite close to DC, even with a fairly low value of \
Cc (here assumed to be 100pF).\
\>", "Text"],

Cell["Here is the remaining pole and zero", "Text"],

Cell[BoxData[
    \(fp2 \[Rule] 1\/\(2  \[Pi]\ Rc\ Cf\)\)], "Input"],

Cell[BoxData[
    \(fz1 \[Rule] 1\/\(2  \[Pi]\ Rc\ Cc\)\)], "Input"],

Cell["\<\
As before, the input voltage divider is bypassed by a speedup \
capacitor (CA) and a noise filtering, and counter balancing capacitor (CB).\
\
\>", "Text"],

Cell["The break frequencies produced by CA and CB are at", "Text"],

Cell[BoxData[
    \(fA \[Rule] 1\/\(2  \[Pi]\ RA\ CA\), 
    fB \[Rule] 1\/\(2  \[Pi]\ RB\ CB\)\)], "Input"],

Cell["See also R206", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R404\t27.4k\[CapitalOmega] ,  Any 2% or better film resistor in \
1206 package  (DigiKey P-27.4KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-27.4KFCT-ND
27.4k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
R404 sets the center frequency of U400's oscillator. For \
syncronization, the center frequency should be about 30% less than the \
desired syncronization frequency, according to the manufacturer.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[Fosc \[Equal] 3*^10/Rosc, Rosc]\)\[LeftDoubleBracket]1, 
        1\[RightDoubleBracket] // FullSimplify\)], "Input",
  CellLabel->"In[24]:="],

Cell[BoxData[
    \(Rosc \[Rule] 30000000000\/Fosc\)], "Output",
  CellLabel->"Out[24]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. Fosc \[Rule] \((10*^6/6.5)\) \((0.70)\) // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[25]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"Rosc", "\[Rule]", 
        InterpretationBox[\("27.8571"\[Times]10\^"3"\),
          27857.142857142855,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[25]//EngineeringForm="]
}, Open  ]],

Cell["\<\
27k would be fine, 28k is good too. 5% is fine, 2% perhaps a bit \
better.\
\>", "Text"]
}, Closed]],

Cell["R405\tEliminated", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
R406\t47.5k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-47.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-47.5KFCT-ND
47.5k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
This is the pullup resistor for the PwrGood output signal. The \
value should be >>R400. As a compromise try 47k.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["R407\tNo value selected", "Subsection"],

Cell["\<\
Ideally, R407 would be dropped. It's function is to assure the \
\\Shutdown signal to U400 is asserted when U403 is unpowered. U403 operates \
down to about 0.7V. It is possible that U400 would operate down to 0.5V so a \
window exists for unintended operation. This seems unlikely so no value for \
R407 was selected. If used the value should be fairly high if possible to \
minimize operating dissipation.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R408\t1.00k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-1.00KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R400.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R409\t20.0k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-20.0KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See RT400.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R410\t32.4k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-32.4KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R411.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R411\t3.57k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-3.57KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-3.57KFCT-ND
3.57k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["R410, 411 set the fast and trickle battery charging rates.", "Text"],

Cell["Here is the basic formula", "Text"],

Cell[BoxData[
    \(Ibat \[Equal] 1500/Rset\)], "Input"],

Cell["\<\
The fast charge current is not very critical. The nominal value is \
420mA, but if this was a problem for the supply is could be reduce to 300mA. \
For now assume 420mA is ok, then the programming resistor is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Rset \[Rule] 1500/0.42 // N\)], "Input",
  CellLabel->"In[26]:="],

Cell[BoxData[
    \(Rset \[Rule] 3571.4285714285716`\)], "Output",
  CellLabel->"Out[26]="]
}, Open  ]],

Cell["Since this is a standard value, go for it.", "Text"],

Cell["\<\
The nominal trickle charge rate is C/10 or in this case 42mA. This \
can sucessfully be any similar figure but sticking to definite C/x values \
should give a charge\[Dash]time profile that is independent of battery \
capacity, which might be good. \
\>", "Text"],

Cell["These assumptions enable a calculation for R410 to be made", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Rset*\((10 - 1)\) /. %\)], "Input",
  CellLabel->"In[27]:="],

Cell[BoxData[
    \(32142.857142857145`\)], "Output",
  CellLabel->"Out[27]="]
}, Open  ]],

Cell["Pick 32.4k as the next standard value.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(1500/\((3570 + 32.4*^3)\) // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[28]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("41.7014"\[Times]10\^"-3"\),
        0.041701417848206843,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[28]//EngineeringForm="]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R412-413\t47.5k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-47.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See RT406.", "Text"],

Cell["These are pull downs for the battery charge control lines.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R414\t(Removed) 2M\[CapitalOmega] ,  Any 5% or better film resistor \
in 1206 package  (DigiKey P-2.00MFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
It's desirable to monitor the status of the input supply to the \
HAP. This should be done with a minimum of input pins on the PIC. The program \
current pin (PROG) on the Li+ charger (U404) can serve four functions. \
Connecting a resistor between the pin and ground can set the peak charging \
current. The true charging current can be determined by reading the voltage \
at the PROG pin. If the voltage rises above 2.25V(Max) the battery charge \
circuitry is disabled. The PROG pin is pulled up by a 3\[Mu]A current source \
internal to U404. However, if the input voltage drops to zero, essentially \
zero current will flow from the PROG pin, and the action of R414 will be to \
pull the voltage at PROG down to zero volts. Thus, a reading of zero volts on \
the PROG pin indicates a main power failure except during charging, when it \
could indicate charge termination.
In the case of main power failure during charge, the loss of battery current \
could be mistaken for charge termination. For the anticipated algorithm, this \
is not the case, but even if a misidentification of the the cause of a zero \
current reading was made, the ordinary response would be to terminate \
charging. If the mains were avaliable, the PROG voltage would immediatly \
increase. If the mains failed, the PROG voltage would remain zero, breaking \
the ambiguity.\
\>", "Text"],

Cell["\<\
The value of R414 must be large enough to allow the voltage to rise \
to the shutdown threshold under the action of the nominal 3\[Mu]A current \
source. The minimum current is 1.5\[Mu]A\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(1.5*^-6\ *\ 2*^6\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \(3.`\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell["3V is fine as the minimum threshold is 2.25V.", "Text"],

Cell["\<\
R414 must be small enough to pull the PROG pin low during \"Sleep\" \
mode, when the input voltage is  ~ 0V. The leakage current in sleep mode is \
not specified on the data sheet. The maximum leakage for the whole chip over \
temperature is given as \[PlusMinus]1\[Mu]A.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Miscellaneous", "Section"],

Cell[CellGroupData[{

Cell["\<\
B400\tSanyo UF611948, rectangular Li\[Dash]Ion cell\
\>", \
"Subsection"],

Cell["\<\
Sanyo UF611948 (See Sanyo_Rectang_UF611948.pdf)
420mAHr      nominal capacity
3.7V                nominal voltage
4.2V                maximum charging voltage
420mA           maximum rated charging current
2.5Hr               expected recharge time for fully discharged cell
273WHr/liter volumetric energy density
135WHr/kg    gravimetric energy density
(0, 40)C          allowable charging ambient temperature
(-20, 60)C     allowable discharge ambient temperature
(-20, 50)C     storage temperature range
48\[Times]19.5\[Times]6.1mm Case dimensions
11.5g             cell mass\
\>", "Text"],

Cell["\<\
The main question here is how big a battery is required. A 1Hr \
mission durability is probably adequate. Assuming the low current \
requirements we have estimated are correct (<100mA) the capacity of this \
battery is clearly sufficient. The AA type are easier to come by but they \
seem harder to mount??? and have slightly worse gravimetric energy \
density???.\
\>", "Text"],

Cell["\<\
The 420mA recharge current may be somewhat high for the SPS target \
of 500mA (but maybe not) but if this was a problem, the current could \
probably be safely reduced 50% without complications except longer recharge \
times. Alternately the SPS inductor value could be raised, raising avaliable \
output current.\
\>", "Text"],

Cell[TextData[{
  "By the way, the chemistry of the Sanyo cell is approximately\n\tLithium \
Cobaltate ",
  Cell[BoxData[
      StyleBox[\((\(LiC\_\(?? ?\)\) O\_2)\),
        FontFamily->"Helvetica"]]],
  ", \[Rho]\[Equal]4.95, mp\[Equal]1130C, black odorless powder\n\tGraphite \
electrode (C) (as opposed to Coke), \[Rho]\[Equal]2.09\[Tilde]2.2, black \
odorless powder\n\tOrganic Solvent\n\tPalyvynilidene difluoride (PVdF)"
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
RT400\tThermometrics NHQM103R10, negative temperature coefficient \
thermistor (DigiKey 235-1116-1-ND 1.75$ea/10)\
\>", "Subsection"],

Cell["\<\
Thermometrics NHQM103R10 (DigiKey claims NHQM103B375T10)
10k\[CapitalOmega]            nominal resistance @ 25C
\[PlusMinus]10%           tolerance
3750             \[Beta] (25C, 85C)\[PlusMinus]200 K
0805             case size
<5s              thermal time constant
1.5mW/K     thermal dissipation factor
(-40, 125)C   operating temperature range
1.3 mm tall\
\>", "Text"],

Cell["\<\
This is the same unit used on the LV1b FC and IMU. The consistency \
is regarded as an advantage. Possibly an IC unit with linear respone should \
be substituted.\
\>", "Text"],

Cell["\<\
Based on LV1b design, the series resistance should be 20k\
\[CapitalOmega].\
\>", "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Pyrotechnic Sub\[Dash]Node High Voltage Igniter Trigger (PYRO)
(2100)\
\>", "Chapter"],

Cell["Connector(s) ???", "Section"],

Cell[CellGroupData[{

Cell["Integrated Circuit(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
U2100\tLT1310, 4MHz, 1.5A, DC\[Dash]DC boost converter\
\>", \
"Subsection"],

Cell["\<\
The selection criterion include size, efficiency, complexity and \
frequency. This MSOP-10 package can reach 85% efficiency and output upto 35V. \
It can be synchronized to above 4MHz, has under 1\[Mu]A shutdown current, \
about 12mA quiescent current, and potentially above 1A output current while \
tolerating a 3\[Dash]18V input range.\
\>", "Text"],

Cell["\<\
Particularly constraing here is the requirement of high voltage \
output, to minimize the number of stages in the voltage multiplier, and high \
frequency operation.\
\>", "Text"],

Cell["\<\
I really want to use the LT1310. The difficulty is that the maximum \
duty cycle is only about 80%, this is less than what's required to get 100V \
off a tripled output. An LT1930 reaches 84%, which is sufficient, but this \
part cannot be syncronized.\
\>", "Text"],

Cell["\<\
If it's allowable to resort to typical characteristics, the LT1310 \
will function marginally with a tripler at 100V. This might be a problem at \
low temperatures. If i can assume Schottky diodes at 0.25V, the implied duty \
cycle is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\((100 + 5*0.25)\)/3\)\(\ \)\( (*\ 
      voltage\ required\ *) \)\)\)], "Input",
  CellLabel->"In[45]:="],

Cell[BoxData[
    \(33.75`\)], "Output",
  CellLabel->"Out[45]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(1 - \(\(VHAP/%\)\(\ \)\( (*\ required\ duty\ cycle\ *) \)\)\)], "Input",\

  CellLabel->"In[46]:="],

Cell[BoxData[
    \(0.845925925925926`\)], "Output",
  CellLabel->"Out[46]="]
}, Open  ]],

Cell["\<\
This is almost the same duty cycle as would be achieved with \
silicon diodes.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\((100 + 5*0.7)\)/3\)\(\ \)\)\)], "Input",
  CellLabel->"In[47]:="],

Cell[BoxData[
    \(34.5`\)], "Output",
  CellLabel->"Out[47]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(1 - VHAP/%\)], "Input",
  CellLabel->"In[48]:="],

Cell[BoxData[
    \(0.8492753623188406`\)], "Output",
  CellLabel->"Out[48]="]
}, Open  ]],

Cell["\<\
I think this problem can be solved by using the discontinuous \
conduction mode, which will lower the effective duty cycle for a given output \
voltage. Alternatively a tapped inductor could be used (see an-19 p.43). \
Since a tapped inductor is a U\[Dash]wind\[Dash]it solution, it's currently \
not the preferred method.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
U2101-2104\tIR2118S, Single channel inverting high voltage, high \
side driver\
\>", "Subsection"],

Cell["\<\
International Rectifier IR2118S
<600V          maximum offset voltage
10\[Dash]20V          drive voltage range
<200ns          propagation delay
SO8              package
8.4V             UV lockout center voltage
(,120, 580)\[Mu]A quiescent current
-40 to +125C operationg temperature range\
\>", "Text"],

Cell["\<\
This integrated circuit accepts a 10-20V power supply and a 5V \
logic input and drives a high side mosfet switch up to 600V.\
\>", "Text"],

Cell["\<\
Selection criterion include quiescent current, voltage and drive \
capacity, and parts count.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["U2105\tSN74AHC1G126DBVR (DigiKey 296-8746-1-ND 0.56$ea)", "Subsection"],

Cell["\<\
Texas Instruments SN74AHC1G126DBVR
5.5V          maximum supply voltage
8mA          recommended output current
<10ns        propagation delay
SOT\[Dash]23\[Dash]5   package\
\>", "Text"],

Cell["\<\
Buffer drives a voltage tripler to supply boost power for the high \
side drivers.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Transistor(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
Q2100\tZVN3320 SOT\[Dash]23\[Dash]3 N\[Dash]FET (DigiKey \
ZVN3320FCT-ND 0.86$ea@10)\
\>", "Subsection"],

Cell["\<\
International Rectifier IRLL110
SOT-223 package
100V              V_DSS
12mV/C        Break down temp.co. 25C, I_D\[Equal]1mA
760m\[CapitalOmega]           R_DS(on), V_GS=4V
<6.1nC           total gate charge @ V_GS\[Equal]5V
250pF             typ. input capacitance
1.5A               I_DMax (dissipation limited)
12A                Max pulse current
\[PlusMinus]10V              V_GSMax
2.5V               Max body diode forward voltage @ 25C, 1.5A, V_GS\[Equal]0V
130ns             Max body diode reverse recovery time
6500nC          Max body diode reverse recovery charge
50mJ              Max pulse avalanche Energy
0.31mJ           Repetitive avalanche Energy
150C              T_JMax
60C/W           Max \[Theta]_JA on standard 1\"sq. copper clad board, t < 1s.\
\
\>", "Text"],

Cell["\<\
Zetex ZVN3320
SOT\[Dash]23\[Dash]3      package
200V             V_DSS
25\[CapitalOmega]                R_DS(on)Max V_GS\[Equal]10V, 25C
1000\[CapitalOmega]            R_DS(on)Max V_GS\[Equal]3V, 25C
1A                 I_DMax (pulse)
60mA            I_DMax (dissipation limited)
330mW         Recommended dissipation\
\>", "Text"],

Cell["\<\
This transistor passes current from the high voltage cap (C2100) to \
the voltage measurement divider. When on this allows the voltage on C2100 to \
be measured by the microprocessor. Also the measurement divider serves to \
discharge C2100 when that is desired. The current requirements for Q2100 are \
miniscule, but the voltage rating must be at least 100V.\
\>", "Text"],

Cell["\<\
I think 5V should get R_DS down to ~100\[CapitalOmega], but the \
divider should be designed to accept 1k\[CapitalOmega] with rated accuracy. \
The PIC ADC is 10bit. The maximum threshold is 3V. Compress 100V to 2V @ \
5/1024V resolution. The voltage quanta is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(100\/2*\(5\/1024\) V // N\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \(0.244140625`\ V\)], "Output",
  CellLabel->"Out[2]="]
}, Open  ]],

Cell["\<\
About 1/4V. The 5V test voltage is thus 20 quanta. At best, if say \
5V was scaled to 150V, 5V would read\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(5/\((150\/5*5\/1024)\) // N\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    \(34.13333333333333`\)], "Output",
  CellLabel->"Out[3]="]
}, Open  ]],

Cell["Preliminarily, it looks like all is working.", "Text"],

Cell["\<\
Suppose we wish to discharge in 3 seconds to 95% \[Implies] \[Tau] \
\[TildeTilde] 1s. For 10\[Mu]F \[Implies] R\[Equal]100k\[CapitalOmega] . \
Initial current ~1mA. This should be ok w/ V_GS\[NonBreakingSpace]>\
\[NonBreakingSpace]2V using IRLL110. Map 100V to 2V.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[{r2108 + r2107 \[Equal] 
          100*^3, \(100\/\(r2108 + r2107\)\) r2107 \[Equal] 2}, {r2108, 
        r2107}]\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \({{r2108 \[Rule] 98000, r2107 \[Rule] 2000}}\)], "Output",
  CellLabel->"Out[11]="]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Q2101\[Dash]2104\tIRLR3410 D\[Dash]PAK N\[Dash]FET (DigiKey \
IRLR3410-ND 1.16$ea/10)\
\>", "Subsection"],

Cell["\<\
International Rectifier IRLR3410
TO\[Dash]252AA (D\[Dash]PAK) package
100V              V_DSS
122mV/C       Break down temp.co. 25C, I_D\[Equal]1mA
105m\[CapitalOmega]            R_DS(on), V_GS=10V
<34nC            total gate charge @ V_GS\[Equal]5V
800pF             typ. input capacitance
17                   I_DMax (dissipation limited)
60A                Max pulse current
\[PlusMinus]16V              V_GSMax
1.3V               Max body diode forward voltage @ 25C, 9A, V_GS\[Equal]0V
210ns              Max body diode reverse recovery time
1100nC          Max body diode reverse recovery charge
150mJ             Max pulse avalanche Energy
7.9mJ              Repetitive avalanche Energy
175C               T_JMax
50C/W           Max \[Theta]_JA on standard 1\"sq. copper clad board, t < 1s.\
\
\>", "Text"],

Cell["\<\
These transistors discharge the high voltage capacitor triggering \
the associated pyrotechnic charge. They require sufficient voltage and \
current ratings while mainitaining low R_DSON. Unfortunately this make them \
huge.\
\>", "Text"]
}, Closed]],

Cell["Q2105\[Dash]2108\tSee Q201", "Subsection"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diode(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
D2100\tBAV21W (DigiKey BAV21WDICT-ND 0.32$ea/10)\
\>", "Subsection"],

Cell["See D2101.", "Text"],

Cell["\<\
Must withstand the full high voltage. Use the same as the high side \
drivers.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
D2101\[Dash]2104\tBAV21W (DigiKey BAV21WDICT-ND 0.32$ea/10)\
\>", \
"Subsection"],

Cell["\<\
Diodes Inc.    BAV21W
SOD\[Dash]323       package, 2 pin type possible to shoot a trace
200V             V_R
0.1\[Mu]A            Max reverse current @ V_R
250mW         Max power (assume 25C ???)
1V                Max forward voltage @ 25C, 100mA
50ns              Max reverse recovery time
5pF               Max capacitance
(-40,  125)C T_J range (maybe a bit more)\
\>", "Text"],

Cell["\<\
These diodes provide current to the high side driver bootstrap \
circuits. They must withstand the full high voltage and be fast recovery. The \
current requirement is quite low, only 150mA (See C2103). The reverse \
recovery time should be under 100ns.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
D2105\[Dash]2109\t1N4448HWS (DigiKey 1N4448HWSDICT-ND 0.30$ea/10)\
\
\>", "Subsection"],

Cell["See CR201.", "Text"],

Cell["\<\
High voltage tripler diodes. Max voltage is ~35V, average current \
pretty low. These will work for the high side driver supply tripler \
too.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
D2110\[Dash]2114\t1N4448HWS (DigiKey 1N4448HWSDICT-ND 0.30$ea/10)\
\
\>", "Subsection"],

Cell["See D2105.", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inductor(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
L2100\tCoiltronics MP2A-1R5, 1.5\[Mu]H, See PM-4112.pdf\
\>", \
"Subsection"],

Cell["\<\
Coiltronics MP2A-1R5
1.5 \[Mu]H           nominal inductance
1.54 \[Mu]H         measured @ 100kHz, 0.25V RMS, 0.0A DC, \[PlusMinus]20%
73 m\[CapitalOmega]           DC Ohms @ 20C typ.
2.02 A           RMS current producing +40C temperature rise (excluding core \
loss)
3.22 A           Saturation current defined by 30% loss of inductance. \
Measured at 20C
2.09 V\[CenterDot]\[Mu]s      Volt\[CenterDot]time product of 300kHz waveform \
which when applied across inductor produces
                          core loss equal to 10% of power loss producing +40C \
temperature rise previously determined.
-40 to +125C storage temperature range
-40 to +85C   operating temperature range
molybdenum permalloy core
rated to 500kHz ??? \[LongDash]I don't see any reason for this.
Body Length exclusive of leads 5.88 mm, Length with leads 7.5 mm. Width 5.2 \
mm, Height 1.8 mm.\
\>", "Text"],

Cell["\<\
The LT1310 has a switch current limit of 2.8A Max. Assuming a 33V \
output voltage and a 5.2V input voltage the following seem to apply.\
\>", \
"Text"],

Cell["\<\
Nominal output voltage is up to 100V, assuming silicon diodes in \
tripler configuration\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vboost = \(\(\((100 + 5*0.7)\)/3\)\(\ \)\( (*\ 
        input\ to\ voltage\ multiplier\ *) \)\)\)], "Input",
  CellLabel->"In[37]:="],

Cell[BoxData[
    \(34.5`\)], "Output",
  CellLabel->"Out[37]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(D \[Equal] 1 - VHAP/Vboost\)], "Input",
  CellLabel->"In[38]:="],

Cell[BoxData[
    \(D == 0.8492753623188406`\)], "Output",
  CellLabel->"Out[38]="]
}, Open  ]],

Cell["\<\
The data sheet only guarantees 78% maximum duty cycle over \
temperature at 1.5MHz\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(VHAP\/\(1 - 0.78\)\)], "Input",
  CellLabel->"In[28]:="],

Cell[BoxData[
    \(23.63636363636364`\)], "Output",
  CellLabel->"Out[28]="]
}, Open  ]],

Cell["\<\
That's sort of pathetic. If the layout was modified to include a \
doubler on the HAP output, then even assuming a 2 diode drop loss, the \
resulting duty cycle is only\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(D \[Equal] 1 - \((2  VHAP - 3*0.7)\)/Vboost\)], "Input",
  CellLabel->"In[39]:="],

Cell[BoxData[
    \(D == 0.7594202898550724`\)], "Output",
  CellLabel->"Out[39]="]
}, Open  ]],

Cell["\<\
On the other hand, changing to a quadrupler on the pyro output and \
trying for 100V means 7 diode drops\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\((100 + 7*0.7)\)/4\)\(\ \)\( (*\ 
      required\ voltage\ using\ quadrupler\ *) \)\)\)], "Input",
  CellLabel->"In[31]:="],

Cell[BoxData[
    \(26.225`\)], "Output",
  CellLabel->"Out[31]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(D \[Equal] 1 - VHAP/%\)], "Input",
  CellLabel->"In[32]:="],

Cell[BoxData[
    \(D == 0.8017159199237369`\)], "Output",
  CellLabel->"Out[32]="]
}, Open  ]],

Cell["\<\
This fails, barely. If schottky diodes were used in the \
quadrupler\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\((100 + 7*0.3)\)/4\)], "Input",
  CellLabel->"In[42]:="],

Cell[BoxData[
    \(25.525`\)], "Output",
  CellLabel->"Out[42]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(D \[Equal] 1 - VHAP/%\)], "Input",
  CellLabel->"In[43]:="],

Cell[BoxData[
    \(D == 0.7962781586679726`\)], "Output",
  CellLabel->"Out[43]="]
}, Open  ]],

Cell["The design still will not meet specs.", "Text"],

Cell["\<\
It therefore appears that the HAP should be modified for doubler \
operation. This is complicated by the need to completely shut off the HAP \
supply. Doing this would require another high\[Dash]side switch, which is a \
bad deal.\
\>", "Text"],

Cell["", "Text"],

Cell["Consider discontinuous mode operation.", "Text"],

Cell["The current during the on time builds up to", "Text"],

Cell[BoxData[
    \(\[CapitalDelta]I \[Equal] \(Vi\/L\) Ton\)], "Input"],

Cell["\<\
By definition, in discontinuous mode, the off time exceeds the time \
required for the inductor current to fall to zero. This time is given by volt \
\[CenterDot] seconds balance\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[Toffmin \( Vo - Vi\)\/L \[Equal] \(Vi\/L\) Ton, 
          Toffmin]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[49]:="],

Cell[BoxData[
    \(Toffmin \[Rule] \(Ton\ Vi\)\/\(\(-Vi\) + Vo\)\)], "Output",
  CellLabel->"Out[49]="]
}, Open  ]],

Cell[BoxData[
    \(Toffmin \[Equal] Ton  Vi\/\(Vo - Vi\)\)], "Input"],

Cell["\<\
The duty cycle concept ceases to be meaningful in discontinuous \
mode. The average current into the load is given by an integral (ignoring \
efficiency effects)\
\>", "Text"],

Cell[BoxData[
    \(Iavg \[Equal] Io \[Equal] 
      f \(\[Integral]Ioff\ \[DifferentialD]t\)\)], "Input"],

Cell["Durring off time the current is falling linearly", "Text"],

Cell[BoxData[
    \(Io \[Equal] 
      f\ \(Ip\ toffmin\)\/2 \[Equal] \(f\/2\) \(Vi\/L\) Ton*Ton 
         Vi\/\(Vo - Vi\) \[Equal] \(Ton\^2\) \(f\/\(2  L\)\) 
        Vi\^2\/\(Vo - Vi\)\)], "Input"],

Cell["\<\
For a boost\[Dash]mode supply, an-19 gives these formula (note the \
3rd formula is mis\[Dash]stated in an-19 and the 3rd equation is also plain \
wrong, see derivations below)\
\>", "Text"],

Cell["Smallest inductor that results in continuous mode operation", "Text"],

Cell[BoxData[
    \(Lcont \[GreaterEqual] \(\(Vi\^2\) \((Vo - Vi)\)\)\/\(2  f\ Io\ \
Vo\^2\)\)], "Input"],

Cell["\<\
The mimimum inductace to supply a given current in discontinuous \
mode (ignoring efficiency)\
\>", "Text"],

Cell[BoxData[
    \(Ldis \[GreaterEqual] \(2  Io \((Vo - Vi)\)\)\/\(f\ Ip\^2\)\)], "Input"],

Cell["\<\
Peak inductor current (Vf is diode forward voltage drop, R is \
switch on\[Dash]resistance) (for continuous mode operation)\
\>", "Text"],

Cell[BoxData[
    \(Ip \[Equal] \(\(Io \(\((Vo + Vf)\) - \((Io\ Vo\ R/Vi)\)\)\/\(Vi - Io\ \
Vo\ R/Vi\)\)\(+\)\(\(Vi \((Vo - 
                  Vi)\)\)\/\(2\ f\ L\ Vo\)\)\(\ \)\( (*\ \(WRONG!\)\ *) \
\)\)\)], "Input"],

Cell["Here are some derivations of the above", "Text"],

Cell[BoxData[
    \(Lcont \[Equal] \(\(Vi\^2\) \((Vo - Vi)\)\)\/\(2  f\ Io\ Vo\^2\) \
\[Equal] \(\(Vi\^2\) D\)\/\(2  f\ Io\ Vo\) \[Equal] 
      Ton  Vi\^2\/\(2\ Io\ Vo\)\)], "Input"],

Cell[BoxData[
    \(2\ Io\ Vo\/Vi \[Equal] 
      Ton\ Vi\/Lcont \[Equal] \[CapitalDelta]I\)], "Input"],

Cell["\<\
So the mode is just barely continuous when the current change \
during Ton is equal to twice the average current output times the voltage \
ratio. This derives the 1st equation.\
\>", "Text"],

Cell["\<\
Now find Io in terms of L_dis and frequency. Using what was done \
above\
\>", "Text"],

Cell[BoxData[
    \(Io \[Equal] 
      f\ \(Ip\ toffmin\)\/2 \[Equal] \(f\/2\) Ip\ Ton 
         Vi\/\(Vo - Vi\)\)], "Input"],

Cell["\<\
In discontinuous mode, Ip\[Equal]\[CapitalDelta]I, so the \
\[CapitalDelta]I formula can eliminate Ton\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[Io \[Equal] \(f\/2\) Ip\ \((\(Ip\ L\)\/Vi)\) Vi\/\(Vo - Vi\), 
          L]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[86]:="],

Cell[BoxData[
    \(L \[Rule] \(-\(\(2\ Io\ \((Vi - Vo)\)\)\/\(f\ Ip\^2\)\)\)\)], "Output",
  CellLabel->"Out[86]="]
}, Open  ]],

Cell["Now the 3rd formula", "Text"],

Cell[BoxData[
    \(Ip \[Equal] 
      Io \(\((Vo + Vf)\) - \((Io\ Vo\ R/Vi)\)\)\/\(Vi - Io\ Vo\ R/Vi\) + \(Vi \
\((Vo - Vi)\)\)\/\(2\ f\ L\ Vo\)\[IndentingNewLine] \[Equal] 
      Io \( Vo + Vf - Von\)\/\(Vi - Von\) + Ton  Vi\/\(2\ L\)\)], "Input"],

Cell["\<\
The 1st term is the transformer relation for the average current \
corrected for diode drop and finite switch on voltage. The 1st term is wrong. \
The numerator should not contain the Von voltage. The second term is the \
\[CapitalDelta]I contribution. The correct equation is\
\>", "Text"],

Cell[BoxData[
    \(Ip \[Equal] Io \( Vo + Vf\)\/\(Vi - Von\) + \[CapitalDelta]I/2 \[Equal] 
      Io \( Vo + Vf\)\/\(Vi - Io\ Vo\ R/Vi\) + \(Vi \((Vo - Vi)\)\)\/\(2\ f\ \
L\ Vo\)\)], "Input"],

Cell["\<\
There's no decent reason i see why the same inductor can't be \
spec'd here as before.\
\>", "Text"],

Cell["The continuous mode current threshold is", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Io \[GreaterEqual] \(\(Vi\^2\) \((Vo - Vi)\)\)\/\(2  f\ L\ Vo\^2\) /. \
{Vi \[Rule] VHAP, Vo \[Rule] Vboost, f \[Rule] fnom, 
        L \[Rule] 1.5*^-6}\)], "Input",
  CellLabel->"In[89]:="],

Cell[BoxData[
    \(Io \[GreaterEqual] 0.14422090597213472`\)], "Output",
  CellLabel->"Out[89]="]
}, Open  ]],

Cell["\[CapitalDelta]I continuous mode", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[CapitalDelta]I \[Equal] \(Vi \((Vo - Vi)\)\)\/\(2\ f\ L\ Vo\) /. {Vi \
\[Rule] VHAP, Vo \[Rule] Vboost, f \[Rule] fnom, 
        L \[Rule] 1.5*^-6}\)], "Input",
  CellLabel->"In[90]:="],

Cell[BoxData[
    \(\[CapitalDelta]I == 0.9568502415458938`\)], "Output",
  CellLabel->"Out[90]="]
}, Open  ]],

Cell["This is within the LT1310 limit of (1.5, 2.1, 2.8)A", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Capacitors(s)", "Section"],

Cell[CellGroupData[{

Cell["C2100\tAmerican Capacitor Corp. DW2D106K", "Subsection"],

Cell["\<\
Electrocube 230B1B106K, <Electrocube 230 Series-Metallized \
Polyester.pdf>
10 \[Mu]             nominal capacitance
100V           WV DC
Oval            shape
<1.25%        dissipation factor @ 1000Hz
metalized polyester dielectric
0.46 x 0.63 x 1.15 \" case size
\[PlusMinus]10%          tolerance
0.032\"         lead diameter (AWG #20)
-55 to +85C operating temperature range (voltage derated to 125C)\
\>", "Text"],

Cell["\<\
Electrocube 230C1B106K, <Electrocube 230 Series-Metallized \
Polyester.pdf>
10 \[Mu]             nominal capacitance
100V           WV DC
Flatish         shape
<1.25%        dissipation factor @ 1000Hz
metalized polyester dielectric
0.27 x 0.66 x 1.4 \" case size
\[PlusMinus]10%          tolerance
0.0253\"         lead diameter (AWG #22)
-55 to +85C operating temperature range (voltage derated to 125C)\
\>", "Text"],

Cell["\<\
American Capacitor Corp. DW2D106K, <ACC_MetallizedMylar-DData.pdf>
10 \[Mu]             nominal capacitance
100V           WV DC
<1.25%        dissipation factor @ 1000Hz
metalized polyester dielectric
0.46 x 0.63 x 1.17 \" case size
\[PlusMinus]10%          tolerance
0.032\"         lead diameter (AWG #20)
-55 to +85C operating temperature range (voltage derated to 125C)\
\>", "Text"],

Cell["For details see DesignNotes???", "Text"],

Cell["Volume of 230B, 230C", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \({0.46*0.63*1.15, 0.27*0.66*1.4} // N\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \({0.33326999999999996`, 0.24948`}\)], "Output",
  CellLabel->"Out[1]="]
}, Open  ]],

Cell["Measured dimensions of 230B, 230C", "Text"],

Cell[BoxData[
    RowBox[{
      RowBox[{"b", "=", 
        RowBox[{"(", GridBox[{
              {".420", ".426", ".418", ".433"},
              {".576", ".572", ".587", ".575"},
              {"1.163", "1.163", "1.169", "1.174"}
              }], ")"}]}], ";"}]], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    RowBox[{
      RowBox[{"c", "=", 
        RowBox[{"(", GridBox[{
              {".269", ".274", ".272", ".264"},
              {".703", ".697", ".696", ".700"},
              {"1.386", "1.383", "1.391", "1.386"}
              }], ")"}]}], ";"}]], "Input",
  CellLabel->"In[2]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Times\)\(@@\)\(b\)\(\ \)\( (*\ Volume\ *) \)\)\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \({0.28135296`, 0.28339053599999997`, 0.28683285399999997`, 
      0.29229665`}\)], "Output",
  CellLabel->"Out[4]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Times\)\(@@\)\(c\)\(\ \)\( (*\ Volume\ *) \)\)\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    \({0.26210230199999995`, 0.264122574`, 0.26333299200000004`, 
      0.2561328`}\)], "Output",
  CellLabel->"Out[5]="]
}, Open  ]],

Cell["\<\
So, interestingly, the ovals are a little smaller than advertised, \
the flats are a bit larger. Still the flats are smaller overall.\
\>", "Text"],

Cell["Mass of 4 together (full leads)", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(bm = 24.05/4\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    \(6.0125`\)], "Output",
  CellLabel->"Out[7]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(cm = 22.05  g/4\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    \(5.5125`\ g\)], "Output",
  CellLabel->"Out[6]="]
}, Open  ]],

Cell["\<\
For \"C\" flats, recommend 1.7\" spacing on holes. For \"B\" ovals, \
recommend 1.5\" spacing.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2101\tPanasonic ECJ-3YF1A106Z (DigiKey PCC1894CT-ND 4.91$/10) \
(might use the SPS units instead, see C201)\
\>", "Subsection"],

Cell["See C401.", "Text"],

Cell["\<\
This is an input capacitor for a high frequency boost switching \
power supply. The standard choice is a 1-5\[Mu]F ceramic capacitor. The Y5V \
or similar dielectrics are suitable. Voltage rating should be at least 6.3V. \
Choose the same type as used in the HAP to minimize inventory.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2102, 2104, 2106, 2108\tAny 25+V 0.1\[Mu]F ceramic cap in 1206 \
package  (DigiKey PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["See C202.", "Text"],

Cell["\<\
These capacitors are simple bypassing caps. 0.1\[Mu]F values are \
adequate. Voltage rating should be at least 25V.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2103, 2105, 2107, 2109\tAny 25+V 0.33\[Mu]F ceramic cap in 1206 \
package, Panasonic ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)\
\>", \
"Subsection"],

Cell["See C204.", "Text"],

Cell["\<\
These capacitors are bootstrap components for the high side switch. \
Ref. dt98-2.pdf.\
\>", "Text"],

Cell["\<\
Let Qbs be the charge delivered by the bootstrap capacitor per \
cycle, Qs be the total gate charge required by the mosfet, IqbsMax be the \
maximum quiescent current used in the bootstrap circuit, Qls be the charge \
required by the level shift circuitry, Icbsleak be the leakage current in the \
bootstrap capacitor, and f the operating frequency. The basic bootstrap \
equation is\
\>", "Text"],

Cell[BoxData[
    \(Qbs \[Equal] 2  Qs + IqbsMax/f + Qls + Icbsleak/f\)], "Input"],

Cell["\<\
Qs is specified by the mosfet manufacturer, in the case of the \
IRLR3410 this is approximately\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(34*^-9 + 5*800*^-12\  (*\ nC\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("38."\[Times]10\^"-9"\),
        3.8000000000000003*^-08,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[1]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Call this 40nC. The IR2117 datasheet gives the maximum bootstrap \
quiescent current as 240\[Mu]A. And the level shifting charge is 5nC. Assume \
a low leakage capacitor, thus\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Qbs \[Rule] 2  Qs + IqbsMax/f + Qls + Icbsleak/f\  (*\ 
            nC\ *)  /. {f \[Rule] 10*^6/6.5, \ Qs \[Rule] 40*^-9, \ 
            IqbsMax \[Rule] 240*^-6, Qls \[Rule] 5*^-9, Icbsleak \[Rule] 0} // 
        N\) // EngineeringForm\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"Qbs", "\[Rule]", 
        InterpretationBox[\("85.156"\[Times]10\^"-9"\),
          8.5155999999999998*^-08,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[2]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Assume the minimum input voltage is 12V, and the maximum diode \
voltage is 0.7V.\
\>", "Text"],

Cell["\<\
The manufacturer recommends a capacitor value equal to\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(30*Qbs/\((Vcc - Vdiode)\) /. %\) /. {Vcc \[Rule] 12, 
            Vdiode \[Rule] 0.7} // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("226.078"\[Times]10\^"-9"\),
        2.2607787610619466*^-07,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[3]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Since we've already spec'd some 0.33\[Mu]F parts, we may use \
them.\
\>", "Text"],

Cell["\<\
Incidentally, the diode forward current is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Qbs*f /. %%\) /. f \[Rule] 10*^6/6.5\  (*\ A\ *) \  // N\)\  // 
      EngineeringForm\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("131.009"\[Times]10\^"-3"\),
        0.13100923076923077,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[4]//EngineeringForm="]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2110\tKEMET C1206C224K5RACTU (DigiKey 399-1251-1-ND \
4.18$/10)\
\>", "Subsection"],

Cell["\<\
KEMET C1206C224K5RACTU
0.22 \[Mu]             nominal capacitance
50V                WV DC
X7R                dielectric
1206               case size
\[PlusMinus]10%             tolerance
-35 to +85C   operating temperature range
Height ?? mm.\
\>", "Text"],

Cell["\<\
This is the 1st output capacitor for the pyrotechnic voltage \
tripler. Ripple can be very high compared to typical applications, but \
stability suggests a reasonable value should be used. The dynamic properties \
of this capacitor affect the loop stability so a moderately stable X7R or X5R \
type is typical. Voltage rating \[GreaterEqual] 35V.\
\>", "Text"],

Cell["Basic ripple formula", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vpp \[Equal] \(\[CapitalDelta]I\ Vi\)\/\(C\ Vo\ f\) /. \
{\[CapitalDelta]I \[Rule] 0.144, Vpp \[Rule] 50*^-3, Vi \[Rule] 5.2, 
          Vo \[Rule] 34.5, f \[Rule] fnom} // N\)], "Input",
  CellLabel->"In[123]:="],

Cell[BoxData[
    \(0.05` == 1.4107826086956524`*^-8\/C\)], "Output",
  CellLabel->"Out[123]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[%, C]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      EngineeringForm\)], "Input",
  CellLabel->"In[124]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"C", "\[Rule]", 
        InterpretationBox[\("282.157"\[Times]10\^"-9"\),
          2.8215652173913049*^-07,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[124]//EngineeringForm="]
}, Open  ]],

Cell["This is a very modest value", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C2111 \[Dash] C2113\tSee 2110", "Subsection"],

Cell["\<\
These are the remaining ladder caps of the pyro voltage tripler. I \
don't see why the same 0.22\[Mu]F values can't be used. Recharge time should \
still be sub\[Dash]second.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2114\tAny 25+V 0.01\[Mu]F ceramic cap in 1206 package (DigiKey \
PCC104BCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["\<\
Filter capacitor for Pyro voltage measurement. 0.01\[Mu]F gives \
~200\[Mu]S time constant.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2115\tAny 25+V 0.33\[Mu]F ceramic cap in 1206 package, Panasonic \
ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)\
\>", "Subsection"],

Cell["See C204.", "Text"],

Cell["\<\
This is the output capacitor for the high side driver supply. The \
maximum steady load is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\((240 + 340)\) 1*^-6*4\  (*\ A\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("2.32"\[Times]10\^"-3"\),
        0.00232,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[5]//EngineeringForm="]
}, Open  ]],

Cell["At the operating frequency this represents a small charge of", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(%/f /. f \[Rule] 10*^6/6.5\  (*\ nC\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("1.508"\[Times]10\^"-9"\),
        1.508*^-09,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[6]//EngineeringForm="]
}, Open  ]],

Cell["If a the ripple is set to 100mV, the required capacitance is", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(%/ .1\  (*\ F\ *)  // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("15.08"\[Times]10\^"-9"\),
        1.508*^-08,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[7]//EngineeringForm="]
}, Open  ]],

Cell["This is tiny. Triggering the driver will pull 40nC", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(15*40/1.5\  (*\ nF\ *)  // N\)], "Input",
  CellLabel->"In[8]:="],

Cell[BoxData[
    \(399.99999999999994`\)], "Output",
  CellLabel->"Out[8]="]
}, Open  ]],

Cell["\<\
Since the 0.33\[Mu]F caps have already been spec'd keep using \
'em.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2116\[Dash]2120\tAny 25+V 0.33\[Mu]F ceramic cap in 1206 package, \
Panasonic ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)\
\>", "Subsection"],

Cell["See C2115.", "Text"]
}, Closed]],

Cell["\<\
C2121\[Dash]2124\tFrequency compensation components, see \
R2110.\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
C2125\t1500pF ceramic cap in 1206 package (DigiKey PCC152BCT-ND \
1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic ECU-V1H152KBM
1500pF          nominal capacitance
50V               WV DC
X7R              dielectric
1206              case size
\[PlusMinus]10%            tolerance
-55 to +125C  operating temperature range
Height 0.6 mm.\
\>", "Text"],

Cell["\<\
LPF for PLL. Manufacturer recommended value is 1500pF.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C2126\tNot Present", "Subsection"],

Cell["\<\
LPF for PLL. Should not be required.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2127\t100pF NPO (DigiKey PCC101CCT-ND)\
\>", "Subsection"],

Cell["\<\
Panasonic ECU-V1H101JCH
100pF           nominal capacitance
50V              WV DC
NPO             dielectric
1206              case size
\[PlusMinus]5%              tolerance
-55 to +125C  operating temperature range
Height 0.6 mm.\
\>", "Text"],

Cell["\<\
Sets the center frequency of the PLL. For syncronization, set ~33% \
higher than target frequency.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(9 + 3\)\/9\) 10*^6\/6.5\  (*\ Hz\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[26]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("2.05128"\[Times]10\^"6"\),
        2051282.0512820513,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[26]//EngineeringForm="]
}, Open  ]],

Cell["\<\
The recommended capacitor for this frequency from the datasheet is \
100pF. This value is cheap enough in NPO.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Resistors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
R2100\t47.5k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-47.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R406.", "Text"],

Cell["\<\
Pull down for Pyro\[Dash]Charge input signal. Pretty much \
standardized on 47k.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2101\[Dash]2104\tAny 5% or better film resistor in 1206 package  \
of around or about 10\[CapitalOmega]'s (guess). (DigiKey P-10.0FCT-ND \
1.17$/10)\
\>", "Subsection"],

Cell["\<\
These resistors slow down the transitions of the mosfet switches. \
Typical values are between 3.3\[CapitalOmega] and 47\[CapitalOmega]. Typical \
indications for there use are excessive supply bounce or VHF oscillation in \
the mosfet gate. Just for fun we have spec'd 10\[CapitalOmega]'s.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2105\t39.2k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-39.2KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-36.5KFCT-ND
39.2k\[CapitalOmega]            nominal resistance
200V              WV DC
1206               case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm        temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
R2105, 2106 form the feedback divider for the PYRO boost converter. \
The reference voltage is 1.255\[PlusMinus]0.016V. The desired output voltage \
is 33V. The error amp input current is under 150nA, so a moderately high \
divider impedance ~500k\[CapitalOmega], could be used, but noise \
considerations suggest working closer to the  100k\[CapitalOmega] level. \
Somewhat arbitrarilly set the target divider impedance to 150k\[CapitalOmega] \
then the values are\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{Vfb \[Equal] Vo*R2105/\((R2105 + R2106)\), 
            1/Rt \[Equal] 1/R2105 + 1/R2106}, {R2105, 
            R2106}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    \({R2106 \[Rule] \(Rt\ Vo\)\/Vfb, 
      R2105 \[Rule] \(Rt\ Vo\)\/\(\(-Vfb\) + Vo\)}\)], "Output",
  CellLabel->"Out[12]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {Rt \[Rule] 150*^3, Vfb \[Rule] 1.255, Vo \[Rule] 33} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          RowBox[{"R2106", "\[Rule]", 
            InterpretationBox[\("3.94422"\[Times]10\^"6"\),
              3944223.1075697215,
              AutoDelete->True]}], ",", 
          RowBox[{"R2105", "\[Rule]", 
            InterpretationBox[\("155.93"\[Times]10\^"3"\),
              155930.06772720112,
              AutoDelete->True]}]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[13]//EngineeringForm="]
}, Open  ]],

Cell["Scale R2106 to 1M\[CapitalOmega]", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(R2106/1*^6 /. %\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    \(3.9442231075697216`\)], "Output",
  CellLabel->"Out[14]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\({R2106, R2105}/%% /. % // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          InterpretationBox[\("1."\[Times]10\^"6"\),
            1000000.0,
            AutoDelete->True], ",", 
          InterpretationBox[\("39.5338"\[Times]10\^"3"\),
            39533.784848007555,
            AutoDelete->True]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[17]//EngineeringForm="]
}, Open  ]],

Cell["Try 1M and 39.2k", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vfb \[Rule] Vo*R2105/\((R2105 + R2106)\) /. {Vo \[Rule] 33, 
          R2105 \[Rule] 39.2*^3, R2106 \[Rule] 1*^6} // N\)], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[
    \(Vfb \[Rule] 1.2448036951501154`\)], "Output",
  CellLabel->"Out[18]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vfb/1.255 /. % // N\)], "Input",
  CellLabel->"In[19]:="],

Cell[BoxData[
    \(0.9918754543028808`\)], "Output",
  CellLabel->"Out[19]="]
}, Open  ]],

Cell["Seems OK, though not great.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2106\t1.00M\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-1.00MFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-1.00MFCT-ND
1.00M\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["See R2105", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2107\t2.00k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-???KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-22.1KFCT-ND
22.1k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell[TextData[StyleBox["Calculation superceeded, see Q2100",
  FontWeight->"Bold"]], "Text"],

Cell["\<\
R2107 along with R2108 form the high voltage measurment divider. \
For convinience at the \[Mu]P, it's desirable to keep the impedance less than \
20k\[CapitalOmega]. We wish to compress a zero to ~150V range down to 0-5.2 \
V. Perhaps the most natural division is into 1/2 volt quanta (full scale \
128V). Here are the equations.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{1/Rt \[Equal] 1/RA + 1/RB, 
            Vo/Vi \[Equal] RA/\((RA + RB)\)}, {RA, 
            RB}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[23]:="],

Cell[BoxData[
    \({RB \[Rule] \(Rt\ Vi\)\/Vo, 
      RA \[Rule] \(Rt\ Vi\)\/\(Vi - Vo\)}\)], "Output",
  CellLabel->"Out[23]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {Rt \[Rule] 20*^3, Vi \[Rule] 128, Vo \[Rule] 5.2} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[24]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          RowBox[{"RB", "\[Rule]", 
            InterpretationBox[\("492.308"\[Times]10\^"3"\),
              492307.69230769225,
              AutoDelete->True]}], ",", 
          RowBox[{"RA", "\[Rule]", 
            InterpretationBox[\("20.8469"\[Times]10\^"3"\),
              20846.905537459283,
              AutoDelete->True]}]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[24]//EngineeringForm="]
}, Open  ]],

Cell["\<\
An OK compromise would be RA \[Rule] 22.1k ,  RB \[Rule] 523k, this \
is open to discussion.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2108\t97.6k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-???KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R2107.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2109\t4.99k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-4.99KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-4.99KFCT-ND
4.99k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
This resistor charges the high voltage discharge capacitor to the \
supply voltage (5.2V nominal). The maimimum permissible value is that \
resulting in the no\[Dash]fire igniter current, which is about 100mA. The \
maximum value is that which results in a time constant of ~1/2s. These two \
constraints are\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(R > 5.2/ .1\)\(//\)\(N\)\(\ \)\( (*\ Ohms\ *) \)\)\)], "Input",
  CellLabel->"In[21]:="],

Cell[BoxData[
    \(R > 52.`\)], "Output",
  CellLabel->"Out[21]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(R < 0.5/10*^-6\)\(//\)\(N\)\(\ \)\( (*\ Ohms\ *) \)\)\)], "Input",
  CellLabel->"In[22]:="],

Cell[BoxData[
    \(R < 50000.`\)], "Output",
  CellLabel->"Out[22]="]
}, Open  ]],

Cell["\<\
5000\[CapitalOmega] seems a convenient figure.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2110\tfrequency compensation component\
\>", "Subsection"],

Cell["\<\
This resistor, along with C2121\[Dash]2124 form the feedback \
compensation network. As explained for the HAP, the component values are to \
be determined.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2111\t3.01k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-3.01KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["Low pass filter for PLL. Manufacturer recommended value.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2112\[Dash]2120\t47.5k\[CapitalOmega] ,  Any 5% or better film \
resistor in 1206 package  (DigiKey P-47.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R406.", "Text"],

Cell["\<\
Pull down for high side driver input signal. Pretty much \
standardized on 47k.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2121\t10k\[CapitalOmega] ,  Any 5% or better film resistor in 1206 \
package  (DigiKey P-10.0KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["Gate resistor for Q2100 Pyro measurement divider switch.", "Text"],

Cell["\<\
The gate reisistor isn't a necessity, but by slowing the \
transitions it eliminates any unwanted high frequency effects. Also in the \
event of oxide failure, the gate resistor will limit the current to the \
microprocessor. 10k isn't too big to be slow, and will limit the peak current \
to around 10mA.\
\>", "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
DTMF Demodulator for 2m radio (DTMF)
(2200)\
\>", "Chapter"],

Cell[CellGroupData[{

Cell["Integrated Circuit(s)", "Section"],

Cell[CellGroupData[{

Cell["U2200\tHT9170D, DTMF Receiver", "Subsection"],

Cell["\<\
A single chip dual tone decoder. Requires an external 3.579545 MHz \
crystal or ceramic resonator.\
\>", "Text"],

Cell["\<\
Holtek HT9170D
2.5 \[Dash] 5.5V      operating range
(, 3, 7)mA     operating current
(, 10, 25)\[Mu]A   standby current
SOP18           package
3.579545\[PlusMinus]0.004 MHz   Input frequency range
\[PlusMinus]1.5%           frequency acceptance range
\[PlusMinus]3.5%           frequency rejection range
(-29,, -6)dBm Input signal range \[LongDash] dBm are referenced to 1mW, The \
conversion to voltage assumes (we think) 600\[CapitalOmega]'s\
\>", "Text"],

Cell["Solve for power", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[dBm \[Equal] 10*Log[10, P/P0], P]\)\[LeftDoubleBracket]1, 
      1\[RightDoubleBracket]\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    \(P \[Rule] 10\^\(dBm/10\)\ P0\)], "Output",
  CellLabel->"Out[9]="]
}, Open  ]],

Cell["Find the voltage", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[Evaluate[P \[Equal] V\^2/R /. %], V]\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    \({{V \[Rule] \(-10\^\(dBm/20\)\)\ \@P0\ \@R}, {V \[Rule] 
          10\^\(dBm/20\)\ \@P0\ \@R}}\)], "Output",
  CellLabel->"Out[10]="]
}, Open  ]],

Cell["\<\
Assuming 600\[CapitalOmega]'s find the voltage\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(%\[LeftDoubleBracket]2, 1\[RightDoubleBracket] /. {R \[Rule] 600, 
            P0 \[Rule] 1*^-3} // N\) // FullSimplify\)], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    \(V \[Rule] 
      0.7745966692414833`\ \[ExponentialE]\^\(0.1151292546497023`\ dBm\)\)], \
"Output",
  CellLabel->"Out[11]="]
}, Open  ]],

Cell[BoxData[
    \(vdBm[dBm_] := 
      0.7745966692414833`\ \[ExponentialE]\^\(0.1151292546497023`\ dBm\)\)], \
"Input",
  CellLabel->"In[12]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(vdBm[\(-29\)]\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    \(0.02748372695026093`\)], "Output",
  CellLabel->"Out[13]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(vdBm[\(-6\)]\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    \(0.3882179618340382`\)], "Output",
  CellLabel->"Out[14]="]
}, Open  ]],

Cell["\<\
So the correct voltage range for the input ( GS pin ) is ~ 50 \
\[Dash] 300 mV, a good target would be 100mV.\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Capacitors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
C2200, 2201\tPanasonic ECU-V1H102JCH (1206, DigiKey PCC102CCT-ND \
1.98$/10 \[LongDash] not for new design)
\t\tPanasonic ECJ-2VC1H102J (0805, DigiKey PCC102CGCT-ND 1.13$/10)\
\>", \
"Subsection"],

Cell["\<\
Panasonic ECU-V1H102JCH(1206) / ECJ-2VC1H102J (0805)
1 nF                 nominal capacitance
50V                 WV DC
NP                   dielectric
1206/0805       case size
\[PlusMinus]5%                tolerance
-55 to +125C  operating temperature range
Height 0.6 mm\
\>", "Text"],

Cell["\<\
Part of the DTMF input active filter. These caps should have equal \
value. NPO 1206 are avaliable.\
\>", "Text"],

Cell["For Calculations see Diff-BP-FilterDesign.nb", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["C2202, 2203\t2nF, See C2200", "Subsection"],

Cell["\<\
Part of the DTMF input active filter. These caps should have equal \
value. Since 2nF is not a standard value in the digikey catalog, make a 2nF \
using two caps of the C2200 variety. This should improve tracking as \
well.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
C2101\tPanasonic ECJ-3YF1A106Z (DigiKey PCC1894CT-ND 4.91$/10) \
(might use the SPS units instead, see C201)\
\>", "Subsection"],

Cell["See C401.", "Text"],

Cell["\<\
This is an input capacitor for a high frequency boost switching \
power supply. The standard choice is a 1-5\[Mu]F ceramic capacitor. The Y5V \
or similar dielectrics are suitable. Voltage rating should be at least 6.3V. \
Choose the same type as used in the HAP to minimize inventory.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
C2102, 2104, 2106, 2108\tAny 25+V 0.1\[Mu]F ceramic cap in 1206 \
package  (DigiKey PCC104BCTCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["See C202.", "Text"],

Cell["\<\
These capacitors are simple bypassing caps. 0.1\[Mu]F values are \
adequate. Voltage rating should be at least 25V.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2103, 2105, 2107, 2109\tAny 25+V 0.33\[Mu]F ceramic cap in 1206 \
package, Panasonic ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)\
\>", \
"Subsection"],

Cell["See C204.", "Text"],

Cell["\<\
These capacitors are bootstrap components for the high side switch. \
Ref. dt98-2.pdf.\
\>", "Text"],

Cell["\<\
Let Qbs be the charge delivered by the bootstrap capacitor per \
cycle, Qs be the total gate charge required by the mosfet, IqbsMax be the \
maximum quiescent current used in the bootstrap circuit, Qls be the charge \
required by the level shift circuitry, Icbsleak be the leakage current in the \
bootstrap capacitor, and f the operating frequency. The basic bootstrap \
equation is\
\>", "Text"],

Cell[BoxData[
    \(Qbs \[Equal] 2  Qs + IqbsMax/f + Qls + Icbsleak/f\)], "Input"],

Cell["\<\
Qs is specified by the mosfet manufacturer, in the case of the \
IRLR3410 this is approximately\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(34*^-9 + 5*800*^-12\  (*\ nC\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("38."\[Times]10\^"-9"\),
        3.8000000000000003*^-08,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[1]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Call this 40nC. The IR2117 datasheet gives the maximum bootstrap \
quiescent current as 240\[Mu]A. And the level shifting charge is 5nC. Assume \
a low leakage capacitor, thus\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Qbs \[Rule] 2  Qs + IqbsMax/f + Qls + Icbsleak/f\  (*\ 
            nC\ *)  /. {f \[Rule] 10*^6/6.5, \ Qs \[Rule] 40*^-9, \ 
            IqbsMax \[Rule] 240*^-6, Qls \[Rule] 5*^-9, Icbsleak \[Rule] 0} // 
        N\) // EngineeringForm\)], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"Qbs", "\[Rule]", 
        InterpretationBox[\("85.156"\[Times]10\^"-9"\),
          8.5155999999999998*^-08,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[2]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Assume the minimum input voltage is 12V, and the maximum diode \
voltage is 0.7V.\
\>", "Text"],

Cell["The manufacturer recommends a capacitor value equal to", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(30*Qbs/\((Vcc - Vdiode)\) /. %\) /. {Vcc \[Rule] 12, 
            Vdiode \[Rule] 0.7} // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[3]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("226.078"\[Times]10\^"-9"\),
        2.2607787610619466*^-07,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[3]//EngineeringForm="]
}, Open  ]],

Cell["\<\
Since we've already spec'd some 0.33\[Mu]F parts, we may use \
them.\
\>", "Text"],

Cell["Incidentally, the diode forward current is", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Qbs*f /. %%\) /. f \[Rule] 10*^6/6.5\  (*\ A\ *) \  // N\)\  // 
      EngineeringForm\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("131.009"\[Times]10\^"-3"\),
        0.13100923076923077,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[4]//EngineeringForm="]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2110\tKEMET C1206C224K5RACTU (DigiKey 399-1251-1-ND \
4.18$/10)\
\>", "Subsection"],

Cell["\<\
KEMET C1206C224K5RACTU
0.22 \[Mu]             nominal capacitance
50V                WV DC
X7R                dielectric
1206               case size
\[PlusMinus]10%             tolerance
-35 to +85C   operating temperature range
Height ?? mm.\
\>", "Text"],

Cell["\<\
This is the 1st output capacitor for the pyrotechnic voltage \
tripler. Ripple can be very high compared to typical applications, but \
stability suggests a reasonable value should be used. The dynamic properties \
of this capacitor affect the loop stability so a moderately stable X7R or X5R \
type is typical. Voltage rating \[GreaterEqual] 35V.\
\>", "Text"],

Cell["Basic ripple formula", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vpp \[Equal] \(\[CapitalDelta]I\ Vi\)\/\(C\ Vo\ f\) /. \
{\[CapitalDelta]I \[Rule] 0.144, Vpp \[Rule] 50*^-3, Vi \[Rule] 5.2, 
          Vo \[Rule] 34.5, f \[Rule] fnom} // N\)], "Input",
  CellLabel->"In[123]:="],

Cell[BoxData[
    \(0.05` == 1.4107826086956524`*^-8\/C\)], "Output",
  CellLabel->"Out[123]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[%, C]\)\[LeftDoubleBracket]1, 1\[RightDoubleBracket] // 
      EngineeringForm\)], "Input",
  CellLabel->"In[124]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"C", "\[Rule]", 
        InterpretationBox[\("282.157"\[Times]10\^"-9"\),
          2.8215652173913049*^-07,
          AutoDelete->True]}],
      EngineeringForm]], "Output",
  CellLabel->"Out[124]//EngineeringForm="]
}, Open  ]],

Cell["This is a very modest value", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C2111 \[Dash] C2113\tSee 2110", "Subsection"],

Cell["\<\
These are the remaining ladder caps of the pyro voltage tripler. I \
don't see why the same 0.22\[Mu]F values can't be used. Recharge time should \
still be sub\[Dash]second.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2114\tAny 25+V 0.01\[Mu]F ceramic cap in 1206 package (DigiKey \
PCC104BCT-ND 0.35$ea)\
\>", "Subsection"],

Cell["\<\
Filter capacitor for Pyro voltage measurement. 0.01\[Mu]F gives \
~200\[Mu]S time constant.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2115\tAny 25+V 0.33\[Mu]F ceramic cap in 1206 package, Panasonic \
ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)\
\>", "Subsection"],

Cell["See C204.", "Text"],

Cell["\<\
This is the output capacitor for the high side driver supply. The \
maximum steady load is\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\((240 + 340)\) 1*^-6*4\  (*\ A\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("2.32"\[Times]10\^"-3"\),
        0.00232,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[5]//EngineeringForm="]
}, Open  ]],

Cell["At the operating frequency this represents a small charge of", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(%/f /. f \[Rule] 10*^6/6.5\  (*\ nC\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[6]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("1.508"\[Times]10\^"-9"\),
        1.508*^-09,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[6]//EngineeringForm="]
}, Open  ]],

Cell["If a the ripple is set to 100mV, the required capacitance is", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(%/ .1\  (*\ F\ *)  // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("15.08"\[Times]10\^"-9"\),
        1.508*^-08,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[7]//EngineeringForm="]
}, Open  ]],

Cell["This is tiny. Triggering the driver will pull 40nC", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(15*40/1.5\  (*\ nF\ *)  // N\)], "Input",
  CellLabel->"In[8]:="],

Cell[BoxData[
    \(399.99999999999994`\)], "Output",
  CellLabel->"Out[8]="]
}, Open  ]],

Cell["\<\
Since the 0.33\[Mu]F caps have already been spec'd keep using \
'em.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
C2116\[Dash]2120\tAny 25+V 0.33\[Mu]F ceramic cap in 1206 package, \
Panasonic ECJ-3VB1E334K  (DigiKey PCC1889CT-ND 0.25$ea)\
\>", "Subsection"],

Cell["See C2115.", "Text"]
}, Closed]],

Cell["\<\
C2121\[Dash]2124\tFrequency compensation components, see \
R2110.\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
C2125\t1500pF ceramic cap in 1206 package (DigiKey PCC152BCT-ND \
1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic ECU-V1H152KBM
1500pF          nominal capacitance
50V               WV DC
X7R              dielectric
1206              case size
\[PlusMinus]10%            tolerance
-55 to +125C  operating temperature range
Height 0.6 mm.\
\>", "Text"],

Cell["LPF for PLL. Manufacturer recommended value is 1500pF.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C2126\tNot Present", "Subsection"],

Cell["LPF for PLL. Should not be required.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["C2127\t100pF NPO (DigiKey PCC101CCT-ND)", "Subsection"],

Cell["\<\
Panasonic ECU-V1H101JCH
100pF           nominal capacitance
50V              WV DC
NPO             dielectric
1206              case size
\[PlusMinus]5%              tolerance
-55 to +125C  operating temperature range
Height 0.6 mm.\
\>", "Text"],

Cell["\<\
Sets the center frequency of the PLL. For syncronization, set ~33% \
higher than target frequency.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(9 + 3\)\/9\) 10*^6\/6.5\  (*\ Hz\ *)  // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[26]:="],

Cell[BoxData[
    TagBox[
      InterpretationBox[\("2.05128"\[Times]10\^"6"\),
        2051282.0512820513,
        AutoDelete->True],
      EngineeringForm]], "Output",
  CellLabel->"Out[26]//EngineeringForm="]
}, Open  ]],

Cell["\<\
The recommended capacitor for this frequency from the datasheet is \
100pF. This value is cheap enough in NPO.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Resistors(s)", "Section"],

Cell[CellGroupData[{

Cell["\<\
R2100\t47.5k\[CapitalOmega] ,  Any 5% or better film resistor in \
1206 package  (DigiKey P-47.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R406.", "Text"],

Cell["\<\
Pull down for Pyro\[Dash]Charge input signal. Pretty much \
standardized on 47k.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2201\tAny 5% or better film resistor in 1206 package  of around or \
about 10\[CapitalOmega]'s (guess). (DigiKey P-10.0FCT-ND 1.17$/10)\
\>", \
"Subsection"],

Cell["\<\
R2201 is part of the input network of the opamp. We want to do 3 \
things with the opamp network. 1)\[NonBreakingSpace]Provide a fixed gain. 2)\
\[NonBreakingSpace]Block DC components, 3) Filter high frequency AC \
components.\
\>", "Text"],

Cell["\<\
DTMF covers a frequency range from 697 \[Dash] 1633 Hz. \
\>", \
"Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
R2105\t39.2k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-39.2KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-36.5KFCT-ND
39.2k\[CapitalOmega]            nominal resistance
200V              WV DC
1206               case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm        temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
R2105, 2106 form the feedback divider for the PYRO boost converter. \
The reference voltage is 1.255\[PlusMinus]0.016V. The desired output voltage \
is 33V. The error amp input current is under 150nA, so a moderately high \
divider impedance ~500k\[CapitalOmega], could be used, but noise \
considerations suggest working closer to the  100k\[CapitalOmega] level. \
Somewhat arbitrarilly set the target divider impedance to 150k\[CapitalOmega] \
then the values are\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{Vfb \[Equal] Vo*R2105/\((R2105 + R2106)\), 
            1/Rt \[Equal] 1/R2105 + 1/R2106}, {R2105, 
            R2106}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[12]:="],

Cell[BoxData[
    \({R2106 \[Rule] \(Rt\ Vo\)\/Vfb, 
      R2105 \[Rule] \(Rt\ Vo\)\/\(\(-Vfb\) + Vo\)}\)], "Output",
  CellLabel->"Out[12]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {Rt \[Rule] 150*^3, Vfb \[Rule] 1.255, Vo \[Rule] 33} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[13]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          RowBox[{"R2106", "\[Rule]", 
            InterpretationBox[\("3.94422"\[Times]10\^"6"\),
              3944223.1075697215,
              AutoDelete->True]}], ",", 
          RowBox[{"R2105", "\[Rule]", 
            InterpretationBox[\("155.93"\[Times]10\^"3"\),
              155930.06772720112,
              AutoDelete->True]}]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[13]//EngineeringForm="]
}, Open  ]],

Cell["Scale R2106 to 1M\[CapitalOmega]", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(R2106/1*^6 /. %\)], "Input",
  CellLabel->"In[14]:="],

Cell[BoxData[
    \(3.9442231075697216`\)], "Output",
  CellLabel->"Out[14]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\({R2106, R2105}/%% /. % // N\) // EngineeringForm\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          InterpretationBox[\("1."\[Times]10\^"6"\),
            1000000.0,
            AutoDelete->True], ",", 
          InterpretationBox[\("39.5338"\[Times]10\^"3"\),
            39533.784848007555,
            AutoDelete->True]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[17]//EngineeringForm="]
}, Open  ]],

Cell["Try 1M and 39.2k", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vfb \[Rule] Vo*R2105/\((R2105 + R2106)\) /. {Vo \[Rule] 33, 
          R2105 \[Rule] 39.2*^3, R2106 \[Rule] 1*^6} // N\)], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[
    \(Vfb \[Rule] 1.2448036951501154`\)], "Output",
  CellLabel->"Out[18]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Vfb/1.255 /. % // N\)], "Input",
  CellLabel->"In[19]:="],

Cell[BoxData[
    \(0.9918754543028808`\)], "Output",
  CellLabel->"Out[19]="]
}, Open  ]],

Cell["Seems OK, though not great.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2106\t1.00M\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-1.00MFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-1.00MFCT-ND
1.00M\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["See R2105", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2107\t2k\[CapitalOmega] ,  Any 1% or better film resistor in 1206 \
package  (DigiKey P-???KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-22.1KFCT-ND
22.1k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell[TextData[StyleBox["Calculation superceeded, see Q2100",
  FontWeight->"Bold"]], "Text"],

Cell["\<\
R2107 along with R2108 form the high voltage measurment divider. \
For convinience at the \[Mu]P, it's desirable to keep the impedance less than \
20k\[CapitalOmega]. We wish to compress a zero to ~150V range down to 0-5.2 \
V. Perhaps the most natural division is into 1/2 volt quanta (full scale \
128V). Here are the equations.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Solve[{1/Rt \[Equal] 1/RA + 1/RB, 
            Vo/Vi \[Equal] RA/\((RA + RB)\)}, {RA, 
            RB}]\)\[LeftDoubleBracket]1\[RightDoubleBracket] // 
      FullSimplify\)], "Input",
  CellLabel->"In[23]:="],

Cell[BoxData[
    \({RB \[Rule] \(Rt\ Vi\)\/Vo, 
      RA \[Rule] \(Rt\ Vi\)\/\(Vi - Vo\)}\)], "Output",
  CellLabel->"Out[23]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(% /. {Rt \[Rule] 20*^3, Vi \[Rule] 128, Vo \[Rule] 5.2} // N\) // 
      EngineeringForm\)], "Input",
  CellLabel->"In[24]:="],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          RowBox[{"RB", "\[Rule]", 
            InterpretationBox[\("492.308"\[Times]10\^"3"\),
              492307.69230769225,
              AutoDelete->True]}], ",", 
          RowBox[{"RA", "\[Rule]", 
            InterpretationBox[\("20.8469"\[Times]10\^"3"\),
              20846.905537459283,
              AutoDelete->True]}]}], "}"}],
      EngineeringForm]], "Output",
  CellLabel->"Out[24]//EngineeringForm="]
}, Open  ]],

Cell["\<\
An OK compromise would be RA \[Rule] 22.1k ,  RB \[Rule] 523k, this \
is open to discussion.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2108\t98k\[CapitalOmega] ,  Any 1% or better film resistor in 1206 \
package  (DigiKey P-???KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R2107.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2109\t4.99k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-4.99KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["\<\
Panasonic P-4.99KFCT-ND
4.99k\[CapitalOmega]            nominal resistance
200V             WV DC
1206              case size
\[PlusMinus]1%               tolerance
\[PlusMinus]100ppm       temp.co.
-55 to +125C   operating temperature range
Height 0.6 mm.
thick film composition\
\>", "Text"],

Cell["\<\
This resistor charges the high voltage discharge capacitor to the \
supply voltage (5.2V nominal). The maimimum permissible value is that \
resulting in the no\[Dash]fire igniter current, which is about 100mA. The \
maximum value is that which results in a time constant of ~1/2s. These two \
constraints are\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(R > 5.2/ .1\)\(//\)\(N\)\(\ \)\( (*\ Ohms\ *) \)\)\)], "Input",
  CellLabel->"In[21]:="],

Cell[BoxData[
    \(R > 52.`\)], "Output",
  CellLabel->"Out[21]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(R < 0.5/10*^-6\)\(//\)\(N\)\(\ \)\( (*\ Ohms\ *) \)\)\)], "Input",
  CellLabel->"In[22]:="],

Cell[BoxData[
    \(R < 50000.`\)], "Output",
  CellLabel->"Out[22]="]
}, Open  ]],

Cell["\<\
5000\[CapitalOmega] seems a convenient figure.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["R2110\tfrequency compensation component", "Subsection"],

Cell["\<\
This resistor, along with C2121\[Dash]2124 form the feedback \
compensation network. As explained for the HAP, the component values are to \
be determined.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2111\t3.01k\[CapitalOmega] ,  Any 1% or better film resistor in \
1206 package  (DigiKey P-3.01KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["Low pass filter for PLL. Manufacturer recommended value.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
R2112\[Dash]2115\t47.5k\[CapitalOmega] ,  Any 5% or better film \
resistor in 1206 package  (DigiKey P-47.5KFCT-ND 1.17$/10)\
\>", "Subsection"],

Cell["See R406.", "Text"],

Cell["\<\
Pull down for high side driver input signal. Pretty much \
standardized on 47k.\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Miscellaneous", "Section"],

Cell[CellGroupData[{

Cell["\<\
B400\tSanyo UF611948, rectangular Li\[Dash]Ion cell\
\>", \
"Subsection"],

Cell["\<\
Sanyo UF611948 (See Sanyo_Rectang_UF611948.pdf)
420mAHr      nominal capacity
3.7V                nominal voltage
4.2V                maximum charging voltage
420mA           maximum rated charging current
2.5Hr               expected recharge time for fully discharged cell
273WHr/liter volumetric energy density
135WHr/kg    gravimetric energy density
(0, 40)C          allowable charging ambient temperature
(-20, 60)C     allowable discharge ambient temperature
(-20, 50)C     storage temperature range
48\[Times]19.5\[Times]6.1mm Case dimensions\
\>", "Text"],

Cell["\<\
The main question here is how big a battery is required. A 1Hr \
mission durability is probably adequate. Assuming the low current \
requirements we have estimated are correct (<100mA) the capacity of this \
battery is clearly sufficient. The AA type are easier to come by but they \
seem harder to mount??? and have slightly worse gravimetric energy \
density???.\
\>", "Text"],

Cell["\<\
The 420mA recharge current may be somewhat high for the SPS target \
of 500mA (but maybe not) but if this was a problem, the current could \
probably be safely reduced 50% without complications except longer recharge \
times. Alternately the SPS inductor value could be raised, raising avaliable \
output current.\
\>", "Text"],

Cell[TextData[{
  "By the way, the chemistry of the Sanyo cell is approximately\n\tLithium \
Cobaltate ",
  Cell[BoxData[
      StyleBox[\((\(LiC\_\(?? ?\)\) O\_2)\),
        FontFamily->"Helvetica"]]],
  ", \[Rho]\[Equal]4.95, mp\[Equal]1130C, black odorless powder\n\tGraphite \
electrode (C) (as opposed to Coke), \[Rho]\[Equal]2.09\[Tilde]2.2, black \
odorless powder\n\tOrganic Solvent\n\tPalyvynilidene difluoride (PVdF)"
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
RT400\tThermometrics NHQM103R10, negative temperature coefficient \
thermistor (DigiKey 235-1116-1-ND 1.75$ea/10)\
\>", "Subsection"],

Cell["\<\
Thermometrics NHQM103R10 (DigiKey claims NHQM103B375T10)
10k\[CapitalOmega]            nominal resistance @ 25C
\[PlusMinus]10%           tolerance
3750             \[Beta] (25C, 85C)\[PlusMinus]200 K
0805             case size
<5s              thermal time constant
1.5mW/K     thermal dissipation factor
(-40, 125)C   operating temperature range
1.3 mm tall\
\>", "Text"],

Cell["\<\
This is the same unit used on the LV1b FC and IMU. The consistency \
is regarded as an advantage. Possibly an IC unit with linear respone should \
be substituted.\
\>", "Text"],

Cell["\<\
Based on LV1b design, the series resistance should be 20k\
\[CapitalOmega].\
\>", "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
WindowSize->{937, 997},
WindowMargins->{{37, Automatic}, {50, Automatic}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"PrintingMargins"->{{18, 18}, {18, 18}},
"PaperSize"->{612, 792},
"PaperOrientation"->"Portrait",
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False,
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", "bob", \
"projects", "rocket", "avionics LV2", "power"}, "Component Design.ps", \
CharacterEncoding -> "ISO8859-1"],
"Magnification"->1},
StyleDefinitions -> FrontEnd`FileName[{$RootDirectory, "home", "bob", \
".Mathematica"}, "GoodStyle.nb", CharacterEncoding -> "ISO8859-1"]
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 92, 3, 119, "Title"],
Cell[1834, 56, 109, 3, 29, "Text"],
Cell[1946, 61, 137, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[2108, 68, 72, 3, 150, "Chapter"],

Cell[CellGroupData[{
Cell[2205, 75, 31, 0, 64, "Section"],
Cell[2239, 77, 52, 0, 55, "Subsection"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2328, 82, 40, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[2393, 86, 120, 3, 55, "Subsection"],
Cell[2516, 91, 351, 6, 80, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[2904, 102, 123, 3, 33, "Subsection"],
Cell[3030, 107, 313, 6, 71, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3380, 118, 104, 3, 55, "Subsection"],
Cell[3487, 123, 431, 7, 92, "Text"],
Cell[3921, 132, 173, 4, 50, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4143, 142, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[4200, 146, 96, 3, 55, "Subsection"],
Cell[4299, 151, 800, 19, 365, "Text"],
Cell[5102, 172, 323, 6, 71, "Text"],
Cell[5428, 180, 367, 7, 71, "Text"],
Cell[5798, 189, 376, 6, 71, "Text"],
Cell[6177, 197, 211, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[6413, 205, 88, 2, 48, "Input"],
Cell[6504, 209, 76, 2, 43, "Output"]
}, Open  ]],
Cell[6595, 214, 101, 3, 29, "Text"],
Cell[6699, 219, 152, 3, 29, "Text"],
Cell[6854, 224, 97, 3, 29, "Text"],
Cell[6954, 229, 114, 3, 29, "Text"],
Cell[7071, 234, 297, 6, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[7405, 245, 137, 3, 33, "Subsection"],
Cell[7545, 250, 659, 15, 302, "Text"],
Cell[8207, 267, 263, 5, 50, "Text"],
Cell[8473, 274, 61, 0, 29, "Text"],
Cell[8537, 276, 744, 16, 323, "Text"],
Cell[9284, 294, 201, 4, 50, "Text"],
Cell[9488, 300, 216, 4, 50, "Text"],
Cell[9707, 306, 169, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[9913, 315, 36, 0, 33, "Subsection"],
Cell[9952, 317, 99, 3, 29, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[10100, 326, 27, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[10152, 330, 109, 3, 55, "Subsection"],
Cell[10264, 335, 348, 9, 176, "Text"],
Cell[10615, 346, 125, 3, 29, "Text"],
Cell[10743, 351, 43, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[10811, 355, 152, 3, 73, "Input"],
Cell[10966, 360, 83, 2, 43, "Output"]
}, Open  ]],
Cell[11064, 365, 88, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[11189, 373, 76, 0, 33, "Subsection"],
Cell[11268, 375, 474, 12, 239, "Text"],
Cell[11745, 389, 76, 0, 29, "Text"],
Cell[11824, 391, 396, 10, 197, "Text"],
Cell[12223, 403, 207, 4, 50, "Text"],
Cell[12433, 409, 220, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[12690, 418, 37, 0, 33, "Subsection"],
Cell[12730, 420, 287, 5, 71, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[13054, 430, 95, 3, 33, "Subsection"],
Cell[13152, 435, 670, 16, 323, "Text"],
Cell[13825, 453, 496, 8, 92, "Text"],
Cell[14324, 463, 144, 3, 29, "Text"],
Cell[14471, 468, 137, 3, 29, "Text"],
Cell[14611, 473, 497, 8, 92, "Text"],
Cell[15111, 483, 308, 5, 71, "Text"],
Cell[15422, 490, 146, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[15605, 498, 57, 0, 33, "Subsection"],
Cell[15665, 500, 129, 3, 29, "Text"],
Cell[15797, 505, 128, 3, 29, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[15974, 514, 30, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[16029, 518, 86, 3, 55, "Subsection"],
Cell[16118, 523, 894, 19, 281, "Text"],
Cell[17015, 544, 112, 3, 29, "Text"],
Cell[17130, 549, 43, 0, 29, "Text"],
Cell[17176, 551, 48, 0, 29, "Text"],
Cell[17227, 553, 50, 1, 48, "Input"],
Cell[17280, 556, 102, 3, 29, "Text"],
Cell[17385, 561, 175, 4, 73, "Input"],
Cell[17563, 567, 34, 0, 29, "Text"],
Cell[17600, 569, 189, 3, 73, "Input"],
Cell[17792, 574, 145, 3, 29, "Text"],
Cell[17940, 579, 35, 0, 29, "Text"],
Cell[17978, 581, 694, 15, 283, "Input"],
Cell[18675, 598, 69, 2, 29, "Text"],
Cell[18747, 602, 138, 3, 78, "Input"],
Cell[18888, 607, 127, 3, 73, "Input"],
Cell[19018, 612, 68, 1, 76, "Input"],
Cell[19089, 615, 86, 3, 29, "Text"],
Cell[19178, 620, 53, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[19256, 624, 212, 4, 73, "Input"],
Cell[19471, 630, 126, 3, 60, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19634, 638, 264, 5, 93, "Input"],
Cell[19901, 645, 144, 3, 63, "Output"]
}, Open  ]],
Cell[20060, 651, 25, 0, 29, "Text"],
Cell[20088, 653, 58, 1, 48, "Input"],

Cell[CellGroupData[{
Cell[20171, 658, 269, 5, 78, "Input"],
Cell[20443, 665, 149, 3, 61, "Output"]
}, Open  ]],
Cell[20607, 671, 114, 3, 29, "Text"],
Cell[20724, 676, 236, 4, 71, "Input"],
Cell[20963, 682, 68, 0, 29, "Text"],
Cell[21034, 684, 88, 3, 29, "Text"],
Cell[21125, 689, 139, 3, 71, "Input"],
Cell[21267, 694, 148, 4, 78, "Input"],
Cell[21418, 700, 222, 4, 50, "Text"],
Cell[21643, 706, 68, 0, 29, "Text"],
Cell[21714, 708, 121, 2, 76, "Input"],
Cell[21838, 712, 234, 5, 50, "Text"],
Cell[22075, 719, 90, 3, 29, "Text"],
Cell[22168, 724, 49, 1, 37, "Text"],
Cell[22220, 727, 271, 5, 50, "Text"],

Cell[CellGroupData[{
Cell[22516, 736, 147, 3, 48, "Input"],
Cell[22666, 741, 80, 2, 45, "Output"]
}, Open  ]],
Cell[22761, 746, 130, 3, 48, "Input"],
Cell[22894, 751, 204, 4, 73, "Input"],

Cell[CellGroupData[{
Cell[23123, 759, 136, 3, 48, "Input"],
Cell[23262, 764, 92, 2, 45, "Output"]
}, Open  ]],
Cell[23369, 769, 78, 2, 29, "Text"],
Cell[23450, 773, 44, 0, 29, "Text"],
Cell[23497, 775, 203, 4, 72, "Input"],

Cell[CellGroupData[{
Cell[23725, 783, 223, 5, 73, "Input"],
Cell[23951, 790, 83, 2, 43, "Output"]
}, Open  ]],
Cell[24049, 795, 89, 3, 29, "Text"],
Cell[24141, 800, 299, 6, 92, "Text"],
Cell[24443, 808, 586, 11, 123, "Input"],
Cell[25032, 821, 226, 4, 50, "Text"],
Cell[25261, 827, 55, 0, 29, "Text"],
Cell[25319, 829, 68, 1, 48, "Input"],
Cell[25390, 832, 55, 1, 48, "Input"],
Cell[25448, 835, 81, 1, 71, "Input"],
Cell[25532, 838, 79, 1, 71, "Input"],
Cell[25614, 841, 71, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[25710, 845, 153, 3, 71, "Input"],
Cell[25866, 850, 82, 2, 45, "Output"]
}, Open  ]],
Cell[25963, 855, 38, 0, 29, "Text"],
Cell[26004, 857, 347, 6, 71, "Text"],
Cell[26354, 865, 126, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[26505, 872, 175, 3, 73, "Input"],
Cell[26683, 877, 79, 2, 43, "Output"]
}, Open  ]],
Cell[26777, 882, 355, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[27157, 892, 102, 2, 73, "Input"],
Cell[27262, 896, 64, 2, 43, "Output"]
}, Open  ]],
Cell[27341, 901, 50, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[27416, 905, 133, 3, 71, "Input"],
Cell[27552, 910, 213, 6, 58, "Output"]
}, Open  ]],
Cell[27780, 919, 48, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[27853, 923, 137, 3, 48, "Input"],
Cell[27993, 928, 80, 2, 43, "Output"]
}, Open  ]],
Cell[28088, 933, 88, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[28213, 941, 91, 3, 33, "Subsection"],
Cell[28307, 946, 610, 15, 320, "Text"],
Cell[28920, 963, 298, 5, 80, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[29267, 974, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[29324, 978, 94, 3, 55, "Subsection"],
Cell[29421, 983, 270, 9, 176, "Text"],
Cell[29694, 994, 352, 6, 71, "Text"],
Cell[30049, 1002, 105, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[30179, 1009, 227, 5, 100, "Input"],
Cell[30409, 1016, 108, 2, 43, "Output"]
}, Open  ]],
Cell[30532, 1021, 73, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[30630, 1025, 228, 5, 100, "Input"],
Cell[30861, 1032, 107, 2, 43, "Output"]
}, Open  ]],
Cell[30983, 1037, 69, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[31077, 1041, 111, 2, 71, "Input"],
Cell[31191, 1045, 95, 2, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31323, 1052, 145, 3, 48, "Input"],
Cell[31471, 1057, 257, 7, 58, "Output"]
}, Open  ]],
Cell[31743, 1067, 43, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[31811, 1071, 274, 5, 111, "Input"],
Cell[32088, 1078, 265, 7, 58, "Output"]
}, Open  ]],
Cell[32368, 1088, 83, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[32488, 1096, 94, 3, 33, "Subsection"],
Cell[32585, 1101, 289, 9, 176, "Text"],
Cell[32877, 1112, 244, 5, 50, "Text"],
Cell[33124, 1119, 116, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[33265, 1126, 195, 4, 77, "Input"],
Cell[33463, 1132, 106, 2, 43, "Output"]
}, Open  ]],
Cell[33584, 1137, 46, 0, 29, "Text"],
Cell[33633, 1139, 47, 1, 48, "Input"],
Cell[33683, 1142, 29, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[33737, 1146, 116, 2, 71, "Input"],
Cell[33856, 1150, 78, 2, 43, "Output"]
}, Open  ]],
Cell[33949, 1155, 76, 0, 29, "Text"],
Cell[34028, 1157, 89, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[34154, 1165, 118, 3, 33, "Subsection"],
Cell[34275, 1170, 274, 9, 176, "Text"],
Cell[34552, 1181, 118, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[34707, 1189, 102, 3, 33, "Subsection"],
Cell[34812, 1194, 503, 14, 296, "Text"],
Cell[35318, 1210, 350, 6, 80, "Text"],
Cell[35671, 1218, 108, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[35816, 1226, 85, 1, 33, "Subsection"],
Cell[35904, 1229, 273, 9, 200, "Text"],
Cell[36180, 1240, 313, 5, 80, "Text"],
Cell[36496, 1247, 171, 4, 56, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[36704, 1256, 31, 0, 33, "Subsection"],
Cell[36738, 1258, 76, 0, 29, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36851, 1263, 96, 3, 55, "Subsection"],
Cell[36950, 1268, 273, 9, 200, "Text"],
Cell[37226, 1279, 91, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[37354, 1287, 31, 0, 33, "Subsection"],
Cell[37388, 1289, 76, 0, 29, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37501, 1294, 118, 3, 55, "Subsection"],
Cell[37622, 1299, 30, 0, 32, "Text"],
Cell[37655, 1301, 114, 3, 32, "Text"],
Cell[37772, 1306, 143, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[37940, 1313, 241, 5, 72, "Input"],
Cell[38184, 1320, 260, 7, 58, "Output"]
}, Open  ]],
Cell[38459, 1330, 43, 0, 32, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[38551, 1336, 31, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[38607, 1340, 142, 3, 55, "Subsection"],
Cell[38752, 1345, 131, 3, 32, "Text"],
Cell[38886, 1350, 308, 10, 224, "Text"],
Cell[39197, 1362, 297, 5, 80, "Text"],
Cell[39497, 1369, 202, 4, 56, "Text"],
Cell[39702, 1375, 89, 1, 32, "Text"],

Cell[CellGroupData[{
Cell[39816, 1380, 226, 4, 95, "Input"],
Cell[40045, 1386, 236, 7, 58, "Output"]
}, Open  ]],
Cell[40296, 1396, 110, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[40431, 1403, 226, 4, 95, "Input"],
Cell[40660, 1409, 251, 7, 58, "Output"]
}, Open  ]],
Cell[40926, 1419, 261, 5, 56, "Text"],
Cell[41190, 1426, 110, 3, 32, "Text"],
Cell[41303, 1431, 144, 3, 56, "Text"],
Cell[41450, 1436, 102, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[41577, 1443, 172, 4, 69, "Input"],
Cell[41752, 1449, 131, 3, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[41920, 1457, 181, 4, 48, "Input"],
Cell[42104, 1463, 175, 3, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42316, 1471, 166, 3, 48, "Input"],
Cell[42485, 1476, 128, 3, 45, "Output"]
}, Open  ]],
Cell[42628, 1482, 51, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[42704, 1486, 180, 4, 69, "Input"],
Cell[42887, 1492, 131, 3, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43055, 1500, 181, 4, 48, "Input"],
Cell[43239, 1506, 212, 4, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[43488, 1515, 166, 3, 48, "Input"],
Cell[43657, 1520, 130, 3, 45, "Output"]
}, Open  ]],
Cell[43802, 1526, 110, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[43937, 1533, 192, 4, 69, "Input"],
Cell[44132, 1539, 105, 2, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44274, 1546, 272, 6, 71, "Input"],
Cell[44549, 1554, 136, 3, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44722, 1562, 273, 6, 95, "Input"],
Cell[44998, 1570, 132, 3, 59, "Output"]
}, Open  ]],
Cell[45145, 1576, 179, 3, 48, "Input"],
Cell[45327, 1581, 159, 3, 48, "Input"],

Cell[CellGroupData[{
Cell[45511, 1588, 175, 4, 68, "Input"],
Cell[45689, 1594, 87, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45813, 1601, 210, 4, 68, "Input"],
Cell[46026, 1607, 90, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[46153, 1614, 195, 3, 69, "Input"],
Cell[46351, 1619, 90, 2, 45, "Output"]
}, Open  ]],
Cell[46456, 1624, 40, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[46533, 1629, 142, 3, 33, "Subsection"],
Cell[46678, 1634, 36, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[46751, 1639, 138, 3, 33, "Subsection"],
Cell[46892, 1644, 36, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[46965, 1649, 142, 3, 33, "Subsection"],
Cell[47110, 1654, 36, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[47183, 1659, 144, 3, 33, "Subsection"],
Cell[47330, 1664, 313, 10, 224, "Text"],
Cell[47646, 1676, 71, 0, 32, "Text"],
Cell[47720, 1678, 309, 7, 152, "Text"],
Cell[48032, 1687, 136, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[48193, 1694, 79, 2, 48, "Input"],
Cell[48275, 1698, 101, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48413, 1705, 70, 2, 58, "Input"],
Cell[48486, 1709, 79, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[48602, 1716, 70, 2, 48, "Input"],
Cell[48675, 1720, 82, 2, 45, "Output"]
}, Open  ]],
Cell[48772, 1725, 64, 0, 32, "Text"],
Cell[48839, 1727, 88, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[48952, 1734, 152, 3, 48, "Input"],
Cell[49107, 1739, 236, 7, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[49380, 1751, 197, 4, 94, "Input"],
Cell[49580, 1757, 240, 7, 58, "Output"]
}, Open  ]],
Cell[49835, 1767, 58, 0, 32, "Text"],
Cell[49896, 1769, 21, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[49942, 1773, 202, 4, 95, "Input"],
Cell[50147, 1779, 254, 7, 58, "Output"]
}, Open  ]],
Cell[50416, 1789, 27, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[50480, 1794, 142, 3, 33, "Subsection"],
Cell[50625, 1799, 43, 0, 32, "Text"],
Cell[50671, 1801, 42, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[50750, 1806, 109, 3, 33, "Subsection"],
Cell[50862, 1811, 146, 3, 29, "Text"],
Cell[51011, 1816, 113, 3, 29, "Text"],
Cell[51127, 1821, 234, 4, 50, "Text"],
Cell[51364, 1827, 175, 4, 50, "Text"],
Cell[51542, 1833, 366, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[51933, 1843, 224, 4, 97, "Input"],
Cell[52160, 1849, 78, 2, 43, "Output"]
}, Open  ]],
Cell[52253, 1854, 91, 3, 29, "Text"],
Cell[52347, 1859, 139, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[52511, 1866, 147, 3, 48, "Input"],
Cell[52661, 1871, 88, 2, 43, "Output"]
}, Open  ]],
Cell[52764, 1876, 1295, 19, 218, "Text"],
Cell[54062, 1897, 574, 9, 92, "Text"],
Cell[54639, 1908, 103, 3, 29, "Text"],
Cell[54745, 1913, 62, 0, 29, "Text"],
Cell[54810, 1915, 1337, 27, 295, "Text"],
Cell[56150, 1944, 270, 5, 50, "Text"],
Cell[56423, 1951, 346, 6, 71, "Text"],
Cell[56772, 1959, 125, 3, 29, "Text"],
Cell[56900, 1964, 217, 4, 50, "Text"],
Cell[57120, 1970, 217, 4, 50, "Text"],
Cell[57340, 1976, 119, 3, 29, "Text"],
Cell[57462, 1981, 274, 5, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[57773, 1991, 140, 3, 33, "Subsection"],
Cell[57916, 1996, 43, 0, 29, "Text"],
Cell[57962, 1998, 145, 3, 29, "Text"],
Cell[58110, 2003, 190, 4, 50, "Text"],
Cell[58303, 2009, 185, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[58525, 2018, 142, 3, 33, "Subsection"],
Cell[58670, 2023, 43, 0, 29, "Text"],
Cell[58716, 2025, 62, 0, 29, "Text"],
Cell[58781, 2027, 385, 6, 71, "Text"],
Cell[59169, 2035, 60, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[59254, 2039, 74, 2, 48, "Input"],
Cell[59331, 2043, 77, 2, 43, "Output"]
}, Open  ]],
Cell[59423, 2048, 90, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[59550, 2056, 142, 3, 33, "Subsection"],
Cell[59695, 2061, 43, 0, 29, "Text"],
Cell[59741, 2063, 220, 4, 50, "Text"],
Cell[59964, 2069, 271, 5, 50, "Text"],
Cell[60238, 2076, 60, 0, 29, "Text"],
Cell[60301, 2078, 593, 13, 121, "Text"],
Cell[60897, 2093, 57, 0, 29, "Text"],
Cell[60957, 2095, 289, 6, 71, "Text"],
Cell[61249, 2103, 266, 5, 50, "Text"],
Cell[61518, 2110, 115, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[61658, 2117, 161, 3, 71, "Input"],
Cell[61822, 2122, 250, 7, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62109, 2134, 234, 5, 101, "Input"],
Cell[62346, 2141, 250, 7, 58, "Output"]
}, Open  ]],
Cell[62611, 2151, 69, 0, 29, "Text"],
Cell[62683, 2153, 87, 2, 48, "Input"],
Cell[62773, 2157, 73, 2, 48, "Input"],
Cell[62849, 2161, 22, 0, 29, "Text"],
Cell[62874, 2163, 23, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[62922, 2167, 109, 2, 48, "Input"],
Cell[63034, 2171, 80, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63151, 2178, 108, 2, 48, "Input"],
Cell[63262, 2182, 80, 2, 43, "Output"]
}, Open  ]],
Cell[63357, 2187, 26, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[63408, 2191, 126, 3, 48, "Input"],
Cell[63537, 2196, 92, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63666, 2203, 125, 3, 48, "Input"],
Cell[63794, 2208, 80, 2, 43, "Output"]
}, Open  ]],
Cell[63889, 2213, 305, 5, 71, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[64231, 2223, 142, 3, 33, "Subsection"],
Cell[64376, 2228, 60, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[64473, 2233, 138, 3, 33, "Subsection"],
Cell[64614, 2238, 60, 0, 29, "Text"],
Cell[64677, 2240, 563, 9, 92, "Text"],
Cell[65243, 2251, 502, 8, 92, "Text"],
Cell[65748, 2261, 206, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[65991, 2270, 108, 3, 33, "Subsection"],
Cell[66102, 2275, 90, 3, 29, "Text"],
Cell[66195, 2280, 117, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[66337, 2287, 92, 2, 48, "Input"],
Cell[66432, 2291, 74, 2, 43, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[66567, 2300, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[66624, 2304, 127, 3, 55, "Subsection"],
Cell[66754, 2309, 298, 12, 272, "Text"],
Cell[67055, 2323, 137, 3, 32, "Text"],
Cell[67195, 2328, 196, 4, 56, "Text"],

Cell[CellGroupData[{
Cell[67416, 2336, 173, 3, 71, "Input"],
Cell[67592, 2341, 77, 2, 45, "Output"]
}, Open  ]],
Cell[67684, 2346, 127, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[67848, 2354, 122, 3, 33, "Subsection"],
Cell[67973, 2359, 457, 13, 296, "Text"],
Cell[68433, 2374, 191, 4, 56, "Text"],
Cell[68627, 2380, 148, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[68812, 2388, 47, 0, 33, "Subsection"],
Cell[68862, 2390, 274, 5, 50, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[69173, 2400, 52, 0, 55, "Subsection"],
Cell[69228, 2402, 227, 4, 50, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[69492, 2411, 26, 0, 55, "Subsection"],
Cell[69521, 2413, 139, 3, 29, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[69721, 2423, 90, 3, 150, "Chapter"],

Cell[CellGroupData[{
Cell[69836, 2430, 40, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[69901, 2434, 116, 3, 55, "Subsection"],
Cell[70020, 2439, 347, 6, 80, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[70404, 2450, 108, 3, 33, "Subsection"],
Cell[70515, 2455, 152, 4, 29, "Text"],
Cell[70670, 2461, 443, 7, 92, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[71150, 2473, 103, 3, 55, "Subsection"],
Cell[71256, 2478, 153, 3, 56, "Text"],
Cell[71412, 2483, 201, 4, 56, "Text"],
Cell[71616, 2489, 184, 4, 56, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[71837, 2498, 126, 3, 33, "Subsection"],
Cell[71966, 2503, 137, 3, 29, "Text"],
Cell[72106, 2508, 253, 5, 50, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72396, 2518, 108, 3, 55, "Subsection"],
Cell[72507, 2523, 621, 16, 302, "Text"],
Cell[73131, 2541, 101, 3, 29, "Text"],
Cell[73235, 2546, 455, 7, 92, "Text"],
Cell[73693, 2555, 132, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[73862, 2563, 98, 3, 33, "Subsection"],
Cell[73963, 2568, 565, 15, 281, "Text"],
Cell[74531, 2585, 320, 6, 71, "Text"],
Cell[74854, 2593, 265, 5, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[75156, 2603, 103, 3, 33, "Subsection"],
Cell[75262, 2608, 144, 3, 29, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[75455, 2617, 33, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[75513, 2621, 36, 0, 55, "Subsection"],
Cell[75552, 2623, 37, 0, 32, "Text"]
}, Closed]],
Cell[75604, 2626, 36, 0, 33, "Subsection"],
Cell[75643, 2628, 57, 0, 55, "Subsection"],

Cell[CellGroupData[{
Cell[75725, 2632, 79, 0, 55, "Subsection"],
Cell[75807, 2634, 421, 12, 248, "Text"],
Cell[76231, 2648, 72, 0, 32, "Text"],
Cell[76306, 2650, 157, 3, 56, "Text"],

Cell[CellGroupData[{
Cell[76488, 2657, 112, 2, 48, "Input"],
Cell[76603, 2661, 64, 2, 45, "Output"]
}, Open  ]],
Cell[76682, 2666, 135, 3, 32, "Text"],
Cell[76820, 2671, 207, 4, 56, "Text"],
Cell[77030, 2677, 104, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[77171, 2685, 115, 3, 33, "Subsection"],
Cell[77289, 2690, 752, 18, 323, "Text"],
Cell[78044, 2710, 390, 6, 71, "Text"],
Cell[78437, 2718, 229, 4, 50, "Text"],
Cell[78669, 2724, 292, 5, 50, "Text"],
Cell[78964, 2731, 213, 4, 50, "Text"]
}, Closed]],
Cell[79192, 2738, 40, 0, 33, "Subsection"]
}, Open  ]],

Cell[CellGroupData[{
Cell[79269, 2743, 27, 0, 64, "Section"],
Cell[79299, 2745, 38, 0, 55, "Subsection"],
Cell[79340, 2747, 47, 0, 55, "Subsection"],

Cell[CellGroupData[{
Cell[79412, 2751, 111, 3, 55, "Subsection"],
Cell[79526, 2756, 369, 10, 197, "Text"],
Cell[79898, 2768, 559, 10, 92, "Text"],
Cell[80460, 2780, 442, 7, 92, "Text"],
Cell[80905, 2789, 349, 6, 71, "Text"],
Cell[81257, 2797, 161, 4, 50, "Text"],
Cell[81421, 2803, 202, 4, 50, "Text"],
Cell[81626, 2809, 207, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[81870, 2818, 75, 0, 33, "Subsection"],
Cell[81948, 2820, 26, 0, 32, "Text"],
Cell[81977, 2822, 151, 3, 56, "Text"]
}, Closed]],
Cell[82143, 2828, 36, 0, 33, "Subsection"]
}, Open  ]],

Cell[CellGroupData[{
Cell[82216, 2833, 30, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[82271, 2837, 101, 3, 55, "Subsection"],
Cell[82375, 2842, 894, 19, 320, "Text"],
Cell[83272, 2863, 97, 3, 32, "Text"],
Cell[83372, 2868, 132, 2, 70, "Input"],
Cell[83507, 2872, 149, 3, 32, "Text"],
Cell[83659, 2877, 44, 0, 32, "Text"],
Cell[83706, 2879, 48, 0, 32, "Text"],
Cell[83757, 2881, 73, 1, 48, "Input"],
Cell[83833, 2884, 81, 1, 70, "Input"],
Cell[83917, 2887, 73, 0, 32, "Text"],
Cell[83993, 2889, 144, 3, 70, "Input"],
Cell[84140, 2894, 34, 0, 32, "Text"],
Cell[84177, 2896, 161, 3, 70, "Input"],
Cell[84341, 2901, 204, 4, 56, "Text"],
Cell[84548, 2907, 110, 2, 70, "Input"],
Cell[84661, 2911, 104, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[84790, 2918, 161, 3, 48, "Input"],
Cell[84954, 2923, 105, 2, 45, "Output"]
}, Open  ]],
Cell[85074, 2928, 72, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[85171, 2932, 134, 3, 68, "Input"],
Cell[85308, 2937, 84, 2, 45, "Output"]
}, Open  ]],
Cell[85407, 2942, 148, 3, 56, "Text"],
Cell[85558, 2947, 138, 3, 48, "Input"],

Cell[CellGroupData[{
Cell[85721, 2954, 196, 4, 70, "Input"],
Cell[85920, 2960, 103, 2, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86060, 2967, 222, 4, 96, "Input"],
Cell[86285, 2973, 255, 7, 58, "Output"]
}, Open  ]],
Cell[86555, 2983, 165, 4, 32, "Text"],
Cell[86723, 2989, 200, 4, 56, "Text"],
Cell[86926, 2995, 74, 2, 32, "Text"],
Cell[87003, 2999, 182, 3, 48, "Input"],

Cell[CellGroupData[{
Cell[87210, 3006, 234, 4, 96, "Input"],
Cell[87447, 3012, 103, 2, 45, "Output"]
}, Open  ]],
Cell[87565, 3017, 29, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[87619, 3021, 83, 2, 48, "Input"],
Cell[87705, 3025, 64, 2, 45, "Output"]
}, Open  ]],
Cell[87784, 3030, 351, 6, 80, "Text"],
Cell[88138, 3038, 63, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[88226, 3042, 131, 3, 70, "Input"],
Cell[88360, 3047, 86, 2, 45, "Output"]
}, Open  ]],
Cell[88461, 3052, 29, 0, 32, "Text"],
Cell[88493, 3054, 228, 4, 56, "Text"],
Cell[88724, 3060, 65, 0, 32, "Text"],
Cell[88792, 3062, 77, 1, 70, "Input"],
Cell[88872, 3065, 29, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[88926, 3069, 164, 3, 70, "Input"],
Cell[89093, 3074, 75, 2, 57, "Output"]
}, Open  ]],
Cell[89183, 3079, 52, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[89260, 3083, 175, 3, 70, "Input"],
Cell[89438, 3088, 214, 6, 58, "Output"]
}, Open  ]],
Cell[89667, 3097, 75, 0, 32, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[89791, 3103, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[89848, 3107, 94, 3, 55, "Subsection"],
Cell[89945, 3112, 270, 9, 176, "Text"],
Cell[90218, 3123, 349, 6, 71, "Text"],
Cell[90570, 3131, 36, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[90631, 3135, 231, 4, 100, "Input"],
Cell[90865, 3141, 86, 2, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[90988, 3148, 145, 3, 48, "Input"],
Cell[91136, 3153, 257, 7, 58, "Output"]
}, Open  ]],
Cell[91408, 3163, 147, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[91592, 3171, 137, 3, 33, "Subsection"],
Cell[91732, 3176, 261, 9, 176, "Text"],
Cell[91996, 3187, 246, 5, 50, "Text"],
Cell[92245, 3194, 46, 0, 29, "Text"],
Cell[92294, 3196, 47, 1, 48, "Input"],
Cell[92344, 3199, 29, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[92398, 3203, 157, 3, 71, "Input"],
Cell[92558, 3208, 67, 2, 43, "Output"]
}, Open  ]],
Cell[92640, 3213, 256, 5, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[92933, 3223, 118, 3, 33, "Subsection"],
Cell[93054, 3228, 25, 0, 29, "Text"],
Cell[93082, 3230, 202, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[93309, 3238, 107, 2, 48, "Input"],
Cell[93419, 3242, 213, 6, 58, "Output"]
}, Open  ]],
Cell[93647, 3251, 132, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[93804, 3258, 119, 3, 71, "Input"],
Cell[93926, 3263, 213, 6, 58, "Output"]
}, Open  ]],
Cell[94154, 3272, 39, 0, 29, "Text"],
Cell[94196, 3274, 16, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[94249, 3279, 93, 3, 33, "Subsection"],
Cell[94345, 3284, 258, 9, 176, "Text"],
Cell[94606, 3295, 200, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[94831, 3303, 171, 3, 77, "Input"],
Cell[95005, 3308, 88, 2, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95130, 3315, 142, 3, 48, "Input"],
Cell[95275, 3320, 254, 7, 58, "Output"]
}, Open  ]],
Cell[95544, 3330, 56, 2, 29, "Text"],
Cell[95603, 3334, 107, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[95747, 3342, 118, 3, 33, "Subsection"],
Cell[95868, 3347, 272, 9, 200, "Text"],
Cell[96143, 3358, 133, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[96313, 3366, 36, 0, 33, "Subsection"],
Cell[96352, 3368, 50, 0, 29, "Text"],
Cell[96405, 3370, 371, 11, 218, "Text"],
Cell[96779, 3383, 179, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[96995, 3392, 118, 3, 33, "Subsection"],
Cell[97116, 3397, 24, 0, 32, "Text"],
Cell[97143, 3399, 295, 5, 80, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[97475, 3409, 37, 0, 33, "Subsection"],
Cell[97515, 3411, 76, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[97628, 3416, 118, 3, 33, "Subsection"],
Cell[97749, 3421, 24, 0, 32, "Text"],
Cell[97776, 3423, 24, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[97837, 3428, 26, 0, 33, "Subsection"],
Cell[97866, 3430, 134, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[98037, 3438, 137, 3, 33, "Subsection"],
Cell[98177, 3443, 255, 9, 176, "Text"],
Cell[98435, 3454, 110, 3, 29, "Text"],
Cell[98548, 3459, 199, 4, 50, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[98796, 3469, 31, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[98852, 3473, 142, 3, 55, "Subsection"],
Cell[98997, 3478, 308, 10, 197, "Text"],
Cell[99308, 3490, 416, 7, 71, "Text"],

Cell[CellGroupData[{
Cell[99749, 3501, 71, 2, 48, "Input"],
Cell[99823, 3505, 76, 2, 43, "Output"]
}, Open  ]],
Cell[99914, 3510, 378, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[100317, 3520, 190, 4, 72, "Input"],
Cell[100510, 3526, 96, 2, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[100643, 3533, 125, 3, 48, "Input"],
Cell[100771, 3538, 89, 2, 43, "Output"]
}, Open  ]],
Cell[100875, 3543, 79, 2, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[100991, 3550, 142, 3, 33, "Subsection"],
Cell[101136, 3555, 306, 10, 224, "Text"],
Cell[101445, 3567, 517, 8, 104, "Text"],

Cell[CellGroupData[{
Cell[101987, 3579, 211, 4, 48, "Input"],
Cell[102201, 3585, 131, 3, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[102369, 3593, 151, 3, 48, "Input"],
Cell[102523, 3598, 488, 13, 58, "Output"]
}, Open  ]],
Cell[103026, 3614, 34, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[103085, 3618, 174, 3, 72, "Input"],
Cell[103262, 3623, 90, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[103389, 3630, 76, 2, 48, "Input"],
Cell[103468, 3634, 78, 2, 45, "Output"]
}, Open  ]],
Cell[103561, 3639, 25, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[103623, 3644, 140, 3, 33, "Subsection"],
Cell[103766, 3649, 301, 10, 224, "Text"],
Cell[104070, 3661, 24, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[104131, 3666, 109, 3, 33, "Subsection"],
Cell[104243, 3671, 232, 4, 50, "Text"],
Cell[104478, 3677, 160, 4, 29, "Text"],
Cell[104641, 3683, 189, 4, 50, "Text"],
Cell[104833, 3689, 197, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[105055, 3697, 164, 3, 71, "Input"],
Cell[105222, 3702, 94, 2, 57, "Output"]
}, Open  ]],
Cell[105331, 3707, 34, 0, 29, "Text"],
Cell[105368, 3709, 73, 1, 71, "Input"],
Cell[105444, 3712, 205, 5, 50, "Text"],
Cell[105652, 3719, 136, 2, 76, "Input"],
Cell[105791, 3723, 168, 4, 50, "Text"],
Cell[105962, 3729, 251, 5, 50, "Text"],
Cell[106216, 3736, 177, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[106418, 3744, 165, 3, 71, "Input"],
Cell[106586, 3749, 88, 2, 43, "Output"]
}, Open  ]],
Cell[106689, 3754, 123, 3, 29, "Text"],
Cell[106815, 3759, 51, 0, 29, "Text"],
Cell[106869, 3761, 68, 1, 71, "Input"],
Cell[106940, 3764, 68, 1, 71, "Input"],
Cell[107011, 3767, 165, 4, 50, "Text"],
Cell[107179, 3773, 66, 0, 29, "Text"],
Cell[107248, 3775, 108, 2, 71, "Input"],
Cell[107359, 3779, 29, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[107425, 3784, 142, 3, 33, "Subsection"],
Cell[107570, 3789, 303, 10, 197, "Text"],
Cell[107876, 3801, 220, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[108121, 3809, 169, 3, 48, "Input"],
Cell[108293, 3814, 89, 2, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[108419, 3821, 137, 3, 48, "Input"],
Cell[108559, 3826, 253, 7, 58, "Output"]
}, Open  ]],
Cell[108827, 3836, 98, 3, 29, "Text"]
}, Closed]],
Cell[108940, 3842, 38, 0, 33, "Subsection"],

Cell[CellGroupData[{
Cell[109003, 3846, 142, 3, 55, "Subsection"],
Cell[109148, 3851, 303, 10, 224, "Text"],
Cell[109454, 3863, 137, 3, 56, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[109628, 3871, 45, 0, 33, "Subsection"],
Cell[109676, 3873, 431, 7, 92, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[110144, 3885, 142, 3, 33, "Subsection"],
Cell[110289, 3890, 25, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[110351, 3895, 142, 3, 33, "Subsection"],
Cell[110496, 3900, 26, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[110559, 3905, 142, 3, 33, "Subsection"],
Cell[110704, 3910, 25, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[110766, 3915, 142, 3, 33, "Subsection"],
Cell[110911, 3920, 303, 10, 197, "Text"],
Cell[111217, 3932, 74, 0, 29, "Text"],
Cell[111294, 3934, 41, 0, 29, "Text"],
Cell[111338, 3936, 56, 1, 48, "Input"],
Cell[111397, 3939, 232, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[111654, 3947, 85, 2, 48, "Input"],
Cell[111742, 3951, 91, 2, 43, "Output"]
}, Open  ]],
Cell[111848, 3956, 58, 0, 29, "Text"],
Cell[111909, 3958, 273, 5, 50, "Text"],
Cell[112185, 3965, 74, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[112284, 3969, 80, 2, 48, "Input"],
Cell[112367, 3973, 78, 2, 43, "Output"]
}, Open  ]],
Cell[112460, 3978, 54, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[112539, 3982, 111, 2, 48, "Input"],
Cell[112653, 3986, 214, 6, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[112916, 3998, 146, 3, 33, "Subsection"],
Cell[113065, 4003, 26, 0, 29, "Text"],
Cell[113094, 4005, 74, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[113205, 4010, 149, 3, 33, "Subsection"],
Cell[113357, 4015, 1377, 20, 239, "Text"],
Cell[114737, 4037, 210, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[114972, 4045, 73, 2, 48, "Input"],
Cell[115048, 4049, 61, 2, 43, "Output"]
}, Open  ]],
Cell[115124, 4054, 61, 0, 29, "Text"],
Cell[115188, 4056, 295, 5, 50, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[115532, 4067, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[115589, 4071, 83, 3, 55, "Subsection"],
Cell[115675, 4076, 602, 14, 281, "Text"],
Cell[116280, 4092, 388, 7, 71, "Text"],
Cell[116671, 4101, 337, 6, 71, "Text"],
Cell[117011, 4109, 439, 9, 113, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[117487, 4123, 143, 3, 52, "Subsection"],
Cell[117633, 4128, 383, 10, 224, "Text"],
Cell[118019, 4140, 186, 4, 56, "Text"],
Cell[118208, 4146, 99, 3, 32, "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[118368, 4156, 96, 3, 150, "Chapter"],
Cell[118467, 4161, 35, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[118527, 4165, 40, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[118592, 4169, 86, 3, 55, "Subsection"],
Cell[118681, 4174, 362, 6, 104, "Text"],
Cell[119046, 4182, 189, 4, 56, "Text"],
Cell[119238, 4188, 276, 5, 80, "Text"],
Cell[119517, 4195, 258, 5, 80, "Text"],

Cell[CellGroupData[{
Cell[119800, 4204, 130, 3, 48, "Input"],
Cell[119933, 4209, 65, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[120035, 4216, 119, 3, 48, "Input"],
Cell[120157, 4221, 77, 2, 45, "Output"]
}, Open  ]],
Cell[120249, 4226, 102, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[120376, 4233, 91, 2, 48, "Input"],
Cell[120470, 4237, 64, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[120571, 4244, 68, 2, 48, "Input"],
Cell[120642, 4248, 78, 2, 45, "Output"]
}, Open  ]],
Cell[120735, 4253, 346, 6, 80, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[121118, 4264, 108, 3, 33, "Subsection"],
Cell[121229, 4269, 315, 9, 200, "Text"],
Cell[121547, 4280, 149, 3, 56, "Text"],
Cell[121699, 4285, 117, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[121853, 4293, 77, 0, 33, "Subsection"],
Cell[121933, 4295, 197, 6, 113, "Text"],
Cell[122133, 4303, 106, 3, 29, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[122288, 4312, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[122345, 4316, 114, 3, 55, "Subsection"],
Cell[122462, 4321, 795, 19, 365, "Text"],
Cell[123260, 4342, 340, 9, 176, "Text"],
Cell[123603, 4353, 384, 6, 71, "Text"],
Cell[123990, 4361, 284, 5, 50, "Text"],

Cell[CellGroupData[{
Cell[124299, 4370, 82, 2, 71, "Input"],
Cell[124384, 4374, 73, 2, 43, "Output"]
}, Open  ]],
Cell[124472, 4379, 129, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[124626, 4386, 84, 2, 71, "Input"],
Cell[124713, 4390, 76, 2, 43, "Output"]
}, Open  ]],
Cell[124804, 4395, 60, 0, 29, "Text"],
Cell[124867, 4397, 289, 5, 50, "Text"],

Cell[CellGroupData[{
Cell[125181, 4406, 177, 4, 72, "Input"],
Cell[125361, 4412, 102, 2, 43, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[125512, 4420, 115, 3, 33, "Subsection"],
Cell[125630, 4425, 823, 19, 365, "Text"],
Cell[126456, 4446, 248, 5, 50, "Text"]
}, Closed]],
Cell[126719, 4454, 48, 0, 33, "Subsection"]
}, Open  ]],

Cell[CellGroupData[{
Cell[126804, 4459, 27, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[126856, 4463, 78, 2, 55, "Subsection"],
Cell[126937, 4467, 26, 0, 29, "Text"],
Cell[126966, 4469, 102, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[127105, 4477, 91, 3, 33, "Subsection"],
Cell[127199, 4482, 391, 10, 197, "Text"],
Cell[127593, 4494, 277, 5, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[127907, 4504, 97, 3, 33, "Subsection"],
Cell[128007, 4509, 26, 0, 29, "Text"],
Cell[128036, 4511, 166, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[128239, 4520, 97, 3, 33, "Subsection"],
Cell[128339, 4525, 26, 0, 29, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[128414, 4531, 30, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[128469, 4535, 87, 3, 55, "Subsection"],
Cell[128559, 4540, 894, 19, 320, "Text"],
Cell[129456, 4561, 162, 4, 56, "Text"],
Cell[129621, 4567, 112, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[129758, 4574, 153, 3, 48, "Input"],
Cell[129914, 4579, 64, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[130015, 4586, 84, 2, 48, "Input"],
Cell[130102, 4590, 83, 2, 45, "Output"]
}, Open  ]],
Cell[130200, 4595, 106, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[130331, 4602, 76, 2, 68, "Input"],
Cell[130410, 4606, 77, 2, 45, "Output"]
}, Open  ]],
Cell[130502, 4611, 192, 4, 56, "Text"],

Cell[CellGroupData[{
Cell[130719, 4619, 101, 2, 48, "Input"],
Cell[130823, 4623, 83, 2, 45, "Output"]
}, Open  ]],
Cell[130921, 4628, 128, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[131074, 4635, 148, 3, 48, "Input"],
Cell[131225, 4640, 66, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[131328, 4647, 79, 2, 48, "Input"],
Cell[131410, 4651, 83, 2, 45, "Output"]
}, Open  ]],
Cell[131508, 4656, 92, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[131625, 4663, 77, 2, 48, "Input"],
Cell[131705, 4667, 66, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[131808, 4674, 79, 2, 48, "Input"],
Cell[131890, 4678, 83, 2, 45, "Output"]
}, Open  ]],
Cell[131988, 4683, 53, 0, 32, "Text"],
Cell[132044, 4685, 254, 5, 56, "Text"],
Cell[132301, 4692, 16, 0, 32, "Text"],
Cell[132320, 4694, 54, 0, 32, "Text"],
Cell[132377, 4696, 59, 0, 32, "Text"],
Cell[132439, 4698, 72, 1, 70, "Input"],
Cell[132514, 4701, 202, 4, 56, "Text"],

Cell[CellGroupData[{
Cell[132741, 4709, 203, 4, 70, "Input"],
Cell[132947, 4715, 104, 2, 60, "Output"]
}, Open  ]],
Cell[133066, 4720, 70, 1, 70, "Input"],
Cell[133139, 4723, 185, 4, 56, "Text"],
Cell[133327, 4729, 106, 2, 65, "Input"],
Cell[133436, 4733, 64, 0, 32, "Text"],
Cell[133503, 4735, 199, 4, 73, "Input"],
Cell[133705, 4741, 200, 4, 56, "Text"],
Cell[133908, 4747, 75, 0, 32, "Text"],
Cell[133986, 4749, 105, 2, 74, "Input"],
Cell[134094, 4753, 117, 3, 32, "Text"],
Cell[134214, 4758, 91, 1, 73, "Input"],
Cell[134308, 4761, 147, 3, 56, "Text"],
Cell[134458, 4766, 216, 4, 71, "Input"],
Cell[134677, 4772, 54, 0, 32, "Text"],
Cell[134734, 4774, 183, 3, 74, "Input"],
Cell[134920, 4779, 103, 2, 70, "Input"],
Cell[135026, 4783, 201, 4, 56, "Text"],
Cell[135230, 4789, 96, 3, 32, "Text"],
Cell[135329, 4794, 125, 3, 70, "Input"],
Cell[135457, 4799, 126, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[135608, 4806, 211, 4, 70, "Input"],
Cell[135822, 4812, 116, 2, 61, "Output"]
}, Open  ]],
Cell[135953, 4817, 35, 0, 32, "Text"],
Cell[135991, 4819, 249, 4, 122, "Input"],
Cell[136243, 4825, 300, 5, 80, "Text"],
Cell[136546, 4832, 192, 3, 71, "Input"],
Cell[136741, 4837, 110, 3, 32, "Text"],
Cell[136854, 4842, 56, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[136935, 4846, 210, 4, 74, "Input"],
Cell[137148, 4852, 98, 2, 45, "Output"]
}, Open  ]],
Cell[137261, 4857, 48, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[137334, 4861, 207, 4, 70, "Input"],
Cell[137544, 4867, 98, 2, 45, "Output"]
}, Open  ]],
Cell[137657, 4872, 67, 0, 32, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[137773, 4878, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[137830, 4882, 62, 0, 55, "Subsection"],
Cell[137895, 4884, 429, 12, 218, "Text"],
Cell[138327, 4898, 429, 12, 218, "Text"],
Cell[138759, 4912, 398, 10, 197, "Text"],
Cell[139160, 4924, 46, 0, 29, "Text"],
Cell[139209, 4926, 36, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[139270, 4930, 93, 2, 48, "Input"],
Cell[139366, 4934, 90, 2, 43, "Output"]
}, Open  ]],
Cell[139471, 4939, 49, 0, 29, "Text"],
Cell[139523, 4941, 297, 8, 81, "Input"],
Cell[139823, 4951, 297, 8, 81, "Input"],

Cell[CellGroupData[{
Cell[140145, 4963, 107, 2, 48, "Input"],
Cell[140255, 4967, 135, 3, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[140427, 4975, 107, 2, 48, "Input"],
Cell[140537, 4979, 135, 3, 43, "Output"]
}, Open  ]],
Cell[140687, 4985, 157, 3, 29, "Text"],
Cell[140847, 4990, 47, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[140919, 4994, 69, 2, 48, "Input"],
Cell[140991, 4998, 65, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[141093, 5005, 72, 2, 48, "Input"],
Cell[141168, 5009, 68, 2, 43, "Output"]
}, Open  ]],
Cell[141251, 5014, 118, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[141406, 5022, 138, 3, 33, "Subsection"],
Cell[141547, 5027, 25, 0, 29, "Text"],
Cell[141575, 5029, 309, 5, 71, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[141921, 5039, 137, 3, 33, "Subsection"],
Cell[142061, 5044, 25, 0, 29, "Text"],
Cell[142089, 5046, 139, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[142265, 5054, 163, 4, 52, "Subsection"],
Cell[142431, 5060, 25, 0, 29, "Text"],
Cell[142459, 5062, 110, 3, 29, "Text"],
Cell[142572, 5067, 407, 7, 71, "Text"],
Cell[142982, 5076, 82, 1, 48, "Input"],
Cell[143067, 5079, 119, 3, 29, "Text"],

Cell[CellGroupData[{
Cell[143211, 5086, 125, 3, 48, "Input"],
Cell[143339, 5091, 212, 6, 58, "Output"]
}, Open  ]],
Cell[143566, 5100, 199, 4, 50, "Text"],

Cell[CellGroupData[{
Cell[143790, 5108, 294, 5, 96, "Input"],
Cell[144087, 5115, 256, 7, 58, "Output"]
}, Open  ]],
Cell[144358, 5125, 105, 3, 29, "Text"],
Cell[144466, 5130, 78, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[144569, 5136, 172, 3, 48, "Input"],
Cell[144744, 5141, 216, 6, 58, "Output"]
}, Open  ]],
Cell[144975, 5150, 92, 3, 29, "Text"],
Cell[145070, 5155, 66, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[145161, 5161, 147, 3, 48, "Input"],
Cell[145311, 5166, 212, 6, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[145572, 5178, 94, 3, 33, "Subsection"],
Cell[145669, 5183, 267, 9, 176, "Text"],
Cell[145939, 5194, 371, 6, 71, "Text"],
Cell[146313, 5202, 36, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[146374, 5206, 233, 4, 100, "Input"],
Cell[146610, 5212, 95, 2, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[146742, 5219, 145, 3, 48, "Input"],
Cell[146890, 5224, 257, 7, 58, "Output"]
}, Open  ]],
Cell[147162, 5234, 43, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[147242, 5239, 51, 0, 33, "Subsection"],
Cell[147296, 5241, 198, 4, 56, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[147531, 5250, 117, 3, 33, "Subsection"],
Cell[147651, 5255, 115, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[147803, 5263, 143, 3, 52, "Subsection"],
Cell[147949, 5268, 25, 0, 32, "Text"],
Cell[147977, 5270, 114, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[148116, 5277, 128, 3, 48, "Input"],
Cell[148247, 5282, 197, 6, 58, "Output"]
}, Open  ]],
Cell[148459, 5291, 76, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[148560, 5295, 132, 3, 48, "Input"],
Cell[148695, 5300, 201, 6, 58, "Output"]
}, Open  ]],
Cell[148911, 5309, 76, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[149012, 5313, 103, 2, 48, "Input"],
Cell[149118, 5317, 201, 6, 58, "Output"]
}, Open  ]],
Cell[149334, 5326, 66, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[149425, 5330, 85, 2, 48, "Input"],
Cell[149513, 5334, 77, 2, 45, "Output"]
}, Open  ]],
Cell[149605, 5339, 92, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[149734, 5347, 154, 3, 52, "Subsection"],
Cell[149891, 5352, 26, 0, 32, "Text"]
}, Closed]],
Cell[149932, 5355, 95, 3, 33, "Subsection"],

Cell[CellGroupData[{
Cell[150052, 5362, 105, 3, 55, "Subsection"],
Cell[150160, 5367, 257, 9, 176, "Text"],
Cell[150420, 5378, 78, 2, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[150535, 5385, 40, 0, 33, "Subsection"],
Cell[150578, 5387, 60, 2, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[150675, 5394, 69, 2, 33, "Subsection"],
Cell[150747, 5398, 256, 9, 200, "Text"],
Cell[151006, 5409, 122, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[151153, 5416, 134, 3, 68, "Input"],
Cell[151290, 5421, 211, 6, 58, "Output"]
}, Open  ]],
Cell[151516, 5430, 134, 3, 56, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[151699, 5439, 31, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[151755, 5443, 143, 3, 55, "Subsection"],
Cell[151901, 5448, 25, 0, 32, "Text"],
Cell[151929, 5450, 104, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[152070, 5458, 179, 4, 52, "Subsection"],
Cell[152252, 5464, 314, 5, 80, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[152603, 5474, 143, 3, 33, "Subsection"],
Cell[152749, 5479, 306, 10, 197, "Text"],
Cell[153058, 5491, 489, 8, 92, "Text"],

Cell[CellGroupData[{
Cell[153572, 5503, 252, 5, 72, "Input"],
Cell[153827, 5510, 142, 3, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[154006, 5518, 151, 3, 48, "Input"],
Cell[154160, 5523, 489, 13, 59, "Output"]
}, Open  ]],
Cell[154664, 5539, 48, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[154737, 5543, 73, 2, 48, "Input"],
Cell[154813, 5547, 78, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[154928, 5554, 108, 2, 48, "Input"],
Cell[155039, 5558, 382, 11, 59, "Output"]
}, Open  ]],
Cell[155436, 5572, 32, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[155493, 5576, 176, 3, 72, "Input"],
Cell[155672, 5581, 90, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[155799, 5588, 77, 2, 48, "Input"],
Cell[155879, 5592, 78, 2, 43, "Output"]
}, Open  ]],
Cell[155972, 5597, 43, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[156052, 5602, 143, 3, 33, "Subsection"],
Cell[156198, 5607, 303, 10, 197, "Text"],
Cell[156504, 5619, 25, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[156566, 5624, 142, 3, 33, "Subsection"],
Cell[156711, 5629, 303, 10, 197, "Text"],
Cell[157017, 5641, 92, 1, 28, "Text"],
Cell[157112, 5644, 354, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[157491, 5654, 230, 5, 72, "Input"],
Cell[157724, 5661, 129, 3, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[157890, 5669, 148, 3, 48, "Input"],
Cell[158041, 5674, 484, 13, 59, "Output"]
}, Open  ]],
Cell[158540, 5690, 116, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[158693, 5698, 142, 3, 33, "Subsection"],
Cell[158838, 5703, 26, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[158901, 5708, 143, 3, 33, "Subsection"],
Cell[159047, 5713, 303, 10, 197, "Text"],
Cell[159353, 5725, 332, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[159710, 5735, 112, 2, 48, "Input"],
Cell[159825, 5739, 67, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[159929, 5746, 115, 2, 48, "Input"],
Cell[160047, 5750, 70, 2, 43, "Output"]
}, Open  ]],
Cell[160132, 5755, 70, 2, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[160239, 5762, 69, 2, 33, "Subsection"],
Cell[160311, 5766, 179, 4, 50, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[160527, 5775, 143, 3, 33, "Subsection"],
Cell[160673, 5780, 72, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[160782, 5785, 154, 3, 33, "Subsection"],
Cell[160939, 5790, 25, 0, 32, "Text"],
Cell[160967, 5792, 103, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[161107, 5800, 141, 3, 33, "Subsection"],
Cell[161251, 5805, 72, 0, 29, "Text"],
Cell[161326, 5807, 329, 6, 71, "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[161716, 5820, 70, 3, 150, "Chapter"],

Cell[CellGroupData[{
Cell[161811, 5827, 40, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[161876, 5831, 51, 0, 55, "Subsection"],
Cell[161930, 5833, 122, 3, 29, "Text"],
Cell[162055, 5838, 469, 11, 197, "Text"],
Cell[162527, 5851, 31, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[162583, 5855, 152, 3, 48, "Input"],
Cell[162738, 5860, 86, 2, 45, "Output"]
}, Open  ]],
Cell[162839, 5865, 32, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[162896, 5869, 100, 2, 53, "Input"],
Cell[162999, 5873, 153, 3, 47, "Output"]
}, Open  ]],
Cell[163167, 5879, 70, 2, 29, "Text"],

Cell[CellGroupData[{
Cell[163262, 5885, 179, 3, 48, "Input"],
Cell[163444, 5890, 144, 4, 45, "Output"]
}, Open  ]],
Cell[163603, 5897, 147, 4, 51, "Input"],

Cell[CellGroupData[{
Cell[163775, 5905, 71, 2, 48, "Input"],
Cell[163849, 5909, 79, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[163965, 5916, 70, 2, 48, "Input"],
Cell[164038, 5920, 78, 2, 43, "Output"]
}, Open  ]],
Cell[164131, 5925, 133, 3, 29, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[164313, 5934, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[164370, 5938, 206, 5, 74, "Subsection"],
Cell[164579, 5945, 297, 9, 176, "Text"],
Cell[164879, 5956, 123, 3, 29, "Text"],
Cell[165005, 5961, 60, 0, 29, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[165102, 5966, 49, 0, 55, "Subsection"],
Cell[165154, 5968, 247, 5, 50, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[165438, 5978, 138, 3, 55, "Subsection"],
Cell[165579, 5983, 25, 0, 29, "Text"],
Cell[165607, 5985, 309, 5, 71, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[165953, 5995, 137, 3, 55, "Subsection"],
Cell[166093, 6000, 25, 0, 29, "Text"],
Cell[166121, 6002, 139, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[166297, 6010, 163, 4, 52, "Subsection"],
Cell[166463, 6016, 25, 0, 32, "Text"],
Cell[166491, 6018, 110, 3, 32, "Text"],
Cell[166604, 6023, 407, 7, 104, "Text"],
Cell[167014, 6032, 82, 1, 48, "Input"],
Cell[167099, 6035, 119, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[167243, 6042, 125, 3, 48, "Input"],
Cell[167371, 6047, 212, 6, 58, "Output"]
}, Open  ]],
Cell[167598, 6056, 199, 4, 56, "Text"],

Cell[CellGroupData[{
Cell[167822, 6064, 294, 5, 96, "Input"],
Cell[168119, 6071, 256, 7, 58, "Output"]
}, Open  ]],
Cell[168390, 6081, 105, 3, 32, "Text"],
Cell[168498, 6086, 70, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[168593, 6090, 172, 3, 48, "Input"],
Cell[168768, 6095, 216, 6, 58, "Output"]
}, Open  ]],
Cell[168999, 6104, 92, 3, 32, "Text"],
Cell[169094, 6109, 58, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[169177, 6113, 147, 3, 48, "Input"],
Cell[169327, 6118, 212, 6, 58, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[169588, 6130, 94, 3, 33, "Subsection"],
Cell[169685, 6135, 267, 9, 176, "Text"],
Cell[169955, 6146, 371, 6, 71, "Text"],
Cell[170329, 6154, 36, 0, 29, "Text"],

Cell[CellGroupData[{
Cell[170390, 6158, 233, 4, 100, "Input"],
Cell[170626, 6164, 95, 2, 61, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[170758, 6171, 145, 3, 48, "Input"],
Cell[170906, 6176, 257, 7, 58, "Output"]
}, Open  ]],
Cell[171178, 6186, 43, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[171258, 6191, 51, 0, 33, "Subsection"],
Cell[171312, 6193, 198, 4, 56, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[171547, 6202, 117, 3, 33, "Subsection"],
Cell[171667, 6207, 115, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[171819, 6215, 143, 3, 52, "Subsection"],
Cell[171965, 6220, 25, 0, 32, "Text"],
Cell[171993, 6222, 114, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[172132, 6229, 128, 3, 48, "Input"],
Cell[172263, 6234, 197, 6, 58, "Output"]
}, Open  ]],
Cell[172475, 6243, 76, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[172576, 6247, 132, 3, 48, "Input"],
Cell[172711, 6252, 201, 6, 58, "Output"]
}, Open  ]],
Cell[172927, 6261, 76, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[173028, 6265, 103, 2, 48, "Input"],
Cell[173134, 6269, 201, 6, 58, "Output"]
}, Open  ]],
Cell[173350, 6278, 66, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[173441, 6282, 85, 2, 48, "Input"],
Cell[173529, 6286, 77, 2, 45, "Output"]
}, Open  ]],
Cell[173621, 6291, 92, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[173750, 6299, 154, 3, 52, "Subsection"],
Cell[173907, 6304, 26, 0, 32, "Text"]
}, Closed]],
Cell[173948, 6307, 95, 3, 33, "Subsection"],

Cell[CellGroupData[{
Cell[174068, 6314, 105, 3, 55, "Subsection"],
Cell[174176, 6319, 257, 9, 200, "Text"],
Cell[174436, 6330, 70, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[174543, 6335, 40, 0, 33, "Subsection"],
Cell[174586, 6337, 52, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[174675, 6342, 61, 0, 33, "Subsection"],
Cell[174739, 6344, 256, 9, 200, "Text"],
Cell[174998, 6355, 122, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[175145, 6362, 134, 3, 68, "Input"],
Cell[175282, 6367, 211, 6, 58, "Output"]
}, Open  ]],
Cell[175508, 6376, 134, 3, 56, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[175691, 6385, 31, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[175747, 6389, 143, 3, 55, "Subsection"],
Cell[175893, 6394, 25, 0, 32, "Text"],
Cell[175921, 6396, 104, 3, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[176062, 6404, 168, 4, 52, "Subsection"],
Cell[176233, 6410, 250, 5, 50, "Text"],
Cell[176486, 6417, 82, 3, 29, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[176605, 6425, 143, 3, 55, "Subsection"],
Cell[176751, 6430, 306, 10, 224, "Text"],
Cell[177060, 6442, 489, 8, 104, "Text"],

Cell[CellGroupData[{
Cell[177574, 6454, 252, 5, 72, "Input"],
Cell[177829, 6461, 142, 3, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[178008, 6469, 151, 3, 48, "Input"],
Cell[178162, 6474, 489, 13, 58, "Output"]
}, Open  ]],
Cell[178666, 6490, 48, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[178739, 6494, 73, 2, 48, "Input"],
Cell[178815, 6498, 78, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[178930, 6505, 108, 2, 48, "Input"],
Cell[179041, 6509, 382, 11, 58, "Output"]
}, Open  ]],
Cell[179438, 6523, 32, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[179495, 6527, 176, 3, 72, "Input"],
Cell[179674, 6532, 90, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[179801, 6539, 77, 2, 48, "Input"],
Cell[179881, 6543, 78, 2, 45, "Output"]
}, Open  ]],
Cell[179974, 6548, 43, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[180054, 6553, 143, 3, 33, "Subsection"],
Cell[180200, 6558, 303, 10, 197, "Text"],
Cell[180506, 6570, 25, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[180568, 6575, 139, 3, 33, "Subsection"],
Cell[180710, 6580, 303, 10, 197, "Text"],
Cell[181016, 6592, 92, 1, 28, "Text"],
Cell[181111, 6595, 354, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[181490, 6605, 230, 5, 72, "Input"],
Cell[181723, 6612, 129, 3, 58, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[181889, 6620, 148, 3, 48, "Input"],
Cell[182040, 6625, 484, 13, 59, "Output"]
}, Open  ]],
Cell[182539, 6641, 116, 3, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[182692, 6649, 140, 3, 33, "Subsection"],
Cell[182835, 6654, 26, 0, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[182898, 6659, 143, 3, 33, "Subsection"],
Cell[183044, 6664, 303, 10, 197, "Text"],
Cell[183350, 6676, 332, 6, 71, "Text"],

Cell[CellGroupData[{
Cell[183707, 6686, 112, 2, 48, "Input"],
Cell[183822, 6690, 67, 2, 43, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[183926, 6697, 115, 2, 48, "Input"],
Cell[184044, 6701, 70, 2, 43, "Output"]
}, Open  ]],
Cell[184129, 6706, 70, 2, 29, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[184236, 6713, 61, 0, 33, "Subsection"],
Cell[184300, 6715, 179, 4, 56, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[184516, 6724, 143, 3, 33, "Subsection"],
Cell[184662, 6729, 72, 0, 32, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[184771, 6734, 154, 3, 33, "Subsection"],
Cell[184928, 6739, 25, 0, 32, "Text"],
Cell[184956, 6741, 103, 3, 32, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[185108, 6750, 32, 0, 64, "Section"],

Cell[CellGroupData[{
Cell[185165, 6754, 83, 3, 55, "Subsection"],
Cell[185251, 6759, 574, 13, 296, "Text"],
Cell[185828, 6774, 388, 7, 104, "Text"],
Cell[186219, 6783, 337, 6, 80, "Text"],
Cell[186559, 6791, 439, 9, 128, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[187035, 6805, 143, 3, 52, "Subsection"],
Cell[187181, 6810, 383, 10, 224, "Text"],
Cell[187567, 6822, 186, 4, 56, "Text"],
Cell[187756, 6828, 99, 3, 32, "Text"]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

